commit 40c3a9fd60956b814ca0ccd20068e96051cd5467
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Jan 1 00:57:52 2010 +0100

    logger: build fix

commit 8fca7915a1e644454b3d6ad7feb342fdc2680e84
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 18:14:54 2009 +0100

    macosx/framework: Explain the reason why we use each arguments.

commit 1ce5eee1bbae75a5bb95a0a52f29729b09955a36
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 18:07:25 2009 +0100

    macosx/framework: Add Configure.sh as one of its own dependency.

commit 863c6af15341273f120ea0d59342d61eed49a9e9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 18:05:02 2009 +0100

    macosx/framework: Now that target "Build Everything" doesn't rebuild contrib and configure for fun, remove "Make VLC and VLCKit" target.

commit 948ccf4aeabc70d617efa1f94cd349597701c1ab
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 17:57:10 2009 +0100

    macosx/framework: Make sure we properly install libvlc, libvlccore, and vlc before reusing them.

commit e21ae744c0cafb9bc9871f60a96867868c8d4ecd
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 17:55:10 2009 +0100

    contrib: With using-bin target, make sure we don't redo the work more than needed.

commit b890a56baa23614689fc37c312e8242f58e8079f
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 17:10:24 2009 +0100

    Revert "bandlimited: factorize."
    
    This reverts commit d6b5bc594818ae7448b180a3cb79b8fa55f923e6.
    
    This wasn't intended from prime time. I guess.

commit 3b0cbbedc839e06ef5d4c949620b7c2961657aa9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 16:51:54 2009 +0100

    macosx/framework: Put configure script in a separate script (from VLCKit.xcodeproj) and use --disable-macosx-vlc-app

commit f954a0582e9cf3e2cfdc612fb3dbe14abbcf6a5a
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 16:51:06 2009 +0100

    configure: Make sure old VLC.app building is optional on Mac OS X.

commit d254ae089ff54859977c0ea8129a84340932efbe
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 31 16:50:11 2009 +0100

    vout_macosx: The view is Opaque.
    
    This may actually save some CPU cycle.

commit d6b5bc594818ae7448b180a3cb79b8fa55f923e6
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 31 11:19:09 2009 +0100

    bandlimited: factorize.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit a49447346d31c1b8d5331fb737da00caab93b862
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 14:57:38 2009 +0100

    macosx/framework: Use syslog facilities.

commit 7fda3fd95b4f3e255e16a38ad752b4da5e8ddce8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 14:57:13 2009 +0100

    logger: Remove what seems to be useless.

commit 5b8e2978ba92bf73f19be9a20997da2173e87abe
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 14:20:43 2009 +0100

    macosx/framework: upnp_intel is available within VLCKit.

commit 431201daef97e2babe597e03e09bb401596df445
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 14:19:48 2009 +0100

    vout_macosx: Ensure initialization on main thread.

commit 98fa929dae0433c2f07131e9961e383fffe59725
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 14:19:05 2009 +0100

    logger: Allow log-verbose to override --verbose.

commit 6c9ba4dcbca107db0063dc6720819ca31e8760f7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 31 00:42:33 2009 +0100

    Subtitles: hide {Y:xxx } like tags

commit 457acd2c8e2235e77db0d2cd97018ce5ee8519b6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 31 00:31:14 2009 +0100

    Win32: kill a warning

commit b75b7b80a90c329c779e1f3a82f9bd1618eb9ec3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 31 00:30:56 2009 +0100

    NEWS about subs improvement.

commit 01a57621cd22ef2c6f36ef3912e5c4400dd9c9ff
Author: Bernie Purcell <bitmap@videolan.org>
Date:   Thu Dec 31 00:27:30 2009 +0100

    Support for strikethrough in freetype renderer
    
    Half Patch is from jb

commit 69dbb0f60af35c45944743dc4b4b5415d9297940
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 22:48:44 2009 +0100

    Contrib: Matroska server is down again...

commit 3a89679c310b2b424e4207f27e36605e95ed1a37
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 22:46:31 2009 +0100

    NTService: fix stray ‘\302’ in program issue

commit aa5891a4ee4c036b02519940ee183d04fcb81d3e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 22:42:42 2009 +0200

    XCB global hotkeys: don't bother unregistering
    
    We shut the X11 connection down immediately anyway. This will
    automatically undo all of our key grabs.

commit ebabade8d509ec2f32b1736ab06b2744b691db4e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 22:39:42 2009 +0200

    XCB global hotkeys: don't keep a connection and a thread if not needed
    
    The X11 connection and the poll()'ing thread are useless if we don't
    grab any single key. We still return VLC_SUCCESS to avoid an error while
    VLC is being started.

commit 4afa86ab075eeb65251a3cfc85571e3ed10e5feb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:49:44 2009 +0200

    FB OSD: use var_Inherit

commit c5607028ee3cba57381ca6ed663b769cbe3f077f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:45:43 2009 +0200

    ASX parser: kill config_Get

commit 21b9023e7a4fe1cb4e39a5e46d464e18055e1669
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:45:29 2009 +0200

    Matroska demux: use var_Inherit

commit e83bd71d3c84d899c8c1fcde05a04716a8e2c5de
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:45:06 2009 +0200

    AVI demux: kill config_Get

commit 0a24da4ae7510295190c5396df75acca6d847a5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:42:14 2009 +0200

    telnet: use var_Inherit

commit 86cb2cd38477dd0b85fa1f134cdf8b0cf3495429
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:42:04 2009 +0200

    scale tempo: fix typo

commit 3eccc27645f2e3b238da025f1a2230d8ae68d219
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:37:16 2009 +0200

    Remote Control: use var_Inherit

commit 4b9bc90dc37abc372d7e8d37c93cb71dd1d6c5b1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:36:49 2009 +0200

    NT service: use var_Inherit

commit 224be7ea73b13e0eae992e8a7530fc31794a6a38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:36:19 2009 +0200

    Netsync: use var_Inherit

commit c5ffd0a3f08c7401a9e7c367f002cf6fcc181c43
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:36:06 2009 +0200

    motion interface: use var_Inherit

commit 8b9bc128d30880cd88a8548cf5f95da2dbd8601a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:29:24 2009 +0200

    HTTP interface: kill config_Get

commit 5530c16d55878130e5feaaa2f54cfa6b2dd02164
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:27:24 2009 +0200

    hotkeys: user var_Inherit (partial)

commit 1f2a1a8da42508ef6f176904c2185cb159c33a97
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:27:14 2009 +0200

    gestures: use var_Inherit

commit 46db660c083e6429015c6839e9eb91d05a04e030
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:26:55 2009 +0200

    SVCD sub: kill config_Get

commit 890ec5e24952081e51962f6c006850b929241b77
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:26:37 2009 +0200

    lavc: kill config_Get

commit 8417358d890b7e225fd99ae35bef04d4362ec347
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:26:23 2009 +0200

    headphone mixer: kill config_Get

commit ccb340ff446f071b6a16c19176fb7f7fa08266bf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 21:37:27 2009 +0200

    Remote Control: use vlc_GetActionId

commit 004e76c897e9acccc73ba46c227bd447268cca62
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:32:59 2009 +0200

    WaveOut: kill config_Get

commit b6fb07c7e0c1772dc271be8da242444fd488b4f0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:32:50 2009 +0200

    OSS: kill config_Get

commit 90020f66417229b2f55d6a05671269ea04a79bf5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:31:48 2009 +0200

    JACK output: use var_Inherit

commit 05320812d49ad5f10efdd585a4607fdcc0f5864a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:30:16 2009 +0200

    DirectX audio output: kill config_Get

commit 5f794a2baee911e8a7cf73f53e20c803b1351618
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:30:09 2009 +0200

    auhal: kill config_Get

commit bc76f50aa6f0f19e05470b7a3935fd629a969152
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:29:25 2009 +0200

    ALSA output: kill config_Get

commit 4af1e5a2c4f1311ec75c73599e7da7f49f08630d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:28:43 2009 +0200

    scale tempo filter: kill config_Get

commit d74a0d4f888f9cf698e097f0ae28fa14b1aa9b22
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:28:02 2009 +0200

    band-limited resampler: kill config_Get*

commit a607746c84181cc59e47ddf114b465fc7f5491ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:27:36 2009 +0200

    Parameterized equalizer: kill config_Get

commit d2eaf62f53aa3b3c74fdb4e6534805cbb9ad2fcc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:26:23 2009 +0200

    libdca: kill config_Get

commit ff717d877865c1452eff341a2a810fc20b6ac196
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:26:10 2009 +0200

    liba52: kill config_Get

commit b259308b3f153784df593f5ef0d99e41ce71d42e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:25:30 2009 +0200

    mono mixer: kill config_Get

commit e9a8f1e165fee8eaf38f955931a5bacbdca03e63
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:24:58 2009 +0200

    headphone: kill config_Get

commit 26e19c58c1b96a37ee21dd19f20239f488636ed6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:24:45 2009 +0200

    http output: kill config_Get (commented out anyway)

commit b4f5c5e6d1a46516b91d540676abbecfc4aca657
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:23:29 2009 +0200

    VCDX: use var_Inherit

commit c56a74e33a6b5cbabfe485cce7f50e0a02e6dd69
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:23:07 2009 +0200

    V4L2: kill config_Get

commit b575a47b6d106da3e4c4ed9c384798b89a4030d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:22:51 2009 +0200

    MMSH: use var_Inherit

commit 4c56bbfee294e7852846c62719ddf917e1dd57c1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:21:07 2009 +0200

    VCDX: use after free

commit a3c6cf071e4eace5ab7e8ca7fed62527d167fe30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:17:32 2009 +0200

    Avoid variable shadowing

commit 481a5ae1b811c5835cad50fc776154ac37babeef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:15:09 2009 +0200

    DVD: kill config_Get

commit 884f8d976c3b666540b842387c835429ecfc6f7b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:13:55 2009 +0200

    DVB: config_Get -> var_Inherit

commit 667fa4568c94476c992343ce04827869f606c41d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:12:25 2009 +0200

    cdda: kill config_Get*

commit a689b532559da669349e2e4494c2051db4f24486
Author: Thijs Alkemade <thijsalkemade@gmail.com>
Date:   Wed Dec 30 16:23:53 2009 +0100

    gui/macosx: Added menu item to set playback rate back to normal
    
    Close #1122
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit d3ebbe587c4a67bd76a38ae49b4a37e03ed17b7c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 19:49:59 2009 +0200

    Helpers for var_Inherit()

commit 9fd89d7b997a929968dbf0645277aa65948e94ea
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 19:38:03 2009 +0200

    Export var_Inherit()

commit 6b49f721d26a1c6cc3edfc3608ace9dd714392df
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 20:00:34 2009 +0200

    Unused variable

commit b77a77553e40c7b2b6e6e835079421b27a83e7b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 19:37:46 2009 +0200

    Dead code

commit 7a4b7465e89a1aa8408667ca91815685b34ef0ae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 17:15:01 2009 +0200

    GetUnused: remove invalidated comment

commit c8a5ee83f7819ebd5aeba8b6d3684006d3db0cb0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 17:14:16 2009 +0200

    Factor variable destruction code (out of the variable lock)

commit edecf92c8f8c28f3145ede090cdb20294c975d32
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 17:01:29 2009 +0200

    Allocate each object variable separately
    
    This reduces the amount of memory copied when creating/deleting a
    variable on an object. We now use a table of pointers instead of table
    of variable_t.
    
    This also simplifies callback handling a bit as the variable_t cannot
    move anymore while we wait. Earlier another thread could add or remove
    another variable on the same object, thus changing the variable table.
    
    With this change, we could also store non-serialized data (i.e.
    non-movable with memcpy/memmove) directly inside variable_t.

commit 8e3df82b7c1cf1ba08fbaf15f46af8b741781647
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 30 16:08:29 2009 +0100

    C has a function named strchr().

commit 27d81721e3d7eff58387facf7be11f94b8f5e7b4
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 30 15:54:50 2009 +0100

    Partially fix interface parsing order when multiple lua intf aliases are used.

commit 40a2f546e1dca36312916b391f64f96a438f0a37
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 30 15:39:14 2009 +0100

    Fix module_need parsing. a,b,c,d should first try loading a, then b, then c, then d.

commit c9d2fec1cf62e423a428b33a15a424387da37edb
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 30 15:26:45 2009 +0100

    Only default to rc.lua if module loading wasn't forced. This still isn't perfect. (And there seems to be an issue in module_need(), wasn't -I intf1,intf2 supposed to first try loading intf1 and fallback to intf2 if intf1 couldn't load? For example -I rc,qt4 should load rc and not qt4, which is the case in 0.8.6 but doesn't seem to be the case in 1.0.0 ... looks like this is due to bb0d752792bc6ded51e383240cadf399b9ca71fa removing i_shortcut_bonus)

commit aac948900ac88211f6a967bba1945dc0cd55b6b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 16:08:07 2009 +0200

    Win32: fix previous commit plus small optimization

commit c72c34ea5c92d07f9aac4a86b5840cff213ad57b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 30 15:54:54 2009 +0200

    Win32: emulate static mutexes with a boolean (fix: #2399)
    
    We use the same pattern as the variable callback lock: one mutex,
    one condition variable and N boolean flags instead of N mutexes.
    This is a bit slower but it shouldn't leak OS handles anymore.

commit e46128239c6db45415f2f372db7d165b9a8ec40c
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 06:05:30 2009 +0100

    macosx/framework: Activate our dialog provider.

commit 98f51bc5b08527f8ee55a3b08ed732d6f7d0c141
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 06:02:42 2009 +0100

    variables: Fix two typos in InheritValue().
    
    First one is about starting to inherit from the parent. Shouldn't hurt much.
    Second one is about looking to inherit from the right variable. hurt more.

commit b75f85e4d38b3b7213fe85a082623f6b8a260c22
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 05:39:08 2009 +0100

    macosx_dialog_provider: Offer a way to render this API somewhat legit with libvlc.
    
    Make the dialogs that requires no user action and that will be normally handled via regular error code path optionals.
    
    Still, there is no context with those dialogs, and we don't know to what output they belongs, ideally we should have a proper API that makes the client a proxy for those user actions.

commit 37c1d3653065ed3d5b0b266d22cab71f9b6d9139
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:50:50 2009 +0100

    caca: On Mac OS X use the ncurses video driver by default.

commit 139162a4c30dd3b2b7ea0adef078b69998aab33d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:48:31 2009 +0100

    lua/intf: Default to rc instead of dummy since rc has a higher priority.
    
    If the lua rc submodule gets autoselected because it has the higher priority, we need to correctly use it.

commit 97cb2682a20b0a1cb23b4061cf8a48a725e3febc
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:35:09 2009 +0100

    macosx_dialog_provider: Must be opt-in. Set priority to 0.

commit b0b1ee37636e1db5c2c1610d36c9df3a931c5c0a
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:31:12 2009 +0100

    configure: Disable X Window support on Mac OS X by default.

commit 1f0dd88487e45e7a712e543ce470c561d9b057c8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:05:13 2009 +0100

    config: Make sure lua will be able to find share/lua on Mac OS X.

commit e4d8bc6250b32bdea05a6a6af69b13d0dd8f4108
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:04:46 2009 +0100

    darwin_specific: Save some expansive work at startup if we don't do NLS.

commit c221eff5efd3ee3413b909b7630696f78ac8c5fa
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 04:04:02 2009 +0100

    macosx/framework: Make sure share/ and modules/ are next to vlc so that it can find them.

commit 384e435710719a90226b27d3e81e1588438de3b3
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 03:57:58 2009 +0100

    configure: screensaver modules is for X.
    
    Only enable when X window support is wanted.
    Feel free to adjust.

commit 864756e2b272e3d653eb6cbb0046831abd210a75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 02:36:21 2009 +0100

    Qt: Fix some modality
    
    Close #2763

commit a57a4a64dead1bf8a477a7fa04bf021573703f1f
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 30 02:27:08 2009 +0100

    config: On Mac OS use the app identifier for app dependent config dirs.
    
    This may hopefully spare us some conflicts with VLCKit/libvlc users.

commit bdfe782fe0a349b45e155140662eecadc9e8eaa3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 28 01:02:14 2009 +0100

    Support for mingw32 gcc 4.4.0
    
    This is meant to fix the *printf format strings.
    This is compatible with mingw 4.2.1 and 4.3.0
    I haven't find a better place where to put this code...
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 148824c6d2b3c6d927443c53dbc905696a2b4d27
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 02:03:50 2009 +0100

    Subsdec: Code cosmetic and alignements

commit 0e46b87488382c4dda34ac295b198b8041c0742d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 02:01:45 2009 +0100

    Subsdec: initial support for <s> tag
    
    We don't have the renderer for it, so far.

commit cde18698a2d91573d8363a9e78b288cd8ffbdb05
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 00:45:52 2009 +0100

    Fix sout MRL generation in sout when transcode is deactivated
    
    Close #3213

commit c916c6f2f2072a2c85aa6cedff48adac3399a1cd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 00:31:59 2009 +0100

    Qt: allow a info button in interface toolbar
    
    Close #2866

commit 13314b29e5c547bd59c4747e71fcbb578c3d0156
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 30 00:14:59 2009 +0100

    Qt: Fix CovertArt on the playlist window

commit 0533a0cd43c38b3718355af5f482dd119e3371d1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 23:25:01 2009 +0100

    Qt: fix First run dialog
    
    And close #3182 the unparented widget that could be bothering you.
    The issue about the unparented widget was totalled found by freeruner (on IRC and trac)

commit abe147c03c7586d4a0f3ccc5ca455cc80b06de5f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 23:28:00 2009 +0200

    Qt4: rework HTTP sout box
    
    The address field is removed, as it is quite useless. The default
    unspecified value works just fine. In fact, it works better than
    0.0.0.0 as it allows both IPv6 and IPv4 automatically.
    
    A new path field is added for the local path, defaults to '/'
    consistent with HTTP URI semantics ("http://www.example.com" really
    means "http://www.example.com/").

commit 69258670bd54666f2aeb12cb1700c76694507199
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 23:27:43 2009 +0200

    InheritValue: fix type given to var_GetChecked()

commit bca54820829967e940f0f8d93d7dbc33a9c1cead
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 22:32:16 2009 +0200

    InheritValue: simplify and render thread-safe

commit 8b045d0d882c4509b5af9cc43597579679ec74bf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 22:16:32 2009 +0200

    Allocate variable and inherit value before the variables lock
    
    The initial value of the variable must be correct when the variables
    lock is released after the variable was created. Hence we could not
    release the lock between Insert() and InheritValue(). If we did, there
    would be a race where another thread could see the variable with the
    generic default value (0, "", 0., ...) instead of the inherited value.
    
    So instead, we inherit the value in a temporary variable on the stack,
    before we take the variables lock. Then we can create the variable with
    the correct value without taking the lock for the duration of
    InheritValue().
    
    This adds overhead when an existing variable is re-created (i.e.
    reference count is increased but no new variable is created). But it
    dramatically reduces contention on the variables lock. More importantly,
    it allows calling InheritValue() without the variables lock. So when we
    fix InheritValue(), which is currently not thread-safe, we won't have
    any problem with nested locking.

commit 7868eb4ae83b5d195412eb6bca032ca37dd8d30d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 20:34:03 2009 +0200

    vlc_execve: use _exit in case of failure

commit 973bb4a52ca0de732b6152b1f657ad9056da4bcf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 20:33:43 2009 +0200

    vlc_execve: simplify, keep standard error

commit 860a707fa6b05eb59ee15da833af7d655176ff65
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 20:19:34 2009 +0200

    screensaver: convert to POSIX spawn

commit 2a817cdbc2cd282b353cace71a8cd603d8151893
Author: Martin T. Sandsmark <sandsmark@samfundet.no>
Date:   Tue Dec 29 16:31:33 2009 +0100

    use _exit() instead of exit() when checking CPU capabilities
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit fce620e81a52930ed108c5a2e029a3c2dff3a6c6
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 29 14:49:45 2009 +0100

    skins2: don't draw control if non visible at initialisation

commit 1c3dea6380bb097a7cc43b040b25bf272321bedd
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 29 18:03:04 2009 +0100

    rtp sout: adjust scope of variable

commit 865ab4eda8a6b21a7ba99443e3193bb91e739dae
Author: Martin T. H. Sandsmark <sandsmark@samfundet.no>
Date:   Tue Dec 29 16:13:32 2009 +0100

    Fix building of phonon-vlc

commit 31e8f235bd57af58c68ebcd51c4e987e6453186a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 15:45:48 2009 +0100

    DirectSound: cosmetics and error path fix
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3ff8a01e7463832b9f17ced012600ef0e5c35a34
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 15:29:19 2009 +0100

    DirectSound: try to fix Wide Char issues
    
    Here, the DSEnumCallback documentation seems wrong or misleading, it needs LPCWSTR with DirectSoundEnumerateW
    http://msdn.microsoft.com/en-us/library/microsoft.directx_sdk.reference.dsenumcallback%28VS.85%29.aspx
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit acedeb2868f293edf520e21093112c6ce9039d11
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 14:39:18 2009 +0100

    DirectSound: Options change
    
    Add an alias as "directsound"
    Add the deprecated option
    Add the change_restart_needed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0c2e5091bf968370d12f011dbec775d13f9b28ff
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 14:34:13 2009 +0100

    DirectSound: Cosmetics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b27353620a82bcf7cb9bdddafae9781f0e419ecc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 29 14:32:24 2009 +0100

    Waveout: Small scope improvement
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c85d607420db8a3fc1025c3f4dee268cb533070b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 16:09:13 2009 +0200

    Remove buggy and never used VLC_VAR_INHERITVALUE
    
    InheritValue() is not thread-safe. It runs under the variable lock of
    the object creating the new variabe. But it reads variables of parent
    objects. This would require the variable lock of the parent object.
    
    We still need to fix var_Create() with VLC_VAR_DOINHERIT.

commit c1f4a7df713e08f94697fa7331cafe869979f154
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 29 14:07:23 2009 +0200

    Inherit from parent only, not from LibVLC

commit c8fbeb15d8c87f0f3c3c59066cccd27ad7ec5eea
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 29 02:22:01 2009 +0100

    vod: switch to core code to generate SDP

commit d654348540103efcdfed49ecbdf8c7629fc1ed8c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 29 00:45:55 2009 +0100

    Change default alsa device lookup
    
    If ALSA_DEFAULT cannot be opened, loop through all available alsa input devices.
    (And if an alsa device was provided in the mrl but couldn't be opened, print the list of available alsa input devices in the debug output after the open error message.)

commit 6224f35b42e886e20cb40af3d95a0a72c6addc24
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 29 00:18:26 2009 +0100

    Add a small help text to the alsa access.

commit b9452821d8d5595a77c645876c32009d6e67f8c4
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 29 00:03:22 2009 +0100

    Use action id in lirc. (Untested)

commit ca35eb93bfb11e12133e473c473bd7a78f4b58d2
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 28 18:11:35 2009 +0100

    Make sure that vlc.gettext.N_() returns the first argument.

commit fbd5aa9902bf2bfc36b7879f8791d910d77c9917
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 28 17:52:34 2009 +0100

    Revert "lua: Make sure it builds with --disable-nls."
    
    This reverts commit 29847260f62e4cf6218b0700a75e6f6b9ffb84e3.
    I'd rather have a stable lua api (besides, vlclua_gettext is already a noop).

commit dfdcb64ae3c5ace5368649691270ec320e26c949
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Dec 27 11:10:27 2009 +0100

    skins2: add a fullscreen controller to the default skins
    
    This fullscreen controller is copied from the main window.
    It can be activated in fullscreen mode either via the 'i' hotkey
     or mouse middle button.

commit d7cc8ec81478335c871841c621ddf3ed571a8beb
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 28 22:02:46 2009 +0100

    skins(Win): add fullscreen controller as a child of fullscreen main window

commit c5bcda905d84c2ccc2fe8e13a50c803beb1ab695
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 28 22:03:33 2009 +0100

    msw: ensure the old vout output works as the new vout_display
    
    This patch ensures we get the same behavior on Vista/Win7
     (new vout_display) as we get on WinXP (old vout output with directx)

commit 858898544a6884b4cc6413a4cf934fb59a9e524d
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 28 21:33:29 2009 +0100

    skins2: setOpacity moved to a better place
    
    Opacity used to work only on newly loaded skins, but failed to work from
    skins restored from a previous session.

commit 29e8e98b99d8abfe231728119d4a39567176c37f
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 28 21:32:40 2009 +0100

    skins2: a tiny memory leak

commit 27073484ea8d550d4131c876cca477a664911e68
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 28 21:30:46 2009 +0100

    skins(Win): a proper way to terminate vlc
    
    This fixes vlc hanging when closed via the popupmenu in the taskbar.

commit f021273d91337665ac1d1d68e5c043757957dac2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 28 19:07:56 2009 +0100

    Update LIST.

commit 9bcc170e96431f5d10cf1ca0870af579bc009920
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 28 19:00:14 2009 +0100

    list.sh: fix modules listing.

commit ab2c173ab782250af7bd37924f6607fb6f705c1f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 28 18:14:18 2009 +0100

    lirc: clean up.

commit f1144aea3a745d7005bcab2047f4b0ce3bfc082a
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Mon Dec 28 17:09:07 2009 +0100

    CSIDL_COMMON_APPDATA means All Users\Appdata, not MyUser\AppData

commit cccd5463141e1ab89871f3f725c2908f962b65ab
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Mon Dec 28 17:07:59 2009 +0100

    mp4: Factorize

commit 2e14304591c94e3911f4983b1d4eb4a995bdd5f9
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Sat Dec 26 02:18:03 2009 +0100

    gui/macosx: fix crash when the volume slider has been modified.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit 9c21b7ec34ef07a4f4c6b5e9dc4625ad02456bfb
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Sat Dec 26 00:37:12 2009 +0100

    gui/macosx: Fix ugly flashes of video view when the splitviews are resized.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit bb8a0acca9cc31fb2c614cefb1c320ba08215eef
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 28 14:39:33 2009 +0100

    factorize.

commit 9dd8eab907f57f7b2c1cfc4bda935c43a6579490
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 22 16:06:37 2009 +0100

    module_cache_t: fix padding.

commit 8939e8f944fbac079dd9e2d04ca5189a8fed1407
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 22 15:46:54 2009 +0100

    Fix padding for picture_t and subpicture_t.

commit 9fa485d12015c27cd34e81f3e703559d2b32416b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 22 15:07:21 2009 +0100

    input_thread_private_t: fix padding.

commit ba807e32909450664f548701e34411d0d1d7207b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 22 14:45:51 2009 +0100

    libvlc_priv_t: fix padding.

commit 9a634b1f6a78b9189adcce4a51a781353bc813e7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 22 14:33:35 2009 +0100

    input_item_t: fix padding.

commit 78869b0072ea638b7891fc15f9b88f30c151552e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 22 13:29:48 2009 +0100

    input_clock_t: fix padding.

commit 9f584dfb5622cb5b7a81f3e516179b76236c6cc2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Dec 23 13:30:11 2009 +0100

    libvlc: destroy the intf variable only if created just before.

commit bf4d8c909f1b76103674f5a00ae93a8a1d626f96
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 17:44:56 2009 +0100

    cmml: remove a potential security problem.
    
    Anyway:
     * cmml samples can't be found in the nature
     * cmml demux does not works AFAIK
     * we will remove cmml soon.

commit f45691bd1e685574290b4d8caede5dede6020c48
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 16:32:31 2009 +0100

    sout_announce: use a static mutex instead of a variable.

commit fd3aa03e0c23a57a0018098e30dfcc507580142d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 12:19:05 2009 +0100

    vlm: use a static mutex instead of a mutex variable (and fix a path with a missing unlock).

commit 4b3df746d3dd75597e3ceaa102ef26eaa3e4ca4b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 12:05:45 2009 +0100

    relavideo: remove unused mutex variable.

commit eb6d8c3c71d26aae99321abb28feef818d968a33
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 11:11:34 2009 +0100

    x264: use static mutex for win.

commit 2d4bad07085303da4c1cd15972e9e362cfa8e704
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 10:59:27 2009 +0100

    osd: fix return value.

commit c59ef2997b06c4a7292e48636491868aae4c0d9a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 10:57:13 2009 +0100

    video_filter_rotate: fix race condition.

commit 4434af1357525d2c49da1f6ed52f043b06d13da1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sun Dec 20 10:54:16 2009 +0100

    playlist: add a fixme => race condition.

commit 5d90c3fa0c62e164c3aef5c5075b64f7455fa777
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 28 11:38:35 2009 +0200

    vlc_GetActionId: binary search

commit 1b7540c4e7db9d419566bf36aac08aaa6f559895
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 28 11:30:10 2009 +0200

    Check that hotkeys are sorted properly (debug-only self-test)

commit c6c70ebc8012ab922343f3a8a0fe4f29fd71f936
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 28 11:29:43 2009 +0200

    Sort hotkey names ASCII-wise

commit b7d1960fc01e8dd8aadeb8da42e1333e86d429ab
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Dec 24 11:43:10 2009 +0100

    msw : support for vout_window_SetFullscreen
    
    This patch opts for the new vout_window_SetFullscreen when a vout window
    provider is available and keeps on the old way otherwise

commit bd99a2e1115314165b13763fceb02f3984ffc08b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 28 09:57:36 2009 +0100

    POTFiles update with removal/addition of files

commit 84fdb5fef5e8bdadb935b4cfac02e4165b210530
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 28 09:54:39 2009 +0100

    NEWS about opengllayer and sqlite and DxVA2

commit a901b8ad32819409b05490b45c7a702d754239ea
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 28 03:02:29 2009 +0100

    macosx_dialog_provider: Don't waste a thread for nothing and make sure we call AppKit from main thread.

commit c4d1a91a89e2969dd3a825b25532984c0b66be89
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 28 03:01:53 2009 +0100

    qtcapture: Make sure we don't block on main thread at destruction.

commit 29847260f62e4cf6218b0700a75e6f6b9ffb84e3
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 28 02:49:12 2009 +0100

    lua: Make sure it builds with --disable-nls.

commit 1676fb0f6acf33646bee4535e3d332ab83d5ea17
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 28 02:06:14 2009 +0100

    opengllayer: Remove this module.
    
    This hasn't been converted to "vout display".
    This is to my knowledge not in use.
    This is calling main thread synchronously on every redraw making the overhead too important, and the overall performance of the module very bad.
    There is to my knowledge no way to fix this using public API on 10.5, without a complete rewrite.

commit f25b03685261dd43866f829200b7594454036501
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 28 00:32:58 2009 +0100

    BDA: include ordering
    
    This remove unnecessary include and fixes a warning

commit 396df1b5c3c28f60afa30082d75a3be8085024f7
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Thu Dec 17 23:44:13 2009 +0530

    Sqlite: Typo in testing for threadsafeness
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 16cb266cb6f46c62213d0a5723b21a11110267b9
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 23:01:45 2009 +0100

    Experimental lua gettext support.

commit 60a57b8367661ebfffdf6e88e6e1965b1ed7878f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 22:36:10 2009 +0100

    Misc lua interface changes.

commit abfa2cef80509443b6d9930730079018058e2a80
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 22:14:10 2009 +0100

    Add new rate command to rc.
    
    Enables setting playback rate to a specific value.

commit 4468f68613128ecf695a25b9821426de74d6caa7
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 22:04:10 2009 +0100

    Fix rc hotkey command.
    
    (accepts full hotkey names or hotkey names without the leading key-)

commit 469613e252bc8b0b22e883d88e0be0a6f7b0a4ff
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 21:53:02 2009 +0100

    Add vlc_GetActionId().
    
    vlc_GetActionId() is used to get an ACTIONID from the action's name, which is way better than getting the hotkey setting from the hotkey name and then, if the hotkey was set, looking up the corresponding action id ... since this also works if the hotkey isn't set. Export this function in lua and use in common.hotkey().

commit 621afc68d4cb5aff9e463f5161decd1396e94af2
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 21:14:17 2009 +0100

    Don't print welcome message if it's empty.

commit 4cf0140c9f3419ea81a50745eaab2bf373875cce
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 27 21:08:55 2009 +0100

    Implement menu command. Disable eval command unless rc={eval=1} is set.

commit d34809417bb615fb7d9ec63fc10845e74bad6384
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 22 00:24:38 2009 +0100

    Simplify lua http's custom.lua. Print any errors while loading custom.lua in the debug output.

commit 054c7f95c116126e6d4f80ad5e4e140dd8d1a99f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 22 00:08:26 2009 +0100

    Prevent errors if item name is nil (I wonder why that happens though).

commit 66cdfd6b1a8a24433ab716387f0a79a01aa53934
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 27 16:10:58 2009 +0100

    DirectSound: use DirectSoundEnumerateW iso DirectSoundEnumerateA
    
    And other alignment changes

commit 9375bd72215cc0bfbc87e2a52e9dc0179fea514e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 27 15:55:51 2009 +0100

    SDL_INIT_EVENTTHREAD is supported on Windows now.

commit c192372d70547e81c4da314e9b4e5ad887c9985a
Author: Paul Corke <paul.corke@datatote.co.uk>
Date:   Thu Dec 17 17:30:18 2009 +0000

    Fix compilation under MinGW/MSYS on WinXP Remove an error about a missing symbol WSA_QOS_EUNKNOWNPSOBJ
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 01461816d841cdbc10ef791b8653717d551ba658
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Dec 27 13:20:08 2009 +0100

    skins: update skins dtd (new loop parameter)

commit a0f5957a29f6793f6ae91bacac66afea6b578d33
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Dec 26 13:54:16 2009 +0100

    skins2: add a 'loop' parameter for animated bitmaps
    
    This loop parameter is intended to run animated images for a given time
    In addition, animation is started again in the following cases :
       - when visibility changes
       - when active layout changes

commit b8181acf9ab038bb921ae84eded944d2092bce48
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Dec 27 11:55:30 2009 +0100

    skins2(Win): fix a timer issue
    
    Win32 API SetTimer is not a oneshot timer.

commit 035d5591089275adc7b07c4dab2fac015f248940
Author: Brian Weaver <cmdrclueless@gmail.com>
Date:   Sat Dec 26 19:52:58 2009 -0500

    Fixes a build error on OS X
    
    Build problem in the modules/video_output directory
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit f74cbdf7a418b9be1e60ee43bfdf94bafe283760
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 27 02:41:54 2009 +0100

    DirectX/Waveout: new windows_audio_common.h file
    
    So we stop duplicating the code if we try to improve it later on :D

commit 9ae49e3bb196a59f827e704c4b6eedf22faf007d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 27 02:19:12 2009 +0100

    DirectSound: cosmetics

commit 450070869e8b7411865e287d2acab2df69331a37
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 27 02:03:11 2009 +0100

    DirectSound: fix a warning

commit 2ee365479301f4c265737367b481c3bd60480a08
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 27 01:40:38 2009 +0100

    MSW vout: fix compilation since [76e8da0ff] change

commit 20abd0db808e293360bd0172bc4ed78639257cba
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Sun Dec 27 00:39:10 2009 +0100

    Skins: set the maximum volume to 1024, not 512
    
    close #2089

commit d147daa23d0205c2e3ea283f738453d1e0a4f97c
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Dec 20 10:00:35 2009 +0100

    skins2(Windows): add a black windows for fullscreen and manage z-order

commit b92e60148959f3cb63e895943ea803222750f7ea
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Dec 26 21:54:45 2009 +0100

    skins(Win32): add hotkeys support in fullscreen mode

commit 1d6a9562095e15f5d474320712de5abc15719813
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Dec 19 19:30:23 2009 +0100

    skins2(Win32): prepare for typified windows

commit ce4bddf30723ccff2bbea8015e738339c207003c
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Dec 26 21:31:06 2009 +0100

    skins2: optimize refresh
    
    skins2 manages a cache for building layouts. Yet, on each redraw/expose,
    it rebuilds the whole layout. This patch avoids these unnecessary rebuilds.
    It results in dramatic improvement, especially on Linux, where refresh was a real issue.

commit 58a785a56ec1f8685c1d546f5ca2d4bccbff286a
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Dec 24 09:36:37 2009 +0100

    skins(Linux) : fix crash with a few skins (e.g Orangeade) and xcb_x11
    
    On X11, windows are created with a 1x1 size and updated later on.
    In some context, vout_display can catch this 1x1 size before the size is updated.
    This results in a crash in swcaler.c which gets a 1x0 size (division by zero)
    Changing default to 10x10 solves the problem.

commit 06971e967343dc23eb6c84db1e01709ee0b64f83
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Dec 26 11:56:32 2009 +0100

    msw: typo

commit b97c469d7972d59e42a7407131bd30ac4dbdf4a0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 22:09:49 2009 +0200

    XCB/XVideo: skip completely if overlay is disabled

commit 103cd865cc6aa2b19f1fd1adbed8d13c1d8c5543
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 22:07:52 2009 +0200

    XCB/window: hackish implementation of video wallpaper

commit 1d288a105d764cf9575c884d540f3135273f9fb5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 21:58:31 2009 +0200

    Rename directx-wallpaper to video-wallpaper

commit 7fc4ffde08b9da5fe4e032f6da248033e242d6b8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 26 20:54:11 2009 +0100

    ASF: remove unused variables

commit 3f31d5ecd5d775d96d2d61f952e5a7cca6dd412d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 26 20:00:32 2009 +0100

    Typo in previous commit

commit f68e1815fa8ac732f2951fb8301cb1e1e3ce1886
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 26 19:56:17 2009 +0100

    DC1394: use SCNx64 instead of llx in sscanf

commit ff894ff1a89ef8ea4dda9ba4799d6c86385fc49e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 26 19:46:40 2009 +0100

    http access: use SCN instead of PRI with sscanf

commit df509ccf56baa3e79a885f017aa97d205f2feabc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 26 19:39:59 2009 +0100

    SAP SD: Use SCN in scanf instrad of PRI

commit 4c1a614be06811db86dac6abc68c155e3c6af538
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 19:30:51 2009 +0100

    osx/framework: propagate NSInteger and NSUInteger

commit 474b2271e93fb872a1b0c682da2e3c4b76d48c11
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 19:29:56 2009 +0100

    updated NEWS for OS X

commit 5a22940f0256bddbcf9d30073f2846d3777cf104
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 20:02:25 2009 +0200

    Typo

commit 5edb2c25a7b4e6eabd81f4758deea375a409f498
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 20:00:58 2009 +0200

    Really make a valid URI for '-'

commit eeff52c80e2c3321b8de8e358ba41af65309d2be
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 19:59:02 2009 +0200

    Revert "Win32: fix #2592 (stdin file input). It may impact other platforms, so please test, and fix/revert if you see a bug."
    
    This reverts commit e33a82dbd7ef005de310f67f7cc83a1bf0c71269.
    This broke opening any file starting with a dash.

commit 36558eb52ea617c0c6293dc0974bc41df3fca1ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 19:50:19 2009 +0200

    Pass full window state to window providers

commit 2c077cc08764769d48208237235895e23657f45e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 19:46:46 2009 +0200

    XCB/window: implement below state

commit ec945c264c2b53b0e20a1b9a7198efa31e0f29ab
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 19:46:21 2009 +0200

    Qt4: do not implement below state

commit 76e8da0ff1691aad46f89810712c6eda6e548ee8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 19:36:37 2009 +0200

    vout: expand stacking mode from boolean to unsigned
    
    This enables passing a below state in addition to currently supported
    always-on-top (above) and normal. (However, none of the window provider
    support it just yet).

commit e21af72667a0291da9decea43330b881fabf8939
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 14:14:18 2009 +0200

    VOUT_WINDOW_SET_ON_TOP -> VOUT_WINDOW_SET_STATE

commit b20b1a2734e994561182770281bad9eee5a38bb1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 14:29:08 2009 +0200

    freetype: NULL for %s is not portable

commit 77271be3e3ef44bcf777639d61fef615bbfc55bc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 17:43:35 2009 +0100

    osx dialog provider: make sure we can actually quit VLC

commit 7a9922581df7d2a1733bfc506581e18b92f8e0b6
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Sat Dec 26 18:42:15 2009 +0200

    transcode: change default scaling factor to 0 -> no scaling

commit deeb788f76b62e2736dbccdc7a098fc03aa81f1d
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Sat Dec 26 16:23:33 2009 +0200

    transcode/video: fit sar-calculation
    
    Should fix aspect-ratio issues and fixes #2793

commit 1b0b082d7bac17c96fbff5dd31faf1d2d5d327c7
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 26 17:19:04 2009 +0100

    contrib: use real prefix when hacking libintl headers

commit 1bc507d196cb6629440df5d4fe71a59324e2880d
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Sat Dec 26 14:45:03 2009 +0100

    Qt4: add the verbose-objects option to the messages window

commit 61eaa3fd2d1fb30aae22f0888018de3693b215af
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Sat Dec 26 14:36:34 2009 +0100

    DirectX aout: select the output device by its name instead of its number in preferences

commit 2bdc3570c0881f2751456c4fdf114a3be61f6dda
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Fri Dec 25 16:25:54 2009 +0100

    while I'm at it: don't crash either if I select something in getOpenFileNames

commit b039abe935b5d91e186dae3bb64405cafa400460
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Fri Dec 25 16:20:42 2009 +0100

    Don't crash if I click "cancel" in getOpenFileNames

commit e33a82dbd7ef005de310f67f7cc83a1bf0c71269
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Fri Dec 25 13:57:57 2009 +0100

    Win32: fix #2592 (stdin file input). It may impact other platforms, so please test, and fix/revert if you see a bug.

commit c2e29f67fd13431af4823fa4af934cf30f357052
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 26 16:10:43 2009 +0100

    macosx/framework: Remove unneeded configure flags.

commit 728290e9b19b98e015308c89cba7720ed7864173
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 26 16:08:54 2009 +0100

    configure: Make sure independant Mac OS X-related modules can be activated/deactivated individually.

commit 73ac0ce9d1078b6604278f8a38d27457e0e33af8
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 26 15:18:06 2009 +0100

    input: With --play-and-pause don't pause non pausable stream.
    
    Else, this results in triggering the timeshift module.

commit 19791dba9259c51a4e4593393d36afe5c611d9da
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 15:37:40 2009 +0100

    osx/framework: use the OS X dialog provider as interface module

commit 6d1ad866728e4cf4732270b785dc0d1e777d148e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 15:36:11 2009 +0100

    osx dialog provider: implemented the progress bar dialog

commit e6f3057f5016f55fad5c244d8209c5ebf83d35c5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 13:44:00 2009 +0200

    Remove unused lock

commit af97f24d528acab89969d6541d83f17ce1ecd580
Author: Brian Weaver <cmdrclueless@gmail.com>
Date:   Sat Dec 26 01:37:54 2009 -0500

    Modified the main OS X interface module to remove the use of setjmp() and longjmp(). The MainMenu.nib file was modified to invoke the stop selector instead of the terminate selector on the NSApp object. This allows the OS X framework to return from the call [NSApp run] instead of using setjmp()/longjmp() in a managed framework.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit be8909be21eb2ec7e7a2111396ef29d20095ee8f
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Fri Dec 25 21:23:00 2009 +0100

    gui/macosx: Do not automatically resize the video view by calling scaleWindowWithFactor:animate: when it is embedded.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit dabbedc659d5af0992f9247731afc52c0b65bfaa
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Fri Dec 25 21:22:24 2009 +0100

    gui/macosx: fix a side effect when the playlist's splitview is resizing in embedded window.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit 39d525d8bf55537dfa35119c7d5c013df2718ce8
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Fri Dec 25 21:21:37 2009 +0100

    gui/macosx: uses the superview object for swapping between the video view and the temporary view.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit b1198ae4eb4d7f1d8d073119acdaa85907bab79d
Author: Sebastien Zwickert <dilaroga@free.fr>
Date:   Fri Dec 25 21:20:49 2009 +0100

    gui/macosx: try a fix of validateMenuItem: that avoid to fail on __vlc_object_release() assertion (internals->i_children==0).
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit 46b7f9a6e1876ccc2204e3c4a06ef8efae39da46
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 26 11:29:30 2009 +0200

    Remove unused string
    
    Pointed-out-by: Fumio Nakayama

commit e66e185558bc2cd366f190fb498475b26e40e2db
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 04:20:19 2009 +0100

    osx dialog provider: minor cleanup

commit d04d6561419a90cc1fac0c700188302c93f220b8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 26 04:16:30 2009 +0100

    added a Minimal Dialog Provider for Mac OS X
    
    Currently only used to display the question, login, error and critical core dialogs whenever VLC runs with a GUI on a Mac.
    
    Disabled by default. The login dialog's layout will need some more love.

commit 331c2a6bb7756b1462e1a649f141bfef081b8f98
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 26 02:42:13 2009 +0100

    configure: Fix Mac OS X audio detection.

commit 839f9f95f891d7f1495c6d9ba444e8f6cf0093ab
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 26 01:10:57 2009 +0100

    macosx/framework: Bring back --play-and-pause.

commit 423f5d1b188546c7b9ea273a927ac3a85516e8ed
Author: Hugo Beauzee-Luyssen <beauze.h@gmail.com>
Date:   Mon Dec 21 15:31:36 2009 +0100

    Qt: Use the singleton class, to simplify the code
    
    Use the generic singleton for Bookmarks, ErrorsDialog, extended dialog, GotoTime dialog, every help class, MediaInfo, Messages, OpenURL, Playlist, Plugin, Podcast configuration and VLM. Also fix some memleaks when quitting
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 120a9af2529f50eae6e0d4e2b556f0ac0a9551e4
Author: Hugo Beauzee-Luyssen <beauze.h@gmail.com>
Date:   Mon Dec 21 15:10:05 2009 +0100

    Adding a generic singleton pattern implementation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f54df2932cae8cd2f467f3fdc7e7c8ca15314420
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 24 18:24:27 2009 +0100

    vout_macosx: Fix a typo.

commit df328ccffbe77f366a318169cfe6ce5f4939ef19
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 24 18:05:04 2009 +0100

    macosx/framework: Factorization.

commit 17df4f91487f3a6a1a4d36e0156cca5d074a7bb7
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 24 10:04:54 2009 +0100

    macosx/framework: Use the new "vout display".

commit 7bb3c466e0fe245d35b00ee698cdbbd09027f9e6
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 24 10:04:16 2009 +0100

    libvlc: Fix documentation regarding drawable-nsobject.

commit ecc72fd1c43a75ae8df40514137f83cbaaf2fa66
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 24 10:01:11 2009 +0100

    New "vout display" for macosx.
    
    It is non blocking regarding Main Thread.
    It is compatible with minimal_macosx in term of drawable-nsobject.
    It will only work if a drawable-nsobject is provided.
    
    It removes the glitches there was with minimal_macosx (and gui/macosx) when:
    - Displaying the first frames
    - Resizing the view.

commit 8496ea9b762a38df5f911ed5adfc3f731eef5400
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 23 19:20:42 2009 +0100

    macosx/framework: Renamed all the targets to be more explicit.

commit bdb6d9864f5c045115b8831618b003b28694922e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 23 21:36:20 2009 +0100

    vod: removing more unused stuff

commit 002746bfd2146e5b9dd698cccf6774ab75d42d56
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Wed Dec 23 22:27:04 2009 +0200

    x264: remove unneeded p_buffer

commit 2e74ee84b1f35d822fe1eaca6e2e081f0caa6d60
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Wed Dec 23 22:13:54 2009 +0200

    mp4: fix sar_num calculation

commit baced9d2b5707f5728d80e18c5d40a1742a59a19
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Sun Dec 20 16:51:00 2009 +0200

    x264: avoid one memcpy

commit 70439ea3435c8d9e06b47898815f1cc11b9de1b3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 21:22:30 2009 +0200

    SAP: try to improve playlist category name as earlier

commit 633a5efc47a2748fcf87cf51e93036a9a8eb8bef
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 21:20:15 2009 +0200

    --list: do not use colors if stdout is not a TTY
    
    This is consistent with --help behaviour.

commit ec994587f1fc9426826e5e48e8b899694b9fb361
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 21:17:27 2009 +0200

    Revert "sap: Rename to "Network Streams (SAP)""
    
    This reverts commit a1ab6ede05ac74a1ab75ba8a10b3c4802ae0c14e.
    This is not anymore needed with the probe rework.

commit f5a761654c8a9bf850a885280cbd2e24fb857000
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 21:16:57 2009 +0200

    Revert "No need to show service probes in the module list"
    
    This reverts commit b2ee1bcfbc8ebbf08c816bb6b18b1e321b7723bb.
    This is an ugly and confusing hack.

commit b2ee1bcfbc8ebbf08c816bb6b18b1e321b7723bb
Author: Fabio Ritrovato <exsephiroth87@gmail.com>
Date:   Wed Dec 23 17:47:18 2009 +0100

    No need to show service probes in the module list

commit e725aa5ecd165b906e6fe841eb0ce5fa8d5d8ece
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 23 17:15:44 2009 +0100

    macosx/framework: Change the name of the default target to "Build Everything"

commit 16350c64e3aeaf4bb10bb897dfd3634de55a0722
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 22 20:59:28 2009 +0100

    macosx/framework: Make sure remainingTime is KVO.

commit 549b9331e876edcbaf91b75a4388cd4054b8f011
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 22 20:50:14 2009 +0100

    macosx/framework: Handle media changed events.

commit 5871680a4a5154314beb0c7c507e8629fd44f361
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 22 20:49:31 2009 +0100

    media_player: Emit an event when the root media is changed.

commit 43db2ff148439be1aec70febd64e1c0c5f26bc40
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 23 14:55:28 2009 +0200

    XCB/XVideo: ignore ARGB picture format

commit 5ab6e093eaa4e79ab439b84df26c40b470c55dec
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 22 20:59:41 2009 +0000

    Ball uses sqrt() and roundf() and so needs -lm

commit 3a5d4f38f1c51f8e92a3b6e3f341c7ae28131191
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 22 20:15:29 2009 +0100

    ps demux: fix overlook when fixing timestamps

commit 8049a708841ea4c831c9fbfc576ba6e9ef1cebe9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 22 18:46:29 2009 +0200

    Remove module_GetModulesNamesForCapability

commit df596611690f98ef6019d699072373410768b8a9
Author: Fabio Ritrovato <exsephiroth87@gmail.com>
Date:   Tue Dec 22 18:34:24 2009 +0100

    Don't use color when listing modules on Windows

commit f5dcf639d8c7ab29003d8262765c16e138877c46
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 22 17:55:09 2009 +0100

    macosx/framework: Bring back default logging value to -1.
    
    We could probably expose some function to let the client change that on the fly as well. And/Or fix the logging API.

commit 681a89dede5cf42f3349bc085bf49c35e130f155
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 21 15:17:24 2009 +0100

    macosx/framework: Disable the media library since it is not exposed.

commit 9654fccc6af86c30a536b26ad816428dbb218109
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 21 15:16:52 2009 +0100

    macosx/framework: improve comments in VLCMediaPlayer.h.

commit 6f4f52118dcd101eaf88b440125c7689610ca72d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 21 11:58:38 2009 +0100

    macosx/framework: Simplify the API for audio tracks, chapters, titles, and subtitles.

commit e0ee5193a6acbecfc3549634023f8f468aa34ebd
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 22 17:45:51 2009 +0100

    skins2(Linux): enable transparency since setOpacity is now available (to be tested)

commit 671bf6f82838e1a58b94bd9bc21cf5b0b0fc79fa
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 22 16:26:32 2009 +0100

    qt4 and skins2: fix resizing issue when zooming in/out and is_display_filled is enabled
    
    returning VLC_EGENERIC is no problem, since the vout system is an observer of the change in size and will report the real situation.
    returning VLC_SUCCESS is wrong in an asynchronous environmenent, as resizing is only performed later on (or not) depending on GUI configuration.

commit 4a080e62f19b3314657e0474b5317fd899fe34d2
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Dec 20 20:24:58 2009 +0100

    vlc core: remove a hack that seems no longer needed
    
    On the other hand, it allows intf-show to really perform its goal
    (react on user interaction via hotkey or mouse)

commit 8803ce9daf5141c840747c6edf977e2c7ae9651b
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Mon Dec 21 13:01:06 2009 +0100

    skins(x11): use EWMH when possible (especially for fullscreen)

commit 2093cfa748bfa6f4f4e6582b8527729d4145ae0f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 22 12:31:10 2009 +0100

    Second (blind) attempt at fixing win and mac.

commit 03fbbec7cb12500ab21fee6b19d2182e3089f4c4
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 22 11:37:34 2009 +0100

    Revert "Probably fix LoadMessages() on windows. (Untested ... I'm not even sure that the config is initialised when we're called. But that shouldn't matter, we'll just fallback to the default data directory)"
    
    This reverts commit 4c5f93c1dd02cd2d79102c256f43cff4c7f9cb99.

commit 37670ff64f5da1e06ef6e4edb0c69b8aac65d0b6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 22 12:51:01 2009 +0200

    vlc_probe need not be exported at the moment (fix check)

commit 4c5f93c1dd02cd2d79102c256f43cff4c7f9cb99
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 22 11:08:59 2009 +0100

    Probably fix LoadMessages() on windows. (Untested ... I'm not even sure that the config is initialised when we're called. But that shouldn't matter, we'll just fallback to the default data directory)

commit 749065d0ab89df414fbb501c6370b7ca71a9f878
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 22 11:49:47 2009 +0200

    shoutcast: dummy probe support for Internet entries
    
    TODO: Freebox

commit 220742efe219472d937cdda92b8c5062f04ddfcd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 22 11:44:18 2009 +0200

    mediadirs: dummy probing support
    
    Maybe we should check the directories do exist first?

commit 2c421865d24245cc4aaaa840bfa7f9b0db48f3e7
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 21 23:54:41 2009 +0100

    Bump a few copyright dates.

commit e44e2294e7a587696965e3e1845b86a1350a7af1
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 21 23:52:47 2009 +0100

    Only skip \r or \n.

commit fd7f9a09f0d2d40386ffa6fcbc228f782f357b47
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 21 23:24:30 2009 +0100

    Add new common.volume(). Understands use of strings like "+10", "-10" or "10" for relative or absolute volume changes. Fixes volume in http interface.

commit 8cce51341d9b86a761f25a6f69b6e915f3183508
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 21 23:12:32 2009 +0100

    Prevent setting volume to outrageous values.

commit 11de24dfc1e963f582ffa198af3e1582971e6dd5
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Sun Dec 20 13:27:17 2009 +0100

    New video filter : augmented reality. Add a moving ball to the video and handle bounces on the edges thanks to a Sobel gradient computation.
    
    Signed-off-by: Antoine Cellerier <dionoea@videolan.org>

commit 3c1df96cda8086f605f2eacaa5653c9e43ec45ac
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 20 15:57:47 2009 +0100

    Mention the lua intf move in NEWS. Print an error if lua wasn't found and wasn't explicitly disabled in configure.

commit c7b0875374876a36c40db3e295bba2d6876fb589
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 20 15:44:01 2009 +0100

    Cleanup playlist status.

commit 57548ac9e60dacba20b414065943a89e10e59521
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 20 15:31:23 2009 +0100

    Deprecate the C rc, http and telnet interfaces. They are still available as oldrc, oldhttp and oldtelnet.

commit b601fe0adff74d9497d6a6150bc6a8f96854e63a
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Sun Dec 20 15:06:22 2009 +0100

    Fix mutex cancellation.

commit 28e52ddb9b8a1ae76eba086114ecf0bca90383ee
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Sun Dec 20 15:05:02 2009 +0100

    Add --data-path option. Access the src share directory now works from build tree.

commit 8241e58419c8eb84bb02117467b6e8957e1ab0ae
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Sun Dec 20 14:24:37 2009 +0100

    Fix blocking/non-blocking accept in lua interface.

commit c77b28e21ba84f0212383f6c87d29fb5e103cc94
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 21:45:52 2009 +0200

    Add a warning

commit 88c6f5f8eefc4bb203d59b4a14bc8b4b9b954637
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:39:45 2009 +0200

    XCB/apps: probe if the X server is present

commit 63bb4f962743925e29fa4d6a7f9b6f59b00ba6a7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:28:36 2009 +0200

    UPnP Intel: dummy probe (untested)

commit 69ed08a264ceb1e1b4cffd4e7f36b347692dff20
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:27:53 2009 +0200

    upnp: probe support (untested)

commit f39acb0deefb36207a585974cb6fce073168c279
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:26:36 2009 +0200

    udev: probe support (untested)
    
    This actually checks that udev works.

commit 3658cf84ff5d513b6d4898711e4069bba93bf312
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:20:09 2009 +0200

    podcast: probing support

commit e7829879f3449b7af8529832430bb053daa08ac4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:19:25 2009 +0200

    MTP: implement probing (untested)

commit 4037348c022a8937d8153e1a72c16a6085f01d15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 21 20:17:50 2009 +0200

    bonjour: probe support (untested)

commit 32326b12cd83b0952fddbfdd89899f3fa98b5bda
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 01:51:54 2009 +0200

    SAP: implement probe

commit ace8442cc7b676b95aac14c6b93985657e020aa6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 01:51:38 2009 +0200

    probe: helpers for services discovery

commit 1cfe42c98fe6b715632a447957a733b5f6d0c36f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 01:27:59 2009 +0200

    vlc_sd_GetNames: use probe

commit 15d640b84294de5f865dd49d040c0ca24abcd091
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 20:26:30 2009 +0200

    probe: infrastructure for run-time features probing

commit dccd947213dd8a81511557eaa3dce0602500113a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 20 01:27:07 2009 +0200

    vlc_sd_GetNames: add object parameter

commit f2d0e53b9f6127eae6bf7a4bf808e4a1d8174663
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 21 18:47:27 2009 +0100

    Allocated a direct3d back buffer as large as the whole virtual screen.
    
    It will allow to resize the video on multiple monitors.

commit 0a38e4154a7b41cb78cf4dde5ffc70818b159012
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 9 21:05:28 2009 +0100

    Fixed msw vout titles.

commit f12ce3792413ddb2705c1460097eaf74a29f8f59
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 21 11:07:14 2009 +0100

    Fixed fine rate control (hotkeys).

commit a0c03e338ffda98c3075ef1653974f859657c264
Author: xxcv <xxcv07@gmail.com>
Date:   Sat Dec 19 18:58:36 2009 +1100

    Qt4 streaming with dshow mrl fix
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cb63896dc6deedf028a43d826f1453ec8b30328a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 21 12:33:27 2009 +0100

    avformat mux: remove unused variables

commit bd0b49dbcfe19f65b091af6ea156781f019e0bf8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 21 12:05:39 2009 +0100

    Build fix
    
    Avoid nested /* */ comments

commit cdae7653cc243584b963716065a404f1e0665d0f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 21 11:54:06 2009 +0100

    Increase avcodec encoding output buffer size
    
    Make some room for potential headers, You can now output VLC_CODEC_BMP
    We use the same arbitrary value of 200 bytes than ffmpeg.c
    
    Note: if we can ask FFmpeg to output RGBA (32bpp) or RGB48 (48bpp) then
    the multiplier should be increased to 4 or 6 (needs to be investigated)
    
    Pointed-out-by: ivoire

commit 34f66f14f6cc7c228785be7b474579eace57bc97
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 21 10:45:19 2009 +0100

    Fix and augment libvlc_media_player_(s|g)et_nsobject documentation
    
    Note: this should be reviewed and further enhanced by an actual
    user/developer of this API.

commit a1ab6ede05ac74a1ab75ba8a10b3c4802ae0c14e
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 21 09:11:43 2009 +0100

    sap: Rename to "Network Streams (SAP)"
    
    Feel free to revert, or to find a better name, or to remove "(SAP)".

commit 15ddcc9c333150b59ad335b22c019312297e68e6
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 21 09:01:20 2009 +0100

    macosx/framework: Change the repeatMode setter to be a property so that it can evenutally be used with Bindings.

commit 55f19bbcf48c27ef29687d52bb113ccd0babb001
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 21 00:17:19 2009 +0100

    osx/framework: added methods to access end-user-compliant names of subtitles, audio tracks, etc.

commit 3154a8b75ed3b98baf06c4163882c5a2d3069f86
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 20 23:30:27 2009 +0100

    osx/framework: fixed a typo and enabled the framework to open external subtitle files

commit 6ee778a4ea323a91929ae1caad5e87153ce190b0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 20 20:18:36 2009 +0100

    osx/framework: renamed a few methods for consistency, added an addition subs method
    
    additionally, this changes the playback behavior of VLCKit. play-and-pause is no longer enabled.

commit 42a162155564489fe694b190a42472dbce0260f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 20 17:16:19 2009 +0100

    osx/framework: don't interfere with the NSCell API and fail gracefully if pausing throws an exception

commit 8fe7e00b905f185e7aa4c15e139f2974df723465
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 23:52:31 2009 +0100

    Fixed audio date on rate change in FLAC packetizer.

commit 4dcc2c422b9304d7ad2fd7df6885801d805a883f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 23:05:56 2009 +0100

    Used VLC_TS_INVALID/0 in mkv demuxer.

commit 028ed8ba7ffe35949722197ecf43b90de6014a98
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 23:00:43 2009 +0100

    Used VLC_TS_INVALID/0 in raw mpgv demuxer.

commit 4d6bb6f129e672fa7ed722c1d7209e0b127d2816
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:59:02 2009 +0100

    Used VLC_TS_INVALID/0 in m4v demuxer.

commit 63768163aa18f33d195d2c442a1404dc9cc05d86
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:56:38 2009 +0100

    Used VLC_TS_0 in raw h264 demuxer.

commit 2574a3a3b45a98381a1c1d301c4d34edfde56d6c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:55:34 2009 +0100

    Used VLC_TS_INVALID/0 in ES demuxer.

commit a6a7af28ea33c88e2791bd043cd0ae05b7c4c470
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:11:17 2009 +0100

    Fixed initial timestamp value in xa demuxer.

commit 5a0c175b648d4db2d919b9bafaada19e2651bd53
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:10:06 2009 +0100

    Fixed initial timestamp value in wav demuxer.

commit f587eaf89c5952625dd935ab4e5228d8173e6baf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:09:14 2009 +0100

    Fixed initial timestamp value in VOC demuxer.

commit b4d7410f6728b5faac754f4908b068b853e61101
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:08:09 2009 +0100

    Used VLC_TS_INVALID/0 in vobsub demuxer.

commit bd0c28847c4a4ea71b7e11f42c5696b31b83334b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:05:28 2009 +0100

    Used VLC_TS_0 in vc1 demuxer.

commit cf61649a74327f7cd6be4084bfe0e8139a9f0e27
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 22:03:36 2009 +0100

    Used VLC_TS_INVALID/0 in ty demuxer.

commit 0e0065f229596e791897c6c53c7d9053134a65b2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:57:16 2009 +0100

    Fixed initial timestamp value in TTA demuxer.

commit 9605c43a9200f272d7937b06010198dc9f59ce12
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:55:00 2009 +0100

    Used VLC_TS_INVALID/0 in subtitle demuxer.

commit 98e031ff6b564b59afb48ee667da817b09469d3e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:41:51 2009 +0100

    Used VLC_TS_INVALID/0 in subtitle_asa demuxer.

commit b264756544f4571724764276523c456c26a5278a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:36:22 2009 +0100

    Used VLC_TS_0 in SMF demuxer.

commit 83702c2c46500fc7be858eae9f276f1a54609163
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:33:05 2009 +0100

    Used VLC_TS_INVALID/0 in real demuxer.

commit 8885f556e5eb3e9416b66b35ede127426dbe1fac
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:26:27 2009 +0100

    Used VLC_TS_0 in rawvid demuxer.

commit 1239f0ea6bdb0fb2955808d03ca9f88d9f179b05
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:25:11 2009 +0100

    Used VLC_TS_0 in rawdv demuxer.

commit bc4a872dffa21c24a3a55806cc2a16095bd610b4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:23:52 2009 +0100

    Used VLC_TS_0 in rawaud demuxer.

commit 0e8f9f2e12894f677755756c5a04420ee9023c7a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:22:49 2009 +0100

    Used VLC_TS_INVALID/0 in PVA demuxer.

commit b4493aebb15e58455854481836c5c145a5c92b4a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:19:11 2009 +0100

    Used VLC_TS_INVALID/0 in PS demuxer.

commit 0053da9b52d072494d96122051f4026e460a83eb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:14:59 2009 +0100

    Used VLC_TS_INVALID/0 in ogg demuxer.

commit 0e6740c57647192fe875fb44f7f0ed6587aaae33
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:11:47 2009 +0100

    Used VLC_TS_INVALID/0 in NUV demuxer.

commit 360fbdaf78440bc06ac21b100c87a24283a3f095
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:04:53 2009 +0100

    Used VLC_TS_0 in nsv demuxer.

commit b0b7d04b69a94c931ab0b75d9becf82839fb156f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:02:11 2009 +0100

    Used VLC_TS_0 in MPC demuxer.

commit bba4e5fad969aa19ba1f29c9b5299896088026ca
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 21:01:14 2009 +0100

    Fixed initial timestamp value in MOD demuxer.

commit 32c3fa209f930cea7c673c0f132d877f8cd1c71b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 20:50:26 2009 +0100

    Used VLC_TS_0 in dirac demuxer.

commit 88518d3ad808d604ed132616cddfea87d4474753
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:53:57 2009 +0100

    Fixed initial value in MJPEG demuxer.
    
    MJPEG demuxer is VLC_TS_INVALID compliant.

commit 744ec5e9c271b0f03e8113a0531d23f627b3bb45
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:52:50 2009 +0100

    Updated live555 to use VLC_TS_INVALID/0.

commit 486b42b2fbb354ccf447687c6718e812048abf5c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:50:33 2009 +0100

    Used VLC_TS_0 in GME demuxer.
    
    GME demuxer is VLC_TS_INVALID compliant.

commit dd05d100e5de2f2b11bf57ad851f2e07d343ecb4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:48:24 2009 +0100

    Updated FLAC to use VLC_TS_INVALID/0.

commit 88f65af8a326de625e887912b4237fcd97482579
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:46:05 2009 +0100

    Fixed initial timestamp value in CDG demuxer.
    
    CDG demuxer is VLC_TS_INVALID compliant.

commit 02ea19ed1e27c3253706ea4e6058e676059df015
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:45:02 2009 +0100

    Used VLC_TS_0 in AU demuxer.
    
    AU demuxer is VLC_TS_INVALID 'compliant'.

commit 643080c585755d2dfd700923b0565c36ceafebf2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:43:50 2009 +0100

    Updated ASF to use VLC_TS_INVALID/0.

commit cacaf61d02726dcbc3878aff79329fd024deb397
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:40:25 2009 +0100

    Used VLC_TS_0 in AIFF demuxer.
    
    AIFF is VLC_TS_INVALID compliant.

commit 6aec5db71ac88173876b23d632204a71ad729e4d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:39:01 2009 +0100

    Used VLC_TS_INVALID/0 in MP4.

commit 5c8ab0cc52f763104ed53108510e17e7924b6fbb
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:37:58 2009 +0100

    Updated AVI demuxer to use VLC_TS_INVALID.

commit b195f843ab63a911c35ac2d09b5be1d1dc3a744a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:35:28 2009 +0100

    Fixed initial timestamp value in TS demuxer.

commit 368b4f25dc223bd1fda3540e933860ef4e38eb8a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 16:21:15 2009 +0100

    Added INPUT_EVENT_ITEM_EPG event.

commit 9fcd7b2f09163beb39d0b053fcb27a24c8784f73
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 14:26:35 2009 +0100

    Fixed invalid locking order when activating visualization.

commit 27a5042b8bc2def7bc0c5577885eaf410700f376
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 14:23:34 2009 +0100

    Do not use vlc_cancel with vlc_cleanup* uses in projectM.
    
    It seems to be broken with C++ code.

commit 9eb8bcb1acd6c5e010289ed66acbdc6b5cdeb88d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 19 10:23:57 2009 +0100

    Workaround VLC_TS_INVALID being 0 in avformat demuxer.

commit 56e612060552f66196e48ddcb13282b867b77ccf
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 19 10:22:07 2009 +0100

    Used VLC_TS_INVALID in avformat demuxer.

commit d74e28e8596db92cdd1d6dd9289b222f5776245f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 20 20:12:34 2009 +0100

    Added VLC_TS_0.
    
    It can be used to explicitly identify +1 hack in demuxer codes for
    easier later removal.

commit 4d269a64d89a1bc5ee1d25d6aa0ecc71049a16d8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 20 23:10:25 2009 +0100

    rtp sout: safer numbering of RTSP tracks

commit ea9810b5d2cc919d9231dca44f9b3fc06e68da86
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 19:10:00 2009 +0100

    NEWS updates

commit 2dd153d2dae6d778d2172ea5686627179e874e02
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 19:08:26 2009 +0100

    Update LIST of modules

commit 745cf118bbab187333d581b692f93cd4ca2da898
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 18:55:13 2009 +0100

    WinCE was removed

commit a4f080d716549ac5f0a22cb358dd834bc2421169
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 18:54:47 2009 +0100

    Contribs: update the ffmpeg configure.

commit 5bdb9f7276bb9bd1a9ae7e204d431adb160b3f75
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 18:54:13 2009 +0100

    VLC 1.1: The Luggage name

commit 4c74b59dfccb357389eff13b5ee5defcca798967
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 17:53:38 2009 +0100

    NEWS about deleted plugins

commit b01923cfefd4376733b3b5646ddd950ec23a3e7a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 20 17:52:07 2009 +0100

    Remove qte and opie modules.
    
    They don't compile since a long time anyway.

commit 4ad5f907099fde048ad49d2b83695eac93e4b008
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 20 13:51:59 2009 +0100

    osx/framework: added a bit more exception handling

commit 5203cf9acca84a550deacc9661f9d3d79fd270fe
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 20 13:41:58 2009 +0100

    osx/framework: extended API to cover titles, fps, playback modes and some convienience chapter functionality
    
    Additionally, updated some copyright information.

commit f929428edb373624e2ccc28a316808d0d3772939
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 20 02:39:32 2009 +0100

    i18n: remove deleted files

commit ba2736f415a73cc336663387e2d3b9225635a8e9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 20 02:29:58 2009 +0100

    Remove the WinCE GUI
    
    It is unmaintained, broken, and hasn't even been building for the
    last 6 months.

commit 8568697750145045bd611b6c5860b76eaf726f5e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 19 20:26:58 2009 +0200

    module_need: clarify b_strict

commit dbfbbd8188a18798d9670a6da8b0310af3a992b2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 19 23:57:59 2009 +0100

    osx/framework: out non-colored debug only

commit 4372508cafbe8e7054c82d4789f39be8169a38f3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 19 23:56:49 2009 +0100

    configure: added a minimal-macosx item, which will just compile the macosx-only modules we need within VLCKit

commit 1a9b837783365913b63cab244e8477f9bc4e406d
Author: Jean-Philippe André <jpeg@videolan.org>
Date:   Sat Dec 19 19:33:33 2009 +0100

    Lua: document function vlc.stream : addfilter

commit 9304b7db2b5e7a7bd353dc3ee689ffdb8ee3cabf
Author: Jean-Philippe André <jpeg@videolan.org>
Date:   Sat Dec 19 19:07:15 2009 +0100

    Lua: vlc.stream has a new function: addfilter
    
    When used with no argument (or nil), it adds all automatic stream
    filters. When used with an argument, tries to insert the specified
    filter only.

commit cf168e78fdada731702ca1ebfcbbafe8a49f9dbc
Author: Jean-Philippe André <jpeg@videolan.org>
Date:   Tue Nov 10 18:10:37 2009 +0100

    Stream: Export stream_FilterNew

commit 2039a06bce2fa27120f596b9c9760f650a79f782
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 19 18:44:02 2009 +0100

    rtp sout: implement rtptime parameter
    
    This adds support for the rtptime parameter in the RTP-Info RTSP header.
    It provides synchronization at start-up between RTP elementary streams,
    and is required by some clients to start playing the stream correctly.

commit 7a73b990d2127ca7b643cc383a207ad3b481ab5b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 19 17:04:22 2009 +0100

    osx/framework: minor rtp streaming improvement

commit 71d64fc88e575bd4b7dbd7e70bb10dcaf0d58491
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 19 14:27:52 2009 +0100

    osx/framework: fixed C99ism in previous commit

commit 6c3715d283a6fe36e6adede48d8aebb53518aa0c
Author: Mike Schrag <mschrag@pobox.com>
Date:   Fri Dec 18 23:22:21 2009 -0500

    load vlc config parameters from an array of strings in the 'VLCParams' property in the main bundle's Info.plist
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 2c15069fc16c1965266f4cb789780057d3bcc70c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 18 08:24:17 2009 +0100

    macosx: fixed compilation if VLM is not enabled

commit c81134f4cd748d9c83657a3e004690e61e16392f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 18 08:04:37 2009 +0100

    osx/framework: changed configure flags and make it respect Xcode's debug/release setting
    
    Disabled ncurses, SDL, SDL_image, visual, httpd and vlm, as these are not needed within the framework.

commit 5e75b1fb8888aec3377d5e7e247e0b5fad70fb93
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 12:20:45 2009 +0100

    macosx/framework: Export -[VLCLibrary changeset].

commit 24338ffb49116b5d10799ae794dc5debf5d6ec73
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 12:10:56 2009 +0100

    macosx/framework: Export libvlc version.

commit 545400d7e6c06e704cdba929dd1ddc9e2dbe41ca
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 11:58:16 2009 +0100

    macosx/framework: Build vlc with debug symbols.

commit 77575de85908cd00d151cf83490cc7bce61151af
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 11:56:57 2009 +0100

    macosx/framework: Assert that we correctly initialized libvlc.

commit f3d741a20994a7b454dde6aa5f8688932b06106b
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 10:57:25 2009 +0100

    automake: Use CONTRIB_DIR instead of manually assuming contrib location.

commit 4c553411a34111323efc2fc276ba2213cfe10359
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 10:30:21 2009 +0100

    configure: Remove broken \\\ in Sparkle include.
    
    Reported by seventoes and kettch.

commit 1d0423456232a5f553cc9f9b25d539a2d475e63d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 09:03:28 2009 +0100

    configure: Correctly use CONTRIB_DIR here.

commit b824035fbdc2116bbfef547067d49f90fe9efe7e
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 08:39:17 2009 +0100

    configure: Fallback on hosts/`gcc -dumpmachine` if host doesn't match a set of built contrib.
    
    Should fix your build if your host doesn't strictly match your gcc build machine.
    
    Pointed-out-by: Rafaël Carré <rafael.carre@gmail.com>

commit ba5fc9af01e64a80e48c3de34389cec0611c24e7
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 08:20:40 2009 +0100

    Fix make clean.

commit 398ba377732a8cbdc550332e265534bace7a44d9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 08:20:13 2009 +0100

    contrib: Actually use the real prefix during iconv copy.

commit 26b823ad6c8f9bc77f6e9c65d9e39fddcf2f2371
Author: Brian Weaver <cmdrclueless@gmail.com>
Date:   Fri Dec 18 00:19:05 2009 -0500

    Modified the iconv copy to work with the new hosts layout for the contrib section of the project.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit a778d2c25a1a4b8a4178de044cc4ddadbe637bca
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 02:23:41 2009 +0100

    macosx/framework: Don't run bootstrap after building the contrib.

commit 43dc8a8d99b061bb1551c55289d1cd30ec6a6285
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 02:13:23 2009 +0100

    contrib: Allow multiple contribs install for multiple hosts.
    
    And make sure we really use the host to check what contrib to use in the configure.
    
    You don't have to re-run bootstrap from contrib after make from contrib when building for x86_64-darwin.

commit 0b80cf464a43c1d233c295a7a83043eb9ae21edc
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 18 01:43:55 2009 +0100

    macosx/framework: Make sure we rebootstrap upon configure.ac changes.

commit b0afc53e42559776410e80d31eacaf452b2f69c1
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 17 23:07:57 2009 +0100

    macosx/framework: Make sure base SDK is set to 10.5.
    
    This should fix the issue about libmad when build the framework with the default settings.

commit 4eafca36a1b79b5bf32b81b9c518ba1c8dc37caf
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 17 23:06:18 2009 +0100

    macosx/framework: Don't pass an empty framework path.

commit f91c76f9c59dfa50514e63f8ad1c8857f65cadee
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 17 20:44:24 2009 +0100

    config: Use fsync on Snow Leopard.
    
    fdatasync is not exported. Fallback on fsync.

commit d848d8fdd6d03d43e6fd98455d237d34b72898c3
Author: David K <coding@rotinaj.org>
Date:   Fri Dec 11 18:55:45 2009 +0100

    Add support for the new Apple Remote introduced in 2009
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit ddb9216b2735ea9a4cb4fd0e95a14beaf4b63112
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 17 20:14:18 2009 +0100

    osx/framework: fixed verbosity setting

commit d0fcff40e368b13ebf9649882c68e89355d85bd3
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 17 03:13:01 2009 +0100

    macosx/framework: Include 'vlc' executable in the Framework. It's no real use, but its always useful.

commit b5a57f0c46739b79ff447c25309e57c988c4379d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 17 02:42:49 2009 +0100

    opengl: Fix the vout for Mac OS X.
    
    Feel free to revert.

commit 2d69f76b7a9731eeb86e4d8da4af77b6a8988234
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 16 20:29:53 2009 +0100

    libvlc: Make sure we remove object observers in media_discoverer.

commit c5a60efdff2cc737c9db2ef6d2174aa3b99cda57
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Dec 17 02:15:19 2009 +0100

    Build fix

commit 9ba50800a1638c65dda170970c4081847825dc91
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 15 23:51:22 2009 +0100

    skins2: first proposal for a skinnable fullscreen controller (fsc)
    
    This patch proposes a fullscreen controller for the skins2 interface.
    it features the following :
    - skinable fsc (desciption in theme.xml with the Window tag)
    - only restriction : no spawning of subwindows or dialogs
    - window is considered a fsc when id="fullscreenController"
    - (de)activation by clicking on the middle button of the mouse (intf-show)
    
    This fsc currently only works for Linux (new vout design).
    For Windows, it is a noop as long as the old vout design is still valid.

commit 300ed5ab7872847c59f2d1537528263a55365351
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 16 22:18:05 2009 +0100

    Compilation fix.

commit d466fd4185ffd791413658e948205e2676d2f470
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Dec 16 21:54:54 2009 +0100

    Removed es_format_t::i_aspect.
    
    It was duplicated with es_format_t::i_sar_num/den.

commit deca66fb30c2d05690b6bfb77c7281213965c4d7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 15 21:08:30 2009 +0100

    Used a sar for picture_New/Setup.

commit 63b7c098f211a5df53527d4b2601e16b943059a7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 15 20:07:37 2009 +0100

    Used a sar for video_format_Setup.

commit 24c96490ebea5843e389de91b87670b408b3267c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 15 19:58:51 2009 +0100

    Used picture_NewFromFormat when appropriate.

commit 7d0e62b8727f27c865587131c5b7ae9445d5ea59
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 15 19:56:18 2009 +0100

    Used picture_NewFromFormat when appropriate.

commit 93b2554ad95a5fec1d09909732bde5919be3b6b8
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Wed Dec 16 18:35:02 2009 +0100

    skins2: fix a bug preventing display in some conditions (both Win and Linux issue)
    
    a function updateShape must be called __after__ the layout is rebuilt and __before__ the window is refreshed.
    This function call was misplaced and resulted in applying an empty mask and concealing the final window

commit 318f0ebafde330153768bb2bde37497af70c54c8
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 16 18:55:59 2009 +0100

    vod: cosmetics

commit 1f4e123defa259751c7d995b152abfddcf9f81fc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 16 18:55:19 2009 +0100

    vod: remove unused stuff

commit 28c09f9f93b91c536a0d83fc0ab5280a101a5cb1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Dec 16 17:45:14 2009 +0200

    Note that embedded video cannot go to fullscreen directly

commit 5fdee8ec9899456231c2bd584614ba41c4191ed3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 11:29:04 2009 +0100

    lpcm: abort() is a better solution here

commit c24f5b99ca237526dc742734ad9e6e11a4c28cfa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 11:25:19 2009 +0100

    Qt: delete QVLCTreeView class and use event filters for the 2 different views.
    
    Some stuff are still broken in the IconView.

commit 69d72d7210777993e316e7d46cdeece391387361
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 11:05:40 2009 +0100

    TS: change a comment

commit 922f8c8499f244a3f03316aa7ea0e7592b29d672
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 11:03:22 2009 +0100

    Check asprintf return

commit 41ce1a5d3a863b3e0fe6bc1b839c37e22c291e08
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 10:59:07 2009 +0100

    Ignore cmake files in contrib

commit c98f127bc4bebb8d39ac1d8922e045a9c1682d66
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 10:57:01 2009 +0100

    lpcm: kill a warning

commit 94d22180c0afcd6f4f7cf45c9e23b091f728f4eb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 10:30:12 2009 +0100

    Pulse: kill unused variable warnings

commit 1ab428a94e4538832e16d6f338c7569efc1a643f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 00:54:31 2009 +0100

    Phonon: synchronise with KDE HEAD, part 1

commit 6455935abb7722bffb0dd80aca0aedf0c24fbbb4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 15 17:59:33 2009 +0100

    skins2(Linux): reactivate mouse on a video window (like dblclick for fullscreen)

commit f39e08f47795d1103da18e3a51c34f21ae20eeaf
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 15 15:23:33 2009 +0100

    skins2: add a type to windows (TopWindow, VoutWindow, FullscreenWindow)
    
    Specific attributes can be selected at creation of windows depending on type

commit e0114a7255c38c000f3018b2dc1518ce4601816c
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 15 09:32:31 2009 +0100

    skins2: new fullscreen implementation (currently intended for Linux)

commit 2e49a0b392d6ad53cd68b018cf3f0782aff60388
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 15 16:42:33 2009 +0200

    Move vlc_inet_pton, vlc_inet_ntop and vlc_poll to vlc_fixups.h

commit 6ada759b20bf830a063c08eda115b033e87f6d3e
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 11 19:45:59 2009 +0100

    libvlc: Fix a leak in media_discoverer.

commit 0ab937426cab742dfcfce6724e2f62801b32a893
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 13:03:58 2009 +0100

    vout_fb: cosmetics, else on the same line than closing }

commit ed5e0de6a200f565724428ac2c548b00d34c6092
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 12:54:01 2009 +0100

    vout_fb: cosmetics, stick to orig coding style
    
    CamelCase for function names
    No variable prefix
    No space after function name
    Starting braces on the same line than keyword

commit 9ea8c989e9ffe559196e5c74b1930052e7671507
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 12:44:08 2009 +0100

    fix typo spotted by xtophe

commit 53e6127968a8a71ebe322eeff21dd86b259ca3c3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 12:17:55 2009 +0100

    vout_fb: restore fb-chroma option
    
    Some framebuffers do not use rgb (dm6446 use UYVY for example)

commit 030eedced3261c380e74f2d0ab6ff5eae79f74c6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 11:12:58 2009 +0100

    plugins need to define __PLUGIN__ to build properly

commit 5de1345f2c547e4eb1ca1231f3353f8987f3f201
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 10:24:07 2009 +0100

    vout_fb: only store the pitch in vout_display_sys_t

commit 8cc373ed327d9c3e15c388360fa5c6cb4f11e9e3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 10:14:59 2009 +0100

    vout_fb: get pitch from line_length field

commit f67c7ae01e3f624597d61c79d844886bd49f61c4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 20 12:42:40 2009 +0100

    Davinci contribs
    
    remove unneeded id3tag, add ffmpeg (builds with recent binutils)

commit df6df8dfcafc55e31164d6b2a179321b36f317f4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 08:32:26 2009 +0100

    access_avio: cosmetics
    
    Add empty lines between functions

commit e5899d3b013dcd25f9020245cc758db9672691d6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 15 08:31:43 2009 +0100

    access_avio: unused variable

commit f7e46d4259ab6bd51253bbc796d5f629ac3e5f1a
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 23:57:15 2009 +0100

    Add meta for current track to the status.xml data.

commit 23d7733092997372a1bd8502b3f2a0e558039818
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 23:39:44 2009 +0100

    Fix lua error reported by ConfusedVorlon.

commit 62d4d133a9b5e66bba5545338219499133909a9b
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 23:33:17 2009 +0100

    repeat is a reserved lua keyword
    
    Provide playlist._repeat() instead (and keep the old .repeat in case
    anybody was using playlist["repeat"] to workaround the reserved keyword
    issue).

commit 6f653ce665ca7515d25d0143541d9c65ab0ad925
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 23:23:18 2009 +0100

    Add experimental album art support (http://localhost:8080/art). Can only be used for the current playlist item.

commit 23da1b167917e629d5a25d74aef4371a78d8afd9
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 22:29:34 2009 +0100

    Fix segfault when closing http interface.

commit 9bb85a1772757195bd658b3d28ce1920d1d4b846
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 22:28:12 2009 +0100

    Fix acl use in http interface. Change default host to 0.0.0.0:8080. The default .hosts file still limits access to default host.

commit b7c1008797b413ded64e654ad960c61b1102fc2e
Author: Antoine Cellerier <antoine@macbook.(none)>
Date:   Mon Dec 14 22:07:15 2009 +0100

    Add osd menu api to lua (DVD menus).

commit 225bddeaedc32f743fa79033e020dc4364b05ec7
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 14 22:41:45 2009 +0100

    Fix make dist
    
    Distribute missing header

commit 141de283295737e6a0f5ea24856ad520beb74d7b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 20:44:15 2009 +0200

    Comment typo

commit aa57e6ac5f9481e375c80e0f78fc616d1544f185
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 11:28:42 2009 +0200

    Maemo: disable liba52 and libdca
    
    lavc is much faster on ARMv7.

commit f3f46a25ff6009fbfd91e2539eec3a371a538d97
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 20:41:47 2009 +0200

    Fix A/52 decoding when liba52 is not present
    
    62eefa47e9195d1f4f6e99eca21c09f85788f913 introduced the same hack for
    DTS already a while ago. This allows falling back to lavc gracefully.

commit 732a81ca06a922e75105bc1f269137cd49c20251
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 14 18:38:08 2009 +0100

    lua: update documentation.

commit 3eec6e9cd24903a01c6815cb33f3c5b2640499a3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 14 17:40:43 2009 +0200

    Fix NULL dereference with -no-embedded-video (fixes: #3180)

commit c0e40cc1e6043d5b987fe39bfc5b2db6c27131b2
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 20:49:37 2009 +0100

    Updated vout display modules after ::get -> ::pool change.

commit 149587ec70d32767467760b86e12755860edbf3a
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 20:48:10 2009 +0100

    Replaced vout_display_t::get by ::pool.

commit 7c18ac7324764571bae85d64d2ce23586e6bdf1b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 13 19:48:43 2009 +0100

    Fix avio with MERGE_FFMPEG

commit d0a7dcbfb54fd2189a4c94963d9eedc1cf346e54
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 13 19:38:11 2009 +0100

    i18n: add/remove files

commit a12bbd58d931088bbacb857caf2b95f968fe9cae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 18:16:50 2009 +0200

    Remove my old email address

commit d0ecb9eb041831c805ba994baade4e633280e12e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 13 18:15:17 2009 +0200

    flags.m4: restore original copyright statement
    
    Seems like it got cut off in the copy from Miredo.

commit f01725371c62a398ac2e71059b3a1add3d4a365c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 13:35:03 2009 +0100

    Implemented an fps(50) limiter in projectM.

commit 4308fd1db1efba343570da4560497c0f3aa62562
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 13:33:42 2009 +0100

    Do not lock the audio buffer while rendering a frame in projectM.

commit cd5b4fb21722431f656953e1938061561c260275
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 13:22:05 2009 +0100

    Give only once the same PCM buffer to projectM.

commit 745c790b436ed55581d249c62f5451e5842652b6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 13:21:28 2009 +0100

    Fixed PCM values given to projectm.

commit 68f7bc2b517966f2171d0b1683c29d179271878e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 13:14:53 2009 +0100

    Fixed an uninitialized value in opengl.

commit 2d653399a2a10a64eb7b183d5a032e5dcfe74b09
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 12:49:26 2009 +0100

    Converted projectm to vout_opengl_t.
    
    As a side effects, window resize is now implemented.

commit 49b2bfc868a9703d1d1dcbe188a8331d4669eb7c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 12:42:17 2009 +0100

    Allowed to use vout_display with a dummy vout.
    
    It is needed as long as we cannot directly get an opengl context
    from a vout_thread_t.

commit 1dd20f7a65063f184000716f6ae831ca153a57c4
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 13 12:39:47 2009 +0100

    Implemented VOUT_DISPLAY_GET_OPENGL in XCB/glx.

commit fdb2c3ebd8d8e8247f10811e8c8e8b1705c0abe6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 22:42:18 2009 +0100

    Implemented VOUT_DISPLAY_GET_OPENGL in glwin32.

commit 99bf49b13d643e3e4cc1c7205f59812512dda8f7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 22:41:45 2009 +0100

    Added a way to retreive an opengl context from a vout display.

commit 4b8038becc110feb266886d407d62c3449d77d92
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 22:39:19 2009 +0100

    Simplified projectm module by using vlc_thread_t.

commit f53f829af50af5c24e019e999c9960b57976fffc
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 22:16:19 2009 +0100

    Fixed a potential race condition (projectm).

commit 4edd5ddb746c7a8b73baa598c60159bfbe63dc43
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 22:06:02 2009 +0100

    Reworked a bit projectm initialization.

commit 251c4c88810d2249bd4dec514b4555d7b2cef2a7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 13 00:09:13 2009 +0100

    macosx/framework: fixed MPEG2 exporting, updated iPod video profile (requires contribs with mp4a encoder) and added a method to stop all this

commit d352575af7892a3098cd016f221a5b45b7d45f85
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 23:57:10 2009 +0200

    Use VLC_CODEC_PPM

commit 03edfd021de2077e725eadfa8f8f2339b5aa62b4
Author: Johann Ransay <johann.ransay@planar.com>
Date:   Tue Dec 8 11:49:51 2009 +0100

    PPM image support
    
    PPM image format is already supported in FFMPEG. It would be possible to
    support it in vlc too with the following patch.
    The targetted usage of this change is to be able to do:
    vlc --fake-file image.ppm fake://
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 96b1f07d70ff84140eb6f511e67fb7e1ba6cbd51
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 12 18:52:08 2009 +0100

    Qt: new view mode for the playlist in an IconList like mode.

commit ddc087747e4e4e32b11e943474fb00d8a5bcd8f9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 12 18:24:12 2009 +0100

    Qt: playlist. Remove unnecessary includes
    
    and stretch the search to 1 in the playlist

commit f0c9c7fb93f22800980777c4069c74a27d4d6a25
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 12 18:20:47 2009 +0100

    Qt: PlaylistWidget parenting and code cleanup/simplifications

commit 3f6e3c48ca8727dd82256e0680ef32d7e9d334d1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 12 18:27:33 2009 +0100

    Qt: debug only if you want to.

commit 14a0e3f7c3a1c0409aeaf645e00b390d2578f95e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 21:45:20 2009 +0200

    GLX 1.3: pick a frame buffer configuration with matching visual
    
    (refs #1672, 5dca2e339ed999d8d71182f50f5aa1d1927df0c9)

commit 7b5c2b3d0d477005bb92262aa41e083c5609b624
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 21:40:39 2009 +0200

    GLX: inverted if

commit 7fe5527dfe6060cd4aadc98e8bbb327e9bc08597
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 21:08:27 2009 +0200

    GLX: udpate view port after the X server resized the window

commit 038b3b08007af030d88e71f4b3624692b27f8f33
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 20:55:48 2009 +0200

    Fallback if gl.pc is missing (not tested)

commit bbcfc7feb0b56a7512ee300b240d675ec55712d5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 20:43:28 2009 +0200

    XCB/GLX: we don't need GL Utilities, only GLX

commit 5bd970397708402422ee941c210e32047ea4d741
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 19:22:26 2009 +0100

    Removed an invalid free added by 15643af1 (subtitle demuxer).

commit 52e0dc0d6bf7349b008b755b9323155374c9a612
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 19:17:38 2009 +0100

    Do not rebufferize when transcoding to a non real time output.

commit 04590f5e207693993cadeb378caeb3b48199bf40
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 19:11:17 2009 +0100

    Fixed time/position report when using sout.

commit 1f30a5ff09d8b838f1c154c59b56b9acdddfd08f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 11:12:47 2009 +0100

    Protect av_register_all call with vlc_avcodec_lock().

commit f0a61cd7c0a711c1191239a8adf72e3de971b8b9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Dec 12 11:08:32 2009 +0100

    Added an access using avformat protocol support.
    
    The only way to test it for now is to use the following syntax:
    avio://full_url
    like for example avio://http://myhost/myfile.avi
    It cannot be instanciated multiple times per process.

commit df5349bc76bd8371973eca6c51ad426ce6655bb4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:41:42 2009 +0200

    Remove useless header check

commit c2f9b531b99689c0cbe84561d243ea41d7e91c0d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:39:03 2009 +0200

    Remove useless DMPS extension checks

commit 0e472af1729acbee1af1cf43f46a7486d710ea1c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:34:13 2009 +0200

    --disable-xcb disables xvideo and glx implicitly

commit 4eb03cdcc24eb39e26d3d6121560cc10cfbf92e1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:27:01 2009 +0200

    Remove old GLX plugin

commit 439eed0f4d55150e0d2beb1d9679e8365717a7cd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:23:32 2009 +0200

    XCB/GLX: resize

commit 267a4bdbf44e94cf192f86e8ad1bf34c70263ed9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 18:12:31 2009 +0200

    XCB: GLX 1.3
    
    (This is untested as my current hardware driver only has GLX 1.2)

commit b656e58f91de591b2b3cab001833806448da534d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 14:45:07 2009 +0200

    XCB/XVideo: check version correctly
    
    X11 extensions are upward compatible only if they have the same major
    version number. In other words, we wouldn't support XVideo >= 3.0.

commit 4734d55ba7ed19816ad28df17bf0e166d50e97ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 14:40:36 2009 +0200

    XCB/GLX: check that GLX >= 1.2 is available on the server side

commit 325ad139c4ce8fc62616c7ea433c096cc2a2276b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 23:12:56 2009 +0200

    XCB/GLX: initial GLX 1.2 support
    
    This requires libx11-xcb, since the higher layers of GLX are not
    available for pure X11 C Bindings currently.
    
    TBD: resizing and GLX 1.3

commit ef43be834b7dc0d7aedfa7f82efd1e68e42ed4c7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 13:06:14 2009 +0200

    vout wrapper: add xcb_glx

commit 356981857c34b3f16b25f737fb7e6c8b4c2cdbc3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 23:01:37 2009 +0200

    XCB: code factorization

commit 76da073c1711444eca280cb08a2b822345060618
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 12 13:15:02 2009 +0200

    XCB: move GLX-relevant helper to non-SHM-dependent file

commit 215d5035cb2ec8a6f2a011d3ab00c4072c4ff631
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 12 03:12:02 2009 +0100

    rtp sout: ensure seq value in rtsp is accurate
    
    Handle caching and fix race conditions

commit b6cec887003fcbf14afaa888f1de893620a728d1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Dec 11 18:44:35 2009 +0100

    rtp sout: add missing caching option
    
    It was already used in the code...

commit bfc6b198c0352fd87636563af135dcd645b929bd
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Fri Dec 11 16:17:33 2009 +0100

    macosx/framework: Don't automatically fetch meta, only when asked.
    
    This saves some precious memory if we don't browse them.

commit 5216a7521d634661a05022abb8a8f8d9230adf61
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 10 19:20:22 2009 +0100

    Qt: provide shortcuts for history items
    
    Recents items from 1 to 9 are supported to Ctrl+1 to Ctrl+9

commit d3cc662f321f6dc5ba86266b3695ee29ff6536da
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 9 22:54:10 2009 +0100

    Qt: various cleanups and fixes

commit ed6c65e40b75d836b24affdb41b9a06ed8742582
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 9 22:51:25 2009 +0100

    Reduce the toolbar margins even more.
    
    The height is one pixel less. I am not sure we can improve that a lot now.

commit 563f3db3f513adeff3f5321468579cfdd0e00a5a
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Dec 10 23:10:02 2009 +0100

    skins2: cosmetics in debug message

commit 67b96a07c561ad10581549f45e49ad4dd962ba27
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Dec 10 22:05:29 2009 +0100

    skins2: better input management
    
    This patch fixes failed assertions occurring sometimes on var_DelCallback for intf-event for input objects.

commit 808e8fb5910f16b91c02cc36b236f2a5c52d5949
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 23:05:27 2009 +0100

    libvlc: don't abort but return an error code if no modules were found.
    
    Also, let the possibility to run vlc -H.
    
    Pointed-out-by Rémi Denis-Courmont <remi@remlab.net>.

commit b1e92e7be06f8d97649ee2b2946e46513f87ed3c
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 22:57:00 2009 +0100

    auhal: Don't spend 16MB of heap for nothing.
    
    This saves 16MB minus 16kB of live memory during audio stream playback on Mac OS X.

commit 8973167fea228e6adebdc50376acee48ca9bb870
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 22:49:52 2009 +0100

    auhal: Support 10.6 64bits framework.

commit 18b554b596ee0b298eac4e51aeb806b1492d690f
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 21:20:59 2009 +0100

    macosx/framework: Don't attempt to do anything at exit or at construction this is nasty for a Framework.

commit e776c1f9729826a48d8721e03f7b63bc11b4e64a
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 21:18:28 2009 +0100

    macosx/framework: Make sure we can build for x86_64.

commit 9184d3f67f47b095dc35b7b4be58b8f6c50ff486
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 21:17:15 2009 +0100

    qtcapture: Make sure we build on 10.6 64bits.

commit 3f7cfc2b30b25121da4d18067ef713dc9cc39515
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 18:34:15 2009 +0100

    shoutcast: Fix some leaks.

commit ffe7e8d131425cf7a9f71f0dd1e9c5e16dcb7160
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 23:11:51 2009 +0200

    Split MIT-SHM check out of GetWindow

commit 719ee562f1a07a3a0333e71ddfe096600c5106a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 23:09:26 2009 +0200

    Remove no-op

commit 709be17708bf62399b3e1a3104e8489cef01e8a3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 18:46:22 2009 +0200

    Use ...NonEmpty... for --open

commit a27a45508085160f814823a2792234d9b16a30b1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 18:45:04 2009 +0200

    Fix --syslog
    
    psz_logmode is tested for NULLity, so we need to use *NonEmpty*.
    Also, always delete the variable. If the reference count was 1, we will
    revert back to the configuration value, which makes no difference.

commit f0040526943e9b664ffcd8f3ed551f1029fe2dc5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 10 18:44:20 2009 +0200

    core: config_GetPsz -> var_CreateGetNonEmptyString

commit fb1a1c12dc808580f9246861262f22e454334b8e
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 10 15:59:17 2009 +0100

    python-ctypes: define a .value() method for enums in java code
    
    ATM, java bindings use Enum.ordinal() to convert the enum name to its value. However, this approach is broken in the case of discontinuous enums such as libvlc_media_option_t.
    Java bindings maintainers should convert their code to use the enum.value() method.

commit 5ba19660a89f8d0f91e2ad5b052ce4aba5143874
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 10 15:56:58 2009 +0100

    python-ctypes: add support for media stats in java generator

commit 3fdb41b6a07b0cbf2b8ca20b391a6ef158d884df
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Dec 10 15:43:13 2009 +0100

    Qt4: check random button if random is set

commit c0641836357466d938339b33bdac3e357ce733d9
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 11:16:29 2009 +0100

    macosx/framework: Fix three leaks in VLCStreamOutput.
    
    Pointed-out-by Mike Schrag <mschrag@mdimension.com>.

commit c0638a3ad2d51c694f6a062ed14f1376b9f736fa
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 02:04:15 2009 +0100

    shoutcast: Don't leak psz_load.

commit fa2358f9260a17555d08a65f2b5ee069f7b934b7
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 10 02:03:33 2009 +0100

    avi: Don't leak in error code path.

commit fb96d6f7f2d17ac9a2f723ba5f2ddde307156b7c
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 9 17:44:49 2009 +0100

    config: Don't leak dataDir and configDir in dirs_macos.

commit 429cc2d44619fdc2d5a70f4c8e7350bff0be9922
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 9 17:37:47 2009 +0100

    macosx/framework: Fix a leak in VLCTime.

commit 067be17f09f44fecfa7d84eff042ff238a095654
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Wed Dec 9 16:47:31 2009 +0100

    libvlc: Make sure we don't continue vlc exectution if no modules where found.
    
    This is done to better diagnosticate misconfiguration of libvlc path.

commit cb5c7571e68f502d55a0ff11e0d965e148db12a7
Author: JP Dinger <jpd@videolan.org>
Date:   Wed Dec 9 13:50:07 2009 +0100

    Skins2: Add missing return statements.
    Spotted by Dominique Leuenberger. Thanks.

commit d51d6fa2948bc8aa75315b425ce09aae53887c31
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Dec 9 13:09:00 2009 +0100

    missing: add sout_MuxGetStream

commit f228216d9ed061f0be4ac206a80ec76ffbde5230
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 8 23:25:24 2009 +0000

    Don't append option to $PKG-CONFIG if it's empty

commit 7faec405d0b22f43e729e4fecac1302cbbe03015
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 23:13:39 2009 +0200

    signals: ignore SIGHUP if its handler is SIG_IGN
    
    This works around GNU coreutils nohup not working with VLC.
    
    Pointed-out-by: Gilles Chanteperdrix <gilles.chanteperdrix@xenomai.org>

commit 6f8cdd0f826a12a1dc10c741222c2a6299a01d7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 23:00:01 2009 +0200

    Move x11-display config to core
    
    It is used in many places, namely all X11 plugins _except_ the video
    display ones. So it did not make much sense to keep it there IMHO.

commit 64d3a24136736e7196b2016c16824f34d7958601
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 8 22:00:38 2009 +0100

    Revert "Contrib: block FFmpeg revision until dxva2 patch is updated for HEAD"
    
    This reverts commit 1e56f368a9662b7fa59bf33242b816c6e0995d2b.

commit 6adf794db95bce9fe62fc505b628e0ccdcd4fd3c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 8 21:58:41 2009 +0100

    Fixed a typo in weight computation (dxva2).
    
    Noticed by GBeauchesne.

commit f9475d6b840093ed7dfffc3d6e36bc0ae0ee1751
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 8 21:58:08 2009 +0100

    Fixed dxva2 patch for latest ffmpeg.

commit d968cdc26471cd1c87dfcab163e3f89f68c17506
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 18:48:33 2009 +0200

    Qt4: provide the X11 display address through the window provider

commit 35850e008131f6ef1572d10e32a0ecbc7c163406
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 22:21:20 2009 +0200

    XCB/window: pass display string to window owner

commit 249986fcbdf647d562a609053236add2ec6abe68
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 23:59:48 2009 +0200

    XCB outputs: use X11 display specified by the window provider

commit 9387010346e1d0c9bd554bc9e469e99331c99da2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 23:59:16 2009 +0200

    Room for window provider to pass the X11 display

commit 3b4b253f83e470abea405ba5121f873967b5a80e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 18:35:54 2009 +0200

    Qt4: check for Windows window system backend rather than platform

commit 74784641be7a9d44014960c931e829cf1b837c69
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 23:19:48 2009 +0200

    HWND window really can only work inside Windows or WINE code

commit ec4682128ada4047b20763dd94a7ed63c9de3d55
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 23:17:46 2009 +0200

    vout_window_t: simplify via anynomous union

commit d5618a759866f421981bc8817ab0e0a5e8d06a26
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 18:47:51 2009 +0200

    Avoid warning (braindead putenv() prototype!)

commit 4488d196b33729f545a9d36aac53b90253279c82
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 8 18:33:35 2009 +0200

    Qt4: fix buffer overflow

commit 0786bb1acb0ce2de97da2d9f0042854640fb8e48
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 8 19:47:56 2009 +0100

    Fixed avcodec compilation with vaapi enabled.
    
    PIX_FMT_DXVA2_VLD is not yet in official ffmpeg.

commit bfcea9facbe30916441821d5e4ad76828832d580
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 8 19:25:03 2009 +0100

    opengl: Link the gl texture to the picture.
    
    This fixes the opengl "vout display" on Mac OS X.

commit fe638e37ac12c8bd1d50d68b2fc8b8d672d6a807
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 8 19:27:59 2009 +0100

    Removed debug message (opengl).

commit bdf64f4edda056324704a58d3331e97dd4eed531
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Dec 8 19:25:28 2009 +0100

    Fixed picture_sys_t::texture initialisation with opengl for apple.

commit 77b78d5bb39f206b9b54d16635c49900bbf4d151
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 14:32:57 2009 +0100

    libvlccore: export sout_MuxGetStream

commit 160b9b62c03107027d7899d754a52efb9ea6c7b9
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 14:26:24 2009 +0100

    avformat mux : use sout_MuxGetStream

commit 17b5ee09d8f74c1e0a7d1d6c1610b6078075ac3b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 12:37:49 2009 +0100

    move MuxGetStream() to libvlccore, bump plugin ABI

commit ced2f640a37a71ecceddb9bbf44885e4aef01f12
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 12:04:03 2009 +0100

    asf: fix VLC_TS_INVALID comparison spotted by nefrir

commit e38515166307b3a8ea0f79fca40a98381609c36d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 11:47:06 2009 +0100

    mux_ogg: clearly initialize variables

commit 557bc59749550a218a735c5429eef3bf841fb5f0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 11:26:28 2009 +0100

    mux_asf: use VLC_TS_INVALID (refs #3135)

commit 07e5e3a4768a830d32a68e15c1c5c60276549236
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 11:04:54 2009 +0100

    packetizer_mpegvideo: use VLC_TS_INVALID (refs #3135)
    
    Note: cc_pts/dts are still set to 0, I can't tell if this value is the
    starting timestamp, or if it means the timestamps are not valid.
    
    Better understanding on how pf_get_cc and packetizers are called in
    src/input would clarify (fenrir?)

commit 310ee0ade872dac618afb9dfade2ca2edb4a62e4
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 8 10:33:32 2009 +0100

    fix doxygen documentation.

commit f589d6baf66e929b6e70f45dce0d271fecb4a811
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Dec 8 10:52:44 2009 +0100

    packetizer_mpeg4video: use VLC_TS_INVALID (refs #3135)

commit 97d17c81282ca1d21e7eb4109937a5ebdc271a83
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Tue Dec 8 10:41:05 2009 +0100

    python bindings: indicate that old python bindings are deprecated.
    
    To build the old version, you have to pass the --force-deprecated option to the setup.py script.

commit e8b95df9e842f3f3acc61d1226a4640b5e11f5ed
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 8 10:11:30 2009 +0100

    libvlc_media.h: fix documentation

commit 1bebc0ded58ba327cac38c4dd975bb4b457bd559
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Dec 8 10:04:53 2009 +0100

    libvlc: add two functions
    * set a meta (without changing the file)
    * save all meta to the file

commit 55fb4b535926bafc13c85e854dbce38ee738d0b6
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 8 03:18:30 2009 +0100

    opengl: Fix a typo that lead to a crash.
    
    Note, the opengl output is still broken on Mac OS X, in the way that no picture are rendered.

commit f9f29ccbc22098da0a0378db2b7fe8db71bf1dae
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Tue Dec 8 00:37:47 2009 +0100

    macosx/framework: Fix a leak in VLCMediaListPlayer.

commit 6ae61673e22f38a4fc9314992e7e48286e9a988c
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 8 00:23:52 2009 +0000

    Fortune

commit 1e56f368a9662b7fa59bf33242b816c6e0995d2b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 8 00:39:05 2009 +0100

    Contrib: block FFmpeg revision until dxva2 patch is updated for HEAD

commit dd38fa49cb01aa78160272abedb74487e8ac66e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 8 00:16:16 2009 +0100

    Contrib: use Qt 4.6.0 for windows.

commit 8ad1151890cdd0dc4752c0f17a235c24824208f6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 5 12:42:45 2009 +0100

    Qt: state machine fixes part 1
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2a45504451ead32bea132c360c6b0ba5470fd976
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 7 18:49:02 2009 +0100

    macosx/framework: Make sure the nsobject drawable is never used after being freed.
    
    This issue was pointed out by Sébastien Zwickert.
    
    We ensure this by two things:
    - Retaining it by the media player and ensuring we are effectively stopped when releasing it. (ie, no one will use the drawable from now on).
    - Retaining it during the life span of the vout. After a stop, the drawable might still be in the progress of receiving the notification of the vout removal, so we need it not to be freed during this period of time.
    An alternative would be to create a protocol between drawable->vout to unregister the drawable.

commit bbce7c4cae681298d6f49c7e605ed3775cbc0e1d
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 7 20:35:10 2009 +0100

    libvlc: Make sure the media_player has its own state cached.
    
    A weirdness was introduced somehow. We were relying on the media state. (!)
    
    Also, make sure that we always require stop() to be called when the media_player is destroyed. This may prevent some unwanted bad usage, whose consequence might be that _release() will block on input thread destruction.

commit 71eb5e10f671e0f3aee8734309588c47a22d2914
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 7 18:13:58 2009 +0100

    macosx/framework: Print minutes and seconds when there is less than 5 mins remaining in -[VLCTime verboseStringDescription]

commit e052ba3889ec987018aa4e68d85690b377275084
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 7 21:36:07 2009 +0100

    Oops, removed tabs from vlc_vout_opengl.h.

commit 33ffe1fd88be8425e0dd740569f5fa14b0c813ff
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 7 21:17:44 2009 +0100

    Enabled glwin32 in "vout display" wrapper.

commit 8edf3ea9a24c6db7ae519094f0f273f850e3afa3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Dec 7 21:15:51 2009 +0100

    Converted glwin32 to vout display.

commit 1930ef7eedf0d093973c2711ab4239414443947d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 6 22:04:08 2009 +0100

    Splitted reusable code from opengl.c into opengl.h
    
    It will be used by opengl vout_displays.

commit a51b9608861bb1a7a42af6f0f20e80e0abf2e52b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Dec 6 22:02:44 2009 +0100

    Added vout_opengl_t definitions.

commit 5fb806bce8305c9acf910d8a87033dde5d9c003a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 7 20:28:34 2009 +0100

    Revert "rtp sout: implement rtptime parameter"
    
    This reverts commit ce7a4746ad10d451e5e2807be44181df9456d6f0.
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit f05d2fa4512a94e0cb0da34b61da5fd510ad9ac3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 7 20:28:03 2009 +0100

    Revert "SDP: don't disallow RTCP RR"
    
    This reverts commit b377e1af8d5a0df8e9969655a2024b251724c83c.
    
    Signed-off-by: Pierre Ynard <linkfanel@yahoo.fr>

commit 5656d43c43708f75bd0d6795de5b08745dfa8a1d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 7 20:45:59 2009 +0200

    RTP out: hint the IP stack we won't be receiving anything on UDP sockets
    
    Currently, we never read from RTP and RTCP sockets, so we might as well
    set their RX buffer size to zero.

commit b377e1af8d5a0df8e9969655a2024b251724c83c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 7 18:51:29 2009 +0100

    SDP: don't disallow RTCP RR
    
    It does more harm than good, since some clients (RealPlayer) will
    just throw out a "not enough bandwidth" error and fail to open the
    stream.

commit 3957c6eb9821a329e7aeaab17f31afe0c6c6e8a3
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Dec 7 18:41:07 2009 +0100

    Fix make dist

commit f691589bcf7eb245f6021f6ef95c66742dcdf283
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:30:49 2009 +0100

    input/decoder_synchro: remove unneeded variable init

commit a33fcc1140dfc00049212b0133f97b643f818c58
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:30:30 2009 +0100

    input/es_out : use VLC_TS_INVALID (refs #3135)

commit 0bf004283af0d6ddb956ad604b503bf8f8d52b88
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:23:15 2009 +0100

    goom: use VLC_TS_INVALID (refs #3135)

commit 9a9a5f4a681e4830f30a391d34513a045232f297
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:21:46 2009 +0100

    decoder stats: use VLC_TS_INVALID (refs #3135)

commit dce5737169e128bdda0203adf3c49174ccfbbaa7
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:19:11 2009 +0100

    sout_rtp: use VLC_TS_INVALID (refs #3135)

commit 94c45aa62932c360d6383bcacbda3298af968d88
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:19:03 2009 +0100

    bridge: use VLC_TS_INVALID (refs #3135)

commit 9f8f298264b273dcf39e6e608dbc1e14e03564ed
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:18:45 2009 +0100

    sout_display: use VLC_TS_INVALID (refs #3135)

commit 8bb130f321ba96f481f56be6b2b647d3a5b3f103
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:18:30 2009 +0100

    autodel: use VLC_TS_INVALID (refs #3135)

commit bb7252cd96a0c5ab6a4063eca2fb0a45f32df48e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:18:13 2009 +0100

    sout_switcher: remove useless initialization

commit 1da34cc2dc894505629e9fa38b23d43c6f0e377b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 18:03:41 2009 +0100

    transcode osd: use VLC_TS_INVALID (refs #3135)

commit 9f78b7ea938d5ef492c2ab6536ed2b19c0c43411
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:54:47 2009 +0100

    x264: do not use void* with pointer arithmetic

commit edfe05d1f2799b8ff28027cc6229cf28144488c6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:53:36 2009 +0100

    x264: mention to remove kludge when 0 is a valid timestamp

commit 2f0173a7b4f725ed46f4378c48ff6624625648d6
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:48:12 2009 +0100

    vorbis: use VLC_TS_INVALID (refs #3135)
    
    Also remove unneeded encoder_sys_t member

commit 4cf39c42ea876f99b249a752ad18a7a4705a4bdb
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:47:03 2009 +0100

    theora: use VLC_TS_INVALID (refs #3135)

commit 7d5e8877ab414e716ccecd656613cca6db7b2dde
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:44:27 2009 +0100

    subsusf: use VLC_TS_INVALID (refs #3135)

commit bd8453b58e176114b6fdf6d3e99970e3bbd336c5
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:44:17 2009 +0100

    subsdec: use VLC_TS_INVALID (refs #3135)

commit 61f757bbca707b37caa6ed569486303fbc5eb6cf
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:43:12 2009 +0100

    spudec: use VLC_TS_INVALID (refs #3135)

commit 70f124c936a42ad40b61caca541c3b34fcb88837
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:41:57 2009 +0100

    speex: use VLC_TS_INVALID (refs #3135)
    
    Also remove unneeded encoder_sys_t member

commit e715c83044de384c345c9c04e5748d60cbd83215
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:38:21 2009 +0100

    wmafixed: use VLC_TS_INVALID (refs #3135)

commit be3ed6087ee04912e0305028203c8a9fbc7933ee
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:37:17 2009 +0100

    sdl_image: use VLC_TS_INVALID (refs #3135)

commit 97c5499da925882b7a010e84ca3101ce5608856b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:36:45 2009 +0100

    schroedinger: use VLC_TS_INVALID (refs #3135)

commit 76ed5901f9f36f922e16b3d543d47cfa317c5ed0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:35:11 2009 +0100

    realvideo: use VLC_TS_INVALID (refs #3135)

commit ee38aedbf6dcf17e734881b68c2006a31cbb3308
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:34:28 2009 +0100

    realaudio: use VLC_TS_INVALID (refs #3135)

commit 62538aeaf74ff89d1e67d00f7cd92557e29a0316
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 17:34:04 2009 +0100

    rawvideo: use VLC_TS_INVALID (refs #3135)

commit 6e2213ec9e713135f7bdf918f96355d3aeb76a59
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Dec 7 09:25:16 2009 +0100

    Fix meta writing (inverted logic in the core).

commit 3e5fe8b624f5edad4a7a7ba58ae72fa1709d767f
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Mon Dec 7 08:58:21 2009 +0100

    macosx/framework: Export -[VLCMediaPlayer remainingTime] and -[VLCTime verboseStringValue].

commit 6aca0a671d9cc07923af2a8266168cb57b6abd6b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:48:54 2009 +0100

    quicktime: use VLC_TS_INVALID (refs #3135)

commit d86392476a1349404554ac97b09df0e0d35ba0fd
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:47:26 2009 +0100

    png: use VLC_TS_INVALID (refs #3135)

commit 7b8d1ebafa15cd87fa885d3958640492c36182c3
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:47:04 2009 +0100

    mpga: use VLC_TS_INVALID (refs #3135)

commit 1aa2b0c983a9e9dc950d08ca44114777ef92c210
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:46:02 2009 +0100

    mash: use VLC_TS_INVALID (refs #3135)

commit ddd3ca51c76468b7924055a37847e64a37850fc4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:43:32 2009 +0100

    lpcm: use VLC_TS_INVALID (refs #3135)

commit 7687aa895a8377caaadc0fa10558bf0afb1ae917
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:40:10 2009 +0100

    kate: use VLC_TS_INVALID (refs #3135)

commit 9ed754851bfbbd60592fe1073280d474df146bbf
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:38:59 2009 +0100

    invmem: use VLC_TS_INVALID (refs #3135)

commit 48488e99915b2465ec5cf3c4f6d45b4d9059c8bc
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:38:31 2009 +0100

    fluidsynth: use VLC_TS_INVALID (refs #3135)

commit b6691ca9c8a29082ba3474515fb10bc08f655651
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:37:54 2009 +0100

    flac: use VLC_TS_INVALID (refs #3135)

commit 09591d853c585a9c9fe3e0eacdcb440608badb4f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:36:25 2009 +0100

    faad: use VLC_TS_INVALID (refs #3135)

commit d488ac6ff57db7014fa1b2cc7ecb3aa7b608c17d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:35:52 2009 +0100

    dvbsub: use VLC_TS_INVALID (refs #3135)

commit 29d44b6a239c79c83fcd05401c33640768f50f38
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:32:39 2009 +0100

    dts: use VLC_TS_INVALID (refs #3135)

commit f788590c84644fc7e40875ef320e6d2230c6ab95
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:28:58 2009 +0100

    dmo: use VLC_TS_INVALID (refs #3135)

commit aac89d7dd5f29196f640e0177af77808fa5a618e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:25:57 2009 +0100

    cvdsub: use VLC_TS_INVALID (refs #3135)

commit 782d17dfaf14e6593362529350b38c977be60fe0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:24:44 2009 +0100

    cdg: use VLC_TS_INVALID (refs #3135)

commit ac7fb43a3065746bb1bc2b940d803e2b580855c9
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:24:02 2009 +0100

    CC: use VLC_TS_INVALID (refs #3135)

commit 55c17a70c1d201357b99c224c4f85d1b4e84e16f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:05:56 2009 +0100

    araw: use VLC_TS_INVALID (refs #3135)

commit c91d8dadea2a57d57afb058bd31ced74f9804ed1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:05:24 2009 +0100

    aes3: use VLC_TS_INVALID (refs #3135)

commit 6251b2d110c332028a9c6278d685929729ac247c
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 08:04:57 2009 +0100

    adpcm: use VLC_TS_INVALID (refs #3135)

commit 730b4a5c94acab16cb9efecdaf4ba6478fd6eadf
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 07:58:38 2009 +0100

    a52: use VLC_TS_INVALID (refs #3135)

commit 7a6f2a5abefa773c3e8f901b75d56afaa762b398
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 07:08:04 2009 +0100

    packetizer helper: use VLC_TS_INVALID
    
    refs #3135

commit 724c4e4a7df2aee1d37c9f6ac59f32b64ac70f7b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 07:07:35 2009 +0100

    h264 packetizer: use VLC_TS_INVALID
    
    refs #3135

commit a480552df9e0a9cf7b008d800dca92dd6b655f4a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 07:00:33 2009 +0100

    mp4a packetizer: use VLC_TS_INVALID
    
    refs #3135

commit f81ce687cdb279586125779210f8660a8693a6d0
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 06:56:51 2009 +0100

    mlp packetizer: use VLC_TS_INVALID
    
    refs #3135

commit 003189d40ca8e2e1ed37cea1a5f2e0cb7bbd47f7
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 06:54:36 2009 +0100

    packetizer copy : use VLC_TS_INVALID
    
    refs #3135

commit 8b8cb3eca15f29ce2cdaafcab344ef4b52e32b6f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Dec 7 06:53:45 2009 +0100

    sout_InputSendBuffer(): use VLC_TS_INVALID
    
    refs #3135

commit c57ca508520042309b5f522dcfc5857024e3a835
Author: Mindaugas Baranauskas <embar@super.lt>
Date:   Sun Dec 6 20:26:31 2009 +0000

    Add Lithuanian translation to .desktop
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit c7b4a26e8427cd0647df5748cdc909961b10049d
Author: Mike Schrag <mschrag@pobox.com>
Date:   Wed Oct 21 17:14:09 2009 -0400

    macosx/framework: -[VLCMedia length] returns null every time after the first call.
    
    Signed-off-by: Pierre d'Herbemont <pdherbemont@free.fr>

commit ce7a4746ad10d451e5e2807be44181df9456d6f0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 6 16:50:43 2009 +0100

    rtp sout: implement rtptime parameter
    
    This adds support for the rtptime parameter in the RTP-Info RTSP header.
    It is needed by RealPlayer, otherwise it will start playing the stream
    or not depending on the time of the day.

commit 5d20f8c25a8641a76590f5d45bf504bdcd82654e
Author: Éric Lassauge <lassauge {AT} users {dot} sourceforge {dot} net>
Date:   Sun Dec 6 14:05:01 2009 +0000

    l10n: French update
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 1d463ae8904bfbaa27bcde42de59623ac5f6e185
Author: Gilles Chanteperdrix <gilles.chanteperdrix@xenomai.org>
Date:   Sat Nov 14 18:29:27 2009 +0100

    Fix live555media libraries link order
    
    Since at least vlc 1.0.2, compiling vlc with a static version of a
    recent version of the live555media library (the version released on
    2009/11/12 for instance) results in the following warning while loading
    the liblive555_plugin.so module:
    
    [0x1901090] main libvlc warning: cannot load module `/usr/local/lib/vlc/demux/liblive555_plugin.so' (/usr/local/lib/vlc/demux/liblive555_plugin.so: undefined symbol: _ZTI9HashTable)
    
    This warning is due to an error in the link order of the
    live555_plugin, fixed by the following patch.
    
    Signed-off-by: Christophe Mutricy <xtophe@videolan.org>

commit 3aa8ed0b6dd9d4a198c302c531a2b7d6b1925925
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 6 17:11:07 2009 +0200

    Add MID, RMI, VOD and XA extensions (+ cosmetic wrap)

commit db73f778ae072eaa7b7c36f6710cc3e0085aa5de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Dec 6 15:46:51 2009 +0100

    Qt: reduce the size of the margins and spacing between buttons

commit 84daf8cefd493990c4936764e00bba46e77409e5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 5 19:06:20 2009 +0100

    Support for AMV video files.
    
    It seems that .mtv files don't work though

commit 9c45afe2d126777982b1de8c8ab26e426afe916f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 5 18:51:52 2009 +0100

    Qt: playlist, set a minimum width

commit 85ee626aff09e2d47cf8e37859ab55938cb46d57
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Dec 5 13:30:59 2009 +0100

    Don't ship external dlls so far for Windows

commit 48e4674acd7f2ad37adef14340269f255f56c3a1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 6 10:40:55 2009 +0200

    Do not assert memory allocations

commit 25232e200b39db62c3e49f9269c215a71873c7f9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 6 10:54:28 2009 +0200

    Do not assert memory allocations

commit 34ad70b430b75ab2db652ef6da67781781bc12ac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 6 10:53:24 2009 +0200

    Use xmalloc
    
    This reverts commit 59b025e33a3e5997ff333ddc3321574fe6044254.

commit 95a993e5f486beda44c05e5fabf72a2c4bfb3bee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 6 10:46:29 2009 +0200

    xmalloc, xrealloc: traditional functions to allocate memory
    
    Those functions automatically abort if allocation fails (which is not
    quite the same as calling assert()). Avoid these functions in new code.

commit 827b111356e910800788245bb1a2a22017fea857
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Dec 6 10:16:59 2009 +0200

    likely, unlikely: convenience portability macros for branch prediction
    
    Those are the same as the Linux kernel macros, and probably a bunch of
    other projects. Usage:
    
        if (likely(condition))
            branch_likely_taken();
    
        if (unlikely(condition))
            branch_unlikely_taken();
    
    Attention: those two macros convert the predicate to a boolean value.
    Therefore you generally cannot use them for assignments like this:
        void *p_sys = likely (malloc (sizeof (*p_sys)));
        if (!p_sys)
            return VLC_ENOMEM;
    Instead you can do this:
        void *p_sys = malloc (sizeof (*p_sys));
        if (unlikely (!p_sys))
            return VLC_ENOMEM;

commit 87e6f1be1272e4a1e74fb23f5a97e71ad4c67006
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Dec 6 02:36:15 2009 +0100

    Add missing include

commit 2227a86431ba2da1fdff09a28be2574ab0d2a2d0
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Dec 5 23:17:09 2009 +0100

    Obligatory win32 compile fixes.

commit 59b025e33a3e5997ff333ddc3321574fe6044254
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Dec 5 22:22:20 2009 +0100

    Add some more assert()s for unchecked malloc().

commit 15643af12d9eb61eff8a8e89d8170f3d2b73d7e1
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Dec 5 15:24:19 2009 +0100

    Replace argument = realloc( argument, size ); with realloc_or_free() in modules/*, and while at it add assert( argument ) to mark unhandled ENOMEM conditions, also for malloc().

commit 4e4720311a10bf0917cc826369438c6565d56a4f
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Dec 5 09:11:42 2009 +0100

    Introduce realloc_or_free() to src/*, and add assert() to mark unhandled ENOMEM error conditions. Allocation shrinking or otherwise handled allocations don't need realloc_or_free.

commit f7600a71bbdee8407a4eddee197e8d599f6d002b
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Dec 5 09:06:20 2009 +0100

    Introduce realloc_or_free(), which does what realloc() does but will free the argument if the reallocation fails. This is useful in some, but not all, use cases of realloc().

commit 27e9a1b06377720603c74d1fff39f3d82de633f1
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 28 19:21:56 2009 +0100

    Qt4: Save a couple temporaries.

commit 35eb6b1c03d7ff135b283fc5f034f142bdb57e48
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 28 18:21:13 2009 +0100

    Skins2: cosmetics: Pack repetetive code up in a few macros.

commit df30bdb3d46bb245ec06daf2fbd117a37eb3cf82
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 28 15:08:59 2009 +0100

    Skins2: Add x11 transparency support. Hope it sets the property on the right Window; didn't have a known transparent skin to test with.

commit 77aa98d05aefe480e39a9fbb8c482e4de4c78855
Author: JP Dinger <jpd@videolan.org>
Date:   Tue Nov 24 10:42:39 2009 +0100

    Skins2: Cosmetics and drop const from string return as there really is no point: We're returning a fresh object.

commit c288689c5aa3ff5bc9292646b7196d744df6e438
Author: JP Dinger <jpd@videolan.org>
Date:   Mon Nov 23 14:11:05 2009 +0100

    Skins2: Move method bodies with inline tags to before where they're needed. Drop const in favour of static on power() and instead of recursing(!) make it use powf().

commit 4e7c493eb69c0083895f07683673ed1322168bdd
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 19:38:23 2009 +0100

    skins2: I fail to see why Subject (not Observer) needs to have virtual methods. If you do find a reason do tell. Observer should probably be defined inside Subject instead.

commit 82dfc1b375b66acb389e80475009ebf0244ccf64
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 19:06:47 2009 +0100

    Skins2: Invent ft2_strerror() to improve freetype2 error reporting.

commit 5988891f0c6ed8060c77e2a12fec13d512cb88b9
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 18:13:35 2009 +0100

    Skins2: Cosmetics.

commit 1f7eddac55396aac87293ed7b0170baaebe7a721
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 16:34:36 2009 +0100

    Skins2: Mostly cosmetics, some C++ style casting, factor out a scroll() in anticipation of figuring out where it belongs.

commit 2895662015106055374c2371eb88039e06893318
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 14:11:38 2009 +0100

    Skins2: Cosmetics. Add a REGISTER_CMD1 for commands with one argument.

commit 0fb4941ed0764730d43d3078e05ae883d6c09fe0
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 13:41:51 2009 +0100

    Skins2: Reduce another macro to bare minimum and helper fuction.

commit f500f79609d544d6af06e3aa2250552754f97fb2
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 22 12:54:57 2009 +0100

    Skins2: (Almost entirely) replace another two macros with functions.

commit 82e866f0aee641482d78551d44513bf0ba272a9a
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 23:37:05 2009 +0100

    Skins2: Cosmetics and the occasional duplicate call elimintation.

commit c2e9890077e5353b1aa66a4c34be19346d62ef6e
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 21:37:06 2009 +0100

    Skins2: Cosmetics and make better use of a test that's done anyway.

commit 1bb2388c5dc158d4da460307f4ad4d71e9f35a18
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 21:19:28 2009 +0100

    Skins2: Cosmetic.

commit 354811a1209fd23699749daf8ca3b3e68d45b061
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 19:26:22 2009 +0100

    Skins2: Replace some theme macros by templated code.

commit a7b6b23deeb165e614409dd60012d114cd047eef
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 19:22:38 2009 +0100

    Skins2: Add (and use) template parameter typedefs so that they might be used, say, as function return types. The next commit needs this.

commit 316c9f43f173e057d0cee3c12493e9b8311e3d4e
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 15:57:02 2009 +0100

    Skins2: Add ptrmap<> to possibly prevent some more empty nodes.

commit fe5af2a1f8e36cda37617aac094595650ef5745c
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 15:30:38 2009 +0100

    Skins2: Factor out duplicate code (mod), and provide a const accessor to the keymap: std::map<>::operator[] will create empty nodes if they don't exist already.

commit f73b0909bdf0620c2966c5a2eea0dc4e15a7d983
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 15:26:52 2009 +0100

    Skins2: Move getShifts from const to static.

commit d51a30f15993f2c531154bb0b9fdb3670265282c
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 15:24:23 2009 +0100

    Skins2: Cosmetics.

commit 5ab06f53a04131a55a1833565c3fe41b1923408f
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 12:52:58 2009 +0100

    Skins2: Avoid work by postponing to where and if it is needed.

commit 00b26db6568cd6a2d829abf7dff191d57d4d4a78
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 11:43:25 2009 +0100

    Skins2: Cosmetics

commit 1603369cef22127232b233d18559eda533087229
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Nov 21 11:26:16 2009 +0100

    Skins2: x11_display: Replace PUT_PIXEL and BLEND_PIXEL macros with templates. Could use more testing and possibly more refactoring.

commit bd76a75232c40660360f644698b6e069a9a71e97
Author: JP Dinger <jpd@videolan.org>
Date:   Fri Nov 20 16:01:04 2009 +0100

    Fix typos (hopefully correctly) and formatting in comment.

commit dc4b469e50c585d94d7ca7f59918546f29b36cd5
Author: JP Dinger <jpd@videolan.org>
Date:   Fri Nov 20 16:00:22 2009 +0100

    Skins2: Drop another small heap allocation in favour of the stack.

commit abaee12ac65e5a92d78ab91004cd0c99de4f60e3
Author: JP Dinger <jpd@videolan.org>
Date:   Fri Nov 20 15:59:23 2009 +0100

    Skins2: Factor out repeated code and use var_SetVariant where applicable.

commit 0ccbd1e8bade4953c64ff3100a96854e8ad24c72
Author: JP Dinger <jpd@videolan.org>
Date:   Tue Nov 17 18:13:16 2009 +0100

    Skins2: Cleanup after merge.

commit 3569ffff1f6536644363537737f55b490f63939c
Author: JP Dinger <jpd@videolan.org>
Date:   Mon Nov 16 13:51:30 2009 +0100

    Skins2: Use vlc KEY_MODIFIER_* constants for key modifier masks, simplifying the code. Revert from enum to static const int to not have to include vlc_keys.h through the header file.

commit 34a265ace2965d754351f8ae2936f6decd35a2d5
Author: JP Dinger <jpd@videolan.org>
Date:   Mon Nov 16 13:06:08 2009 +0100

    Skins2: Use var_SetVariant() some more.

commit da48f73ff3442c6b36283eb611422e93e4dee51e
Author: JP Dinger <jpd@videolan.org>
Date:   Mon Nov 16 13:01:49 2009 +0100

    Skins2: Factor out getModKey() and getKeyState() (both used twice), use var_SetVariant() instead of var_Set().

commit d79be0ff4493706827f3fa3d16edd5428ab5093c
Author: JP Dinger <jpd@videolan.org>
Date:   Mon Nov 16 12:56:16 2009 +0100

    Skins2: No need to new char[] temporaries; use stack instead.

commit c8dbc4eb30e377b6a9a34bd04b84155549bec353
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 15 23:24:41 2009 +0100

    Skins2: Refactor string manipulation event handling a bit and replace some static const members with an enum.

commit 68ce85501042c102ff5c90c262b79c8fea9759a2
Author: JP Dinger <jpd@videolan.org>
Date:   Fri Oct 2 15:09:37 2009 +0200

    Skins2: Fix a warning; add a forgotten #undef.

commit d947e21b677a062137a968728263a5e1b0a01d38
Author: JP Dinger <jpd@videolan.org>
Date:   Fri Oct 2 10:55:11 2009 +0200

    Skins2 compile fix: Apparently declarations went missing in merge.

commit dc19df5d43c037fe79275fb5a75328471b5c7bad
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Sep 12 16:36:00 2009 +0200

    Skins2: Use typedefs for internal template-derived types, and rectify an accidental skip while removing.

commit bebef5dc2029f2f2c4018d5c33000a028779d7bf
Author: JP Dinger <jpd@videolan.org>
Date:   Sat Sep 12 17:14:01 2009 +0200

    Skins2: Cosmetics, 100% pure. We don't indent for labels in C, we don't in C++.

commit b25aa5bfa505fbd9938f7ea90b285909c7974ac1
Author: JP Dinger <jpd@videolan.org>
Date:   Tue Aug 4 17:32:39 2009 +0200

    Replace #if XP_SYMBOL with #if defined(XP_SYMBOL) for consistency.

commit 2819748ee089e25278aa58b274b47cb2081ae077
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 5 16:41:20 2009 +0100

    macosx/framework: Add video_dirs to the list of MediaDiscoverer by default.

commit fbf713c43a05672eeb6f954b78f6bc695f45501c
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Sat Dec 5 16:35:16 2009 +0100

    shout: Simplify description name.

commit 1fd7d70ac0281d660c1f87c0ddf8593a0d49be67
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 3 12:12:20 2009 +0100

    VLCKit: QuickTime doesn't support mp4v but h264 in mp4.

commit d2b9c3af8a2ffac4946c4b6a3839839930791449
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 3 12:12:07 2009 +0100

    VLCKit: fix a leak.

commit cf8fe3c0f4c1d525661be199f590389d9fdd137e
Author: Pierre d'Herbemont <pdherbemont@free.fr>
Date:   Thu Dec 3 12:11:05 2009 +0100

    libvlc: Fix media discoverer with category.

commit 9a1a33f4fce950b8ebb32b3a60069792382add0f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 16:43:05 2009 +0200

    M3U: some people do use UTF-8 in m3u, revert to autodetect

commit 2a3eb9441512c1e07943892293cac83cd3ebf3cf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Dec 5 12:06:25 2009 +0100

    smem: no need to create the variables as config_ChainParse is already creating them.

commit ba7787e00677d7f36fbceff2b50e2902aef0e75e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 12:53:01 2009 +0200

    Signedness mismatch

commit 1a8b0cfea4dc9db9ef13325012a0b9f017c38c0b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 12:51:19 2009 +0200

    Input item type cannot be negative (fix warning)

commit 469f358d487eec6f3d74ee40bbf178ab6e5acd54
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 12:44:59 2009 +0200

    Order initializers

commit a45ea5b16fe4de526822b51541e5c7db52701ed1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 12:37:59 2009 +0200

    Unused variable

commit f41c7c34badd923b0cb2d1fd0d503b2aa38078b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 12:32:47 2009 +0200

    Unused variables

commit c84255fef493dc8dc3145c37bbb93ed786aa5e70
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Dec 5 12:07:51 2009 +0200

    imem requires -lm

commit 01424198609ad418217ecdc26b1562aee79b4b94
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 19:41:28 2009 +0100

    smem: use config_ChainParse for configuration.

commit fdb892dd5e990da1a420eb49882b74b5e031b6de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 14:58:09 2009 +0100

    Contribs: projectM depends on glew

commit 124c9480615cfde6664ed526b47e79bece077628
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 14:19:19 2009 +0100

    Really kill reallocations.

commit 6b45f1bbd5c3386078ecad1a138a017c3811793e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 14:08:06 2009 +0100

    Qt: make the search box take less space.

commit 7bdd5b8a7dfc5f3701a09010b70bf4b61ee1e0d7
Author: Konstantin Pavlov <thresh@altlinux.org>
Date:   Fri Dec 4 15:07:27 2009 +0300

    Contribs: update libpng-osx.patch.

commit 870c18ef0fe848fc2f1398f436c6441117276b70
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 12:57:25 2009 +0100

    Win32 Contribs: now with CDDB, SQLite3 and projectM

commit 484f5608bc27d45bfb0a435ce4a7d53c95457d1d
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Mon Nov 30 14:28:00 2009 +0530

    SQL/SQLite: Fix GetColumn functions in SQLite and implement a GetColumnSize function
    
    Add a GetColumnSize function in the SQL API.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 30d7534d428da5ea2b8be15e4164edbebfab2c4d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 12:02:59 2009 +0100

    qt4: kill some reallocations.

commit e222f54ca8846d93b72447ed73c1399a6e7c8850
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 11:45:19 2009 +0100

    Merge FFmpeg on Windows

commit b5b81c2d2b19dfb12ef46539c4e753ee64a158e2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 11:45:08 2009 +0100

    Configure: fix typo

commit bde235ca1b50795f173f61293d0c2643eb9fb66b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 11:38:58 2009 +0100

    dc1394: fix memleaks.

commit c4fc052b1e12d5f0fed5026dbefc65643c080268
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 11:33:46 2009 +0100

    dc1394: fix potential memleak.

commit f6dd239c88e449b76f2b533c136bb8bbc133a9da
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 11:31:09 2009 +0100

    dc1394: fix debug messages

commit 14bb98446fecfc9f9ea2ac98e2ccd704400dddf5
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 11:16:01 2009 +0100

    dc1394: We must quit the function if the file handler is -1 (and not continue like if that's ok).

commit c6aba4ba31f30b7e19b37d59f6c15d7634f6b7bf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Dec 4 10:55:23 2009 +0100

    dc1394: factorize.

commit 803dda8e5846d874d4c19ea98317e163a49161aa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 11:06:51 2009 +0100

    Activate projectM for windows

commit f2dc556d0f4383c616bbbf22c084edb4957fa63c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 09:14:31 2009 +0100

    Contrib: various fixes to hope fixing projectM compilation

commit ce90177ba38d2f026f55dfbd7e1692ab6a5e78bd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 4 01:00:16 2009 +0100

    Contrib: update taglib to 1.6.1

commit 3b86511590f66de79f256908551875ef40907177
Author: Jeff Lu <jll544@yahoo.com>
Date:   Wed Dec 2 10:50:17 2009 -0800

    Fix DirectSound spdif audio output
    
    DirectSound spdif-mode audio output was garbled because buffer calculations
    were using always pcm-mode size values.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 58a22c81d78fc1c541753674a3f1681d1f6b1cfc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 3 23:53:42 2009 +0100

    Contrib: minor update for theora and libpng

commit e4ec53022693e0a1af43f9d22a44261a5f5663f3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 3 23:48:26 2009 +0100

    libprojectM 2.0.0 update for Win32

commit 9f432d3720ede6ca046482d5b6825012da19bc33
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 3 22:33:13 2009 +0100

    Contrib: add Glew for projectM
    
    This stupid library with only 1 file to compile has won, by far, to be awarded the MOST STUPID config/Makefile system... Seriously, autotools is bad, but if you do stuff like that, please go and stop using a computer

commit 39f8a0e5ba6533e3cf47c9d7b38d6bdde2c349cc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 3 21:58:39 2009 +0100

    Force projectM to be static

commit ff5513522ba1889edbb000144c17c04b06e099fe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 3 21:56:31 2009 +0100

    Contribs: use projectM 2.0.0

commit d44fe75a82055e1054f38aff6ffa7d850c1dfeec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Dec 3 23:39:17 2009 +0100

    Contrib bootstrap: ready cmake crosscompilation

commit b99940686673f62ae3110099db81402a1c5bac60
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 1 02:04:59 2009 +0100

    Qt: remove unnecessary macro

commit cc7478f48f5f73cc67b8a598b360ff46c174fec3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 00:44:01 2009 +0100

    Qt: rename panels.hpp to standardpanel.hpp
    
    We don't have anymore 2 types of panels.

commit 3c6f6fa77169b3e0d3270487795535b0fff293e7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 00:39:50 2009 +0100

    Qt: Remove the gotoPlaying button, as noone understood it.

commit 72ac92a98402a42081406324bba0efaef4e0cef5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 00:37:10 2009 +0100

    Qt: playlist, remove the bar of buttons at the bottom
    
    It just changes the layout, but not much more yet.

commit 157f43b782ab86168054ce21de3ff60cbc6867e6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 00:26:43 2009 +0100

    Qt: playlist code cosmetics

commit 99b1edc0ffc7b5278b493c1160828d59db776ae0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 00:21:56 2009 +0100

    Qt: remove random and repeat buttons from playlist
    
    And clean the code.

commit de5baa43bfc620f74e35325aaabe7e187ed91d3b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 00:17:36 2009 +0100

    Qt: Remove PLPanel upper class

commit 23c3cf34d76b6b3de1b0d1b74b04f26f0964a0bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 23:37:08 2009 +0100

    Qt: add repeat and random button to the default toolbar

commit 2a99ff3c6a8172b43b4ce25dada25cb39feb431b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 23:16:49 2009 +0100

    NEWS: XvMC was removed

commit 6b65c19e602b04d0b5bba4febf9ea95eca404c72
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 23:16:16 2009 +0100

    Qt: allow loop/repeat button to be in a toolbar (part 2)
    
    Action and states consistency

commit 99748d1f9a49532503ed7d2ff605e7fec93ab35e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 21:24:24 2009 +0100

    Hotkeys: add missing break in switch

commit 745c83a01aa0b4e666463566c053b0626e5d6157
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 17:47:09 2009 +0100

    Qt: allow loop/repeat button to be in a toolbar (part 1)

commit c5f0506c9eb9b0f899379112158c129cee29b4bf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 18:20:24 2009 +0100

    Qt: make sure the random buttons states are consistent
    
    with the core and between themselves

commit faa1a71b2e38e981d1e81e8b12c80b970b0269dc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 17:48:23 2009 +0100

    Qt: code cosmetic

commit 385239a4bf7b2a1366cf823dd0c2e1b85499ad2d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Nov 29 17:13:07 2009 +0100

    Qt: actually activate random action

commit 7bcfcc69ba66f323c8d5a91c31b005aa8795cfbe
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 28 14:09:35 2009 +0100

    Qt: moving Random to the normal toolbars

commit d41b6e26a510c8d9b3f8ebebfc75539eb496abe2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 28 14:29:07 2009 +0100

    Qt: factorize again

commit e33c6eee33896edced7e2f320df5a277fb782d2b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 28 14:24:06 2009 +0100

    Qt: factorize

commit a21c7bcdfdcadec941246285580095cdc0741fca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 18:51:11 2009 +0100

    Qt: fix tab order

commit 4efcb1880f91195c6e14014c8577548205bcc062
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 18:50:14 2009 +0100

    Qt: add the hw-accel to simple preferences

commit b02915bd65ec72c70d9e1a38ade59f8ea56736f8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 18:41:02 2009 +0100

    Qt: first run dialog is never asked again if --no-qt-privacy-ask was passed on the first run.
    
    This will help deployment.
    And Close #1834.
    I believe that it will work on Maemo now.

commit b90119f44f8700741164a11b6cafe2e0dd556bc0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 18:28:29 2009 +0100

    Qt4: firstRun dialog is now separated

commit 6629593f243dd378e4a0f695d4b2276329c6b32b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 15:09:28 2009 +0100

    Blacklist Qt 4.5.0 as promised
    
    I know this is annoying, but it is too difficult to maintain.
    If you are a maintainer, you can revert this commit, but this isn't advised

commit effca2a2eaff9e4104ebc683d763c8175795b44b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 15:08:10 2009 +0100

    Qt: remove unnecessary includes

commit d43cc653337e3c9e60f3f6b62baa6da1869ae2cf
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Nov 27 15:07:48 2009 +0100

    Update NEWS and LIST

commit 5862064f44cad48d195a76583af0baac7bb520ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 15 22:00:35 2009 +0200

    Change debug
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0ce1309cb96f40c6670dfaf0895bfb7015468e87
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 14 22:02:45 2009 +0200

    Qt: code cosmetics
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fae58566793322c51ab7333fb0c76d030430eef1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 14 22:00:29 2009 +0200

    Qt: use a single state variable and debug
    
    This also fixes the non returning to the correct size because of too high minimumSize();
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 56cf048ffe22b517fb881a422e18e18822f3a275
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 13 15:19:29 2009 +0200

    Qt: move to Stack Widget, part 2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3777d840899af412c6bca32cb0cec93fcf37624e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 8 10:58:43 2009 +0200

    Qt: change mainLayout
    
    And use a QStackedWidget.
    This will be usefull in the future to:
     - simplify the code about states and video-resize
     - support Qt Animations
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d317eb91dbd131ab0f7fb135b72163b27e8e789c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 3 23:49:52 2009 +0200

    bandlimited: check input format more thoroughly (closes #3171)

commit 2e2cd0b07b9bc0e9ef5b5fbfdaaf8a9e928bd0c2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Dec 3 23:49:31 2009 +0200

    Code factor

commit 8ce421703c501c28656c925dd47c2e80616b30bf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 3 21:43:29 2009 +0100

    contribs: updated binary package for all Darwin flavours including SQLite 3.6.20 and the usual round of updates for the other libraries

commit fb9d333d42db537cac039f423853ecbfe041b99d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 3 21:41:46 2009 +0100

    contribs: make sure regex and SQLite get only compiled once per release

commit 90879cf8a318834a034edaf561d980b914dfe88c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 3 21:29:23 2009 +0100

    contribs: added SQLite 3.6.20 to the OS X contribs

commit b93b012f64a48cf337a40a1119f59b836798d14d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Dec 3 20:30:34 2009 +0100

    dc1394: cleanings (no need to set p_sys to NULL and some other stuffs).

commit 58e40fc82f349bec83f6dedeb14b0ece91b048b7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 25 15:32:10 2009 +0100

    dc1394: factorize.

commit 7bb31a1f8c8d2f35e6833678416739dd4d03013d
Author: Jakob Leben <jleben@videolan.org>
Date:   Thu Dec 3 14:54:41 2009 +0100

    jack: use real latency for buffer date

commit be84ae0b6709621ebf50c95f5dacdb6c5a565e0f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Dec 3 11:29:36 2009 +0100

    Fix win32 package generation - thanks to linkfanel

commit ecebe41fa1d54a8937a8440b72f76dcf607621e1
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Dec 3 11:06:40 2009 +0100

    MAINTAINERS is gone

commit e519d5ff95424c7d61ce47b76823113e690b97d8
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Dec 3 05:44:31 2009 +0100

    windows: Convert vlc directory path to UTF8

commit 6d506eaba1ce7790d28628bfd9d8fdcb2214a9b8
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Dec 2 16:27:22 2009 +0100

    rc: make sure return value is set

commit f5e4501049baf2c1b37e85386931117407dddab2
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Dec 2 01:55:22 2009 +0100

    ncurses contrib
    
    update to 5.7
    only build & install library & headers
    configure with --prefix=/usr so library (newterm() at least) will look
    at installed terminfo database (ncurses interface wouldn't work on OSX)

commit a38b13e030d8c5c2ac23dda76be9aa79a869ddc3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 1 22:45:47 2009 +0200

    Revert accidental chunk

commit a60bd74cc306813d96bec9c838924c28a2d72b5a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Dec 1 22:42:14 2009 +0200

    Qt4: implement SAP in the streaming wizard

commit fe5ee97dd849fd3bc177ae87273ec525104cd1f8
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Dec 1 19:30:49 2009 +0100

    rc module: fix snapshot command
    
    type is void and not boolean (assert failed in var_SetChecked)

commit d0671d96b5f0c9cc6a92f383aa45305962808301
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Dec 1 01:00:15 2009 +0100

    i18n: remove deleted files

commit 655f6183ac201b15193e0116a9c38f51a02e9c35
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 22:50:09 2009 +0200

    Qt4: separate native RTP from RTP/TS

commit 94038d2f1b0e1fcad15600f1b8afb956873ccbf9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 22:31:12 2009 +0200

    Code factorization

commit 2912aadf3a3b27ef357f69fdec1b5dfe8c237860
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 22:21:56 2009 +0200

    Qt4: remove (no-)sout-keep option
    
    This is not really relevant as long as we have only one item.
    However, sout-keep should really always be on anyway when streaming.
    Most protocols would terminate client connections when the item
    changes, and the file output would overwrite the file.
    
    (sout_gather would be more problematic. We should use it too, but it
    has always made sout_display crash.)

commit d381107922c443ffaaa35c81b69910069c816752
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:47:28 2009 +0200

    RTP out: convert s16l to s16b on the fly

commit 90e78daa6c77ee15cdccf223c7c070427da5faaf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:35:17 2009 +0200

    Qt4: add profile for raw CD audio quality

commit 3e6dbf430e86cf474696df64cff174e3360b90ce
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:34:54 2009 +0200

    Kill a few relocations

commit 9fffa028bb2904e3014f158b649763cf463dcf39
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:32:24 2009 +0200

    Qt4: let the compiler figure the number of profiles

commit f34e18955e67abef65811c58b45b04973b949348
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:13:35 2009 +0200

    Qt4: try to improve sout protocol names

commit 260319c579ead2a67296fe886caf39a3684b3fe1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:10:28 2009 +0200

    Qt4: missing qtr

commit 60e75ffe8f3643379916d86625203426854df5e5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 30 19:03:25 2009 +0200

    Qt4: remove audio/video port from RTP streaming wizard

commit b0a8bf12b2515b995997156c1ecb00fce7a23db7
Author: Jakob Leben <jleben@videolan.org>
Date:   Mon Nov 30 16:48:45 2009 +0100

    Qt4: reset playlist columns settings in transition to 1.1.0
    
    Reusing settings from before 1.1.0 results in a mess.

commit f17b581513409c1a4f44df172fe0ed7b4927a107
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 23:58:20 2009 +0200

    Remove Xsp
    
    We don't use GLX with Xomap (rather XV or X11)

commit 40ae1df50e6f3cd6371e96bfa43b28cf0db869ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 23:57:02 2009 +0200

    Xlib: remove (most) non-GLX stuff

commit b25a657dde0e2305a8fb0d564a5b166547829bc8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 23:48:51 2009 +0200

    Remove the XvMC plugin
    
    In 0.9, the output refuses to work and the codec just segfaults.
    In 1.0, it is inoperant due to the removal of the forked libmpeg2.
    In 1.1, we would anyway need to rewrite it to the new vout API.

commit 10ab70ed8ca9e975e0629c30158d51a4a24d1557
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 22:25:41 2009 +0200

    GLX: remove silly --glx-shm option

commit a537329058d5700fe37344fa36c24e02bb89f289
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 22:22:46 2009 +0200

    GLX: remove MIT-SHM support infrastructure
    
    GLX does not use SysV shared memory directly.

commit 547c0f4035e21e817bad04ff2b33ec2d0e4fc66d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 22:14:39 2009 +0200

    GLX: remove nonsensical glx-adaptor
    
    This smells like fishy cut&paste from the former XV plugin.

commit b8b12143dc4607dc748f374454b0248c79472916
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 22:07:56 2009 +0200

    XCB/window: remove duplicate setting (already in XCB/x11)

commit d0682dd37d1dac39ae203b300484692ac4b7c908
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 20:21:51 2009 +0200

    XCB/screen: support windows on other non-default screens

commit b69d64d4abe24d01ceac7a02e2621454f10c49ba
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 18:22:51 2009 +0200

    Fix previous commit

commit 2852aba44c5127fea525f348d77fcd82cd326a3f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 18:10:33 2009 +0200

    Fix another potential audio output dead lock

commit 154422287d5d6bf855309586545cbf2e52d901b5
Author: Jakob Leben <jleben@videolan.org>
Date:   Sun Nov 29 14:44:40 2009 +0100

    vout: better correction for wrong subtitle positioning
    
    Keeps previous behavior when subtitles overlapped in time,
    except when trying to move subtitles below the bottom picture edge
    -> they start to visually overlap because of bounding.

commit c3a6f497780a0d622b71f9007399245645941157
Author: Jakob Leben <jleben@videolan.org>
Date:   Sun Nov 29 13:50:07 2009 +0100

    Revert "vout: avoid applying subtitle offset twice and modify behavior when subtitles overlap"
    
    This reverts commit 4c627dc613cfc9d740691baefdf1fe74108b4a63.

commit e995a5b336ee9d7b735451642f8170513a40f66a
Author: Jakob Leben <jleben@videolan.org>
Date:   Sun Nov 29 13:48:44 2009 +0100

    vout: initialize subtitle position correctly

commit 66b2d87574e61f5bf293ffd29235819805d0fd96
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 13:16:51 2009 +0200

    Fix potential deadlock when changing audio channels (fixes #2240)

commit 4d54fb133e9bb41ce33c60156cf767c53b1aca25
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 13:13:16 2009 +0200

    Fix warning

commit 19295c5d90aeb04f8664ab1a4cce83ddb480e85f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 13:13:28 2009 +0200

    Complete audio locking rules

commit 4c627dc613cfc9d740691baefdf1fe74108b4a63
Author: Jakob Leben <jleben@videolan.org>
Date:   Sun Nov 29 12:08:36 2009 +0100

    vout: avoid applying subtitle offset twice and modify behavior when subtitles overlap
    
    Fixes the glitch when displaying subtitles and subtitle position != 0.
    Modifies behavior when subtitles overlap: newer subtitles push older ones higher

commit cbfad9594ec72bf9aa1789d7342cbe107ad68503
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 13:07:16 2009 +0200

    Abort on invalid lock transition

commit d23bca379e5eed844f90c74741f41d2107e1532b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 13:06:53 2009 +0200

    Lock order fix

commit dec407e71ed6e4b9f41bd9344867a8dfccbfd15c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 13:06:31 2009 +0200

    Adjust rules, output FIFO after input FIFOs

commit 7a87d5768beaecfc8132a875d08b53ec5b780bee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 12:38:39 2009 +0200

    Debug audio output lock ordering

commit 47f7069eb00e369d9ed5d4d9a52def1ee3875411
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 29 11:31:20 2009 +0200

    smem should only start when explicitly requested

commit 109d6eafdf886dc9b08cd64bb9fb10bdc4620dc6
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Sat Nov 28 21:14:53 2009 +0100

    Win32: add VLC to the "Set program access and computer defaults" dialog
    
    The file associations need to be implemented

commit cf1a26480ab872d894dd20aa9d444b54369c0211
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Mon Nov 16 14:16:22 2009 +0100

    Win32: add some metadata to vlc.exe

commit 576a6e4f66bf3fe5fe2f141ed64a22d62d346e60
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 18:29:37 2009 +0200

    POTFILES: remove non-distributed files

commit e87593bb6a622515e011370e52ccf426c92b02a8
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 28 13:16:44 2009 +0100

    subtitles/hotkeys: hotkey accessible subtitle position adjustment

commit 3bc199aba78a566d81f6551ba0bb79982b237031
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 28 11:45:57 2009 +0100

    Cosmetics.

commit 3d4490851415f27888484783b62244a120c7e376
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 28 11:43:24 2009 +0100

    Improved consecutives seeks behaviour.
    
    The execution of a seek command will be postpone until the decoder has finished
    its bufferisation (or until 125ms has elapsed since the last seek).

commit 2989d4e4e21c108e9eb47062d2043e8cadc87f0d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 27 23:21:38 2009 +0100

    Improved input requests merging.

commit 9ff8ab102772c40a6fa108a1e59b3f53d304531f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Fri Nov 27 23:10:41 2009 +0100

    Cosmetics.

commit 21edd87a49e595ec1de3756e95b8e22f1322cea1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 12:13:38 2009 +0200

    TS demux: fix memory leak using ACCESS_SET_PRIVATE_ID_CA
    
    If the access does not support CAM, we need to free the PMT
    (closes #3163)

commit 19a97d79222df1086c76861f4131546ff5afc33a
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 28 10:21:44 2009 +0100

    jack: correct requested buffer date
    
    + remove a dead line & kill a warning

commit bf835339b51b99220efcbd63f4d1c24b6baa80ac
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 28 11:53:47 2009 +0200

    Remove duplicate and buggy --enable-sqlite
    
    It's already in the pkg-config helper, and there was a syntax error
    in the fallback case.

commit eeb1d41bb3a95a0908026c79036a1168e46aec7c
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Wed Sep 16 02:15:52 2009 +0530

    Sqlite Module
    
    This is a sql module for VLC which connects the SQLite library to VLC.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 2aa8e5b6df96c9cd40dece76fb1774b16409e1d8
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Thu Nov 26 08:21:45 2009 +0530

    Sql: Rollback should return void
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 0b83687b0c2bdd23d546273ff0b13c99da5a2c66
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 27 21:59:36 2009 +0100

    i18n: remove deleted files

commit 5a7dca42541f164718c52d43bb00eb7773ef3451
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 27 14:23:13 2009 +0100

    Fix [a68b3396]

commit ab994815cdd68a313e167289d3514b3303aadeaf
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 27 14:13:49 2009 +0100

    vlc_va_NewDxva2() : unused parameters

commit fcc9a34048474173cbfa17b7106044cbdc31cfbe
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Thu Nov 26 20:03:14 2009 +0100

    OSX specific hack to remove "-psnXXX" from args
    
    Move it from libvlc where it didn't work to vlc binary where it really
    should be
    
    Now VLC can be started from dock again after [13d838b64]

commit 94f95f8faf07fab0f8757e18e984d3151fc7bbae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 26 19:34:00 2009 +0200

    RTP: over UDP, assume we have the destination if there is no @
    
    Previously, we'd assume we have the source address, which was confusing.

commit 20c21aac62efe6f3ab913615366e87682eae799e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 26 19:33:09 2009 +0200

    Build fix

commit 18aed9afae6069cec84ac2398fe76adb7f56d8d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 22 11:46:51 2009 +0200

    Remove linear resampler
    
    It is computationally more expensive than the ugly one (and has higher
    priority). Yet, in my opinion, it sounds even worse.

commit e83b92d7bbd739871294d9be2119f9c1c05d3acf
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 22 11:45:41 2009 +0200

    Remove the trivial "resampler"
    
    The ugly resampler is almost as fast yet way better.

commit 5027135e7c8ccf026b93c95c9e4badb1a4d94a89
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 26 17:24:06 2009 +0200

    Qt4: fix default port numbers in streaming wizard

commit a68b3396daae00230d977910ce914cf88cdc05a5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 26 17:23:41 2009 +0200

    shout: default to port 8000, try to improve URL parsing (untested)

commit bc5318a9a7daab38710a429dccfcaede641aed25
Author: Jakob Leben <jleben@videolan.org>
Date:   Thu Nov 26 11:58:46 2009 +0100

    aout: lock output fifo later

commit f66c1e0e9b9c73318f102694a2e09083e310cc48
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 26 00:27:31 2009 +0100

    i18n: moved file

commit 91601e381cc5c8475ea92235be96422a5c19f544
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Wed Nov 25 23:00:00 2009 +0100

    Fixed build under linux (avcodec).

commit a8bc4e17c36c7748e28638c3786be4a419fc9b7e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 25 23:13:44 2009 +0100

    Contrib: patch FFmpeg on Win32 to support DxVA

commit ea62ad21cf1bf8541260dcabe878b4162e42030f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 25 22:49:57 2009 +0100

    Contribs: DxVA2 headers are now port of out dshow headers

commit 1cd93bd63f0cc8ba944e5b534dc3a0e040c5d461
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 25 22:30:27 2009 +0100

    Contrib cleanup

commit 62107e563f979c638f9a5f58cdfd5639d9c63ac7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 17 01:09:43 2009 +0100

    Improved performance when copying video surface in dxva2.

commit 106208c9f7b439cd590c4a9e95cf4edf41c8d752
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 14 22:17:47 2009 +0100

    Called vlc_va_Setup as soon as possible (avcodec).

commit c4ef9658d0d33dcb42f811ae1261ff8fe2eda878
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 14 22:16:12 2009 +0100

    Fixed vlc_va_Setup (vaapi).

commit 188aa615fd559702667c696efbfc1cad653fd066
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 14 11:20:20 2009 +0100

    Disabled ffmpeg hardware acceleration support by default.
    
    For both vaapi and dxva2, not enough testing has been done.

commit e0028dbfcdf1671fb4c503336fe10684d3724d51
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Nov 14 11:19:04 2009 +0100

    Added DXVA2 support to our avcodec wrapper.
    
    It is not yet activated (the build system part is missing).

commit 670ef981c72d124788cf5862562de6541428e7e6
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Sat Nov 14 11:08:46 2009 +0100

    Initial work for DXVA2 support.

commit 0c348182e3823d80f703518d6734222f3bdce825
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 25 22:26:32 2009 +0100

    Contribs: cosmetics

commit 95bb368ea15aa3d38d2aa5e780817b6931e4aa3e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 25 14:36:05 2009 +0100

    Contribs: Sqlite3

commit 31aac78acab74626ad7efbe9819a966299adfef5
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 24 23:06:03 2009 +0100

    More NEWS

commit 0915a39b086fd2d9fd5a1022c5b28deac30432ee
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 22:49:39 2009 +0200

    Qt4: add dccp as a known protocol

commit 7596e07dc4401e3fc6f23912d165b591883bc85b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 22:37:29 2009 +0200

    Qt4: make sure the running VLC has a module implementing the protocol
    
    This avoids "*-caching variable does not exist" errors

commit 3ae0e266205878bd66b004ee23b40b2c2433b74e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 22:35:23 2009 +0200

    Qt4: remove proto combo from open net tab
    
    Now, we get the URL directly. This is much simpler and much less
    confusing. Also a few missing network protocols.

commit 43925afd7a2ca0504632e578ab63731af8266895
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 22:06:49 2009 +0200

    Qt: remove port from open network tab

commit 4e35738527f42df490d0ed5a0c91a930d1ab9c19
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 25 21:00:34 2009 +0200

    XCB-XVideo: warn if picture resolution is not supported

commit 15288858575b3ab35f3e2824e6464f6bc5c4e186
Author: Jakob Leben <jleben@videolan.org>
Date:   Wed Nov 25 15:25:18 2009 +0100

    Qt4: position slider: send seek events at regular intervals
    
    Improves seeking experience by sending less seek requests and actually allowing output to update between them.

commit d8efdc14bbc5f7119bbe814539c2866e8d8c5fb4
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Nov 25 10:20:50 2009 +0100

    transcode: cosmetics
    
    indent comments screwed by copy-pasting

commit 82a66cf4c0e1745e8d8ea71a43d8076bf541c804
Author: Jakob Leben <jleben@videolan.org>
Date:   Wed Nov 25 08:44:58 2009 +0100

    jack: replace deprecated jack_client_new with jack_client_open

commit f4fff7791b52e689455147d42fb7bfbbdd8b48de
Author: Jakob Leben <jleben@videolan.org>
Date:   Wed Nov 25 08:41:13 2009 +0100

    jack: missing lock

commit ffd4a01ebf0d759ebaac137a45730e960e48c4a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 24 22:42:39 2009 +0100

    DTS: fix mono and dual-mono samples playback

commit 1367253705461a54940beb1128ea5a7d27f5fa1f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 14 17:39:56 2009 +0100

    Contrib: Tiff and gnutls minor updates

commit 577ce5a67c51c812f7ad97bf3e7f7f38913b72d3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 10 11:00:01 2009 +0100

    dc1394: update to v2 API
    
    This patch needs more testing, I think.

commit 7c446cb7acb6c575f8396fbaa909e6bacc541898
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 01:15:53 2009 +0100

    Qt: recents factorization.

commit dc92e9b375a1f01fa21869c018253bd991c817ea
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Nov 3 20:09:57 2009 +0100

    Don't display any OSD when --no-osd is asked.

commit 9aa12246b975eaa4ec5433f9d753e9f0a2d68117
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 24 23:54:36 2009 +0200

    Remove unused define

commit 6bbab18df4f2adb530fed7a9f2ffef11ad3cf654
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 24 23:53:34 2009 +0200

    Make INPUT_FSTAT_NB_READS a power of two to ease division
    
    Some instruction sets can't divide (e.g. ARM), but pretty much all of
    them can shift bits.

commit 4f2f56a58c2552cd77f3d6bc3056234e244e4e3e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 24 22:10:34 2009 +0100

    Source files must not be executable.

commit b78e1e6ab6875fa3625cc9434aadb5f913abf547
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 24 23:06:27 2009 +0200

    MAC -> UTF-8

commit b1efb935f041e90f2fee0a706ce542e5f7d94977
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 24 23:04:34 2009 +0200

    Latin-1 -> UTF-8

commit 136ebd846f72d5707e7d31f91ac7299b1c35e992
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 24 22:05:11 2009 +0100

    tdestroy: fix encoding.

commit 714d6155710c201562f2cdd78127c2fc59aebf43
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 24 21:57:00 2009 +0100

    compat: implement tdestroy (GNU extension not available on OpenBSD).

commit dbee243488813e310f8ef603e441fa923ca6f0db
Author: Matthias Dahl <khaos.dev@binary-island.eu>
Date:   Mon Nov 16 17:29:36 2009 +0100

    fix dts spdif output regression
    
    dts spdif output was broken by the switch over to the new filter
    API.
    
      * dtstofloat32 should only take control if there is _no_ spdif
        output requested otherwise the decoded stream ends up on the
        spdif device
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit baa1ec0106aea6a196238f8747ef751894e26579
Author: Matthias Dahl <khaos.dev@binary-island.eu>
Date:   Mon Nov 16 17:21:16 2009 +0100

    fix A/52 spdif output regression
    
    A/52 spdif output was broken by the switch over to the new filter API.
    
      * a52tofloat32 should only take control if there is _no_ spdif
        output requested otherwise the decoded stream ends up on the spdif
        device
    
      * a52tospdif has to set a pts/dts value otherwise the frames get
        (wrongfully) discarded as too late because a wrong pts/dts value
        got evaluated by aout_OutputNextBuffer()
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 17c1886a2c2e748c26051611b7bddd1502cbb832
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 24 22:13:51 2009 +0200

    Syntax error

commit 1eadd58b04462eff3dbb435ee885fb95d5b377a7
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 21:27:19 2009 +0100

    Updated avcodec with SSE3/SSSE3/SSE4.1/SSE4.2.
    
    It just allows disabling their use.

commit f7ba8bf376b8f418a1c89cce0ac3aba22565e78c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 21:24:07 2009 +0100

    Added SSSE3/SSE4.1/SSE4.2 support to libvlc.

commit 66dbe2921ed6f9740f7dc11a2a7a7998fd5c5ba0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 20:40:03 2009 +0100

    Fixed check_capability compilation (TSQ).

commit 2f1ac5a8295b27b6ca7c40996359b55ebe31cb19
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 20:07:46 2009 +0100

    Splitted SSE4 into SSE4.1, SSE4.2 and SSE4A.

commit 8c6b569c4bc433a51a76440780fc33c605b95ffa
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 20:00:04 2009 +0100

    Used the proper define in SSE2 detection code.

commit 7d80f76b148307fc1c9ecf53977fddbc82481071
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 19:55:43 2009 +0100

    Made CAN_COMPILE_SSE3/SSSE3/SSE4 meaning consistant with SSE/SSE2.
    
     They now all mean that inline assembly (asm volatile (:::) for a specific
    instruction set can be used.

commit edd4b2936205aa1c1d3b5e92939feda4c0a60b49
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 23 19:52:25 2009 +0100

    Factorized x86 features detection code.

commit 5df21676ae2d47e04f4d37f3b23c2defc5d8b0d4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 24 19:13:32 2009 +0200

    module_EndBank: useless NULL assignments

commit 81715185e318289c6e2b06474ba1acd54df92a25
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 24 17:50:15 2009 +0100

    Fix compile file to use gmake instead of make for OpenBSD.
    (This is a really tiny fix but I'm used to use compile script).

commit f16ee6f7f97e2c5ff964e419e715ccf2c684f1bc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 24 17:13:54 2009 +0100

    skins2: fallback to x11 os factory for os not win or osx.

commit 27695dc3a8812e442dee4202b99e0bc5605ea98f
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Tue Nov 24 16:18:45 2009 +0100

    Revert "svg: quick fix for out-of-tree compilation"
    
    This reverts commit ea4b606943126c332a5953c900f1cc451ba680b1.

commit dbfc0404e1117beb8ad545a9e038b8662e61dd52
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 24 16:15:28 2009 +0100

    transcode: add/remove needed/unneeded headers

commit 25fd8c34e3140671c166bc4e4903cd4a425ce916
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 24 16:07:25 2009 +0100

    Split stream_out_transcode in specific files

commit 8fb9c70f1caabdb34eb8ad1ea6fc018b2a99d2bf
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 24 13:56:16 2009 +0100

    config_ChainCreate() : use SKIPSPACE macro

commit ea4b606943126c332a5953c900f1cc451ba680b1
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Tue Nov 24 10:46:27 2009 +0100

    svg: quick fix for out-of-tree compilation
    
    config.h should be bundled with dev. packages (this concerns at least
    libvlccore-dev on Debian). Or regenerated by a script.

commit 953fc3625d283af7eb15313ab25c98328ea4f20b
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 24 13:43:42 2009 +0100

    transcode: "audio filter2 doesn't exist anymore
    
    "psz_af2" -> "psz_af"

commit bcdc891a158a8fe52e34257ab3739ae37f539504
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Nov 23 20:53:26 2009 +0100

    python-ctypes: add support for media stats

commit 3e0d64a2fdf8d0a5aa4605786d117a793212b0a6
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 23 20:07:13 2009 +0100

    Fix compilation and linking on OpenBSD.

commit e35669e5b9fc6c0efd5d169ab970a753075a8835
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 23 17:08:29 2009 +0100

    skins2: fix linking in OpenBSD (the X11 os factory must be use for linux and OpenBSD at least).

commit 60259082b6e59abc0fb7465267abbd56af4315f0
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 23 15:52:48 2009 +0100

    libvlc: fix comment.

commit 3b3d936f80488dee8b64f4136cd369462fe8b89f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 23 19:06:31 2009 +0200

    Fix RateCallback

commit e87dd9f0fd57a2eeef76225d4a35065c0db1849b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 23 18:44:52 2009 +0200

    Convert "rate" variable to float everywhere
    
    This follows the historical LibVLC semantic (and new --rate one), so
    bigger is faster. In the process, simplify a few code paths, especially
    those in LibVLC, but make many other code paths more complicated due to
    integer<->float conversion. Most of those paths could probably be
    simplified.
    
     * Fix RC "fastforward" command behaviour (it was slowing down instead)
     * Fix str_format_mera 'R' format string with negative rates and
       rates such that (rate % 1000 < 100).

commit d2a714c1e4f5337e9d602dc7e81f875fc29e0305
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Nov 23 11:15:24 2009 +0100

    python-ctypes: implement shortcut media.add_options (in addition to the existing instance.media_new( mrl, options...))

commit c57811067847c2644c2487a749f149057fb448cf
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Nov 16 17:57:01 2009 +0100

    python-ctypes: override Instance.media_new to allow to directly pass item options

commit 4bc8176fef9521f2de99e16b6fbfa63917ef55e2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 22 11:57:06 2009 +0200

    hq-resampling option has no effect without FPU, remove it for now

commit a03728789611bab7cec1b74f8b6e814ed0c8021b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 21 22:35:40 2009 +0200

    Allow setting the playback rate from configuration

commit 918c70cf0e116416443492c0cb26274d8160b6f4
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 21 16:58:46 2009 +0100

    Fix audiobargraph plugin linkage
    
    Add -lws2/-lws2_32

commit 0e3ec2274b60aca41c60c2dc37d61e408be70236
Author: Clement Chesnin <clement.chesnin@gmail.com>
Date:   Sat Nov 21 12:45:58 2009 +0200

    Add audiobargraph (video part)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8e2f99001d213405faea981a76a7ff32a5334591
Author: Clement Chesnin <clement.chesnin@gmail.com>
Date:   Sat Nov 21 12:45:12 2009 +0200

    Add audiobargraph plugin (audio part)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit aa6665a3224214889c4ce2687f471ca4c5916e55
Author: Clement Chesnin <clement.chesnin@gmail.com>
Date:   Sat Nov 21 12:44:37 2009 +0200

    Add strtok_r() replacement
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 5e7bc5f267c0a0378dfc25867b34f1a662ddbb06
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 20 20:21:21 2009 +0100

    contrib: fix libmpeg2 patch
    
    Disable the ARM pld instruction only on architecture versions that
    don't support it.
    
    Thanks to Kirill A. Shutemov!

commit 64ebe1ee52f6eb5873f51f9d10059f0e22d36167
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 20 19:01:10 2009 +0100

    WinCE: fix window size in wing{d,ap}i video output

commit 66a90b9b908e3618be0ce09f06c5bb7ab73e23a1
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 15:43:43 2009 +0100

    rate-(slower|faster) again.

commit 487dc8498dfea8e73901cbc91850aab9e4e32ce3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 15:34:22 2009 +0100

    rate-(slower|faster) are void variable so we only want to trigger the callbacks.

commit 9922031c0bce2d30074cb0b1f6e708ac3d8a156d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 14:55:27 2009 +0100

    v4l2: compute strchr only one time.

commit e3f06b2e130cfc8db1503c79b245a314e22393da
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 14:16:37 2009 +0100

    include: add some LIBVLC_USED flag.

commit b12a91fd450f361326648e428e6c619b62f66af8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 12:28:26 2009 +0100

    libvlc_media_player: factorize.

commit 41b54a0abc868480e67e09f9ce5db348771a4742
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 12:17:13 2009 +0100

    libvlc: add a function get the statistics about the current media (also add a structure to expose this values).
    All statistics are not exported, only the most used are exported.

commit d452d256a22879fd0d831092c3e8900cecf9896a
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 11:39:50 2009 +0100

    lua: also add some statistics.

commit 90a6468ca739c70b4e50a4270d4ad862acefa037
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 11:28:18 2009 +0100

    rc: add some more statistics.

commit b5cc8bd2de210d0334dc5a7d71a816ae918e8294
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 10:10:14 2009 +0100

    visual: factorize.

commit 60b30f42e92b46726b4647d9a5d8bb3e3b670e59
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 20 10:04:03 2009 +0100

    visual: save again some allocation/deallocation cycles.

commit a034cdf67215f4088c7035a695997c58f3d8d053
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 19 21:54:11 2009 +0200

    Improve error message

commit 25c5aee0ba1cddd7683eb2fbcb7471548e3b861c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 19 19:29:40 2009 +0200

    decomp: add support for xz compressed streams (LZMA)

commit 5d99f7d3d511734c10f462f74114e85fa794d21b
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 19 13:57:09 2009 +0100

    visual: fix a crash (double free or use after free) if an error occure.

commit c8f699876c24cbab555ddf1d40ff801b7f1cd36e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 19 13:52:56 2009 +0100

    visual: small cleanup.

commit 4ee7b909c5a6000833474d472c1f7c2b37d807ec
Author: Hugo Beauzee-Luyssen <beauze.h@gmail.com>
Date:   Thu Nov 19 11:09:31 2009 +0100

    Correcting type and value of the audio sample
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 8b96a4c2a0d8375874a910a564b08dfbac4806ee
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 19 10:30:03 2009 +0100

    visual: fix use of uninitialized value (introduced in 68dd76f1cd8ec68e2caeeabe325593ffb93b750c)

commit 8cf7b429d7e60a1ddb6b38fc0be8b0e13df52d9c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 19 10:25:49 2009 +0100

    visual: factorize.

commit 68dd76f1cd8ec68e2caeeabe325593ffb93b750c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 19 10:04:42 2009 +0100

    visual: save a huge number of allocation/deallocation.

commit 5534850701a2d4cb89dcf15363400f8ec2e7144e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 19 09:42:42 2009 +0100

    visual: factorize.

commit e10e115ffe5c5aa1c02303ad9681d330242c6750
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 18 17:26:20 2009 +0100

    rtmp_access: remove dead code.

commit df15163a91887272e0e45020917a0504c8e8961e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 18 12:44:29 2009 +0100

    rtmp: factorize a bit.

commit 1389ca04cb51fc10406db9553ffccba637ea4dbc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 18 12:41:36 2009 +0100

    Revert "RTMP: factorization"
    
    This commit add a deref-after-free bug.
    
    This reverts commit 25cbae45cda4530fc9968edf067fd0f59ee9d8fe.

commit f7fa395ea9d0d8d3d57fe6bd90a549bc469006f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 17 21:32:30 2009 +0200

    RTMP: use new thread API, remove bogus uses of b_die and FifoWake

commit 88ae87b2a0a78fb4f2ca7151382f8b09100c191f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 17 21:28:44 2009 +0200

    RTMP: tag some of the obvious bugs

commit 600ceaf9816eb8e82f480ad59ea7f64996c35925
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 17 21:15:41 2009 +0200

    RTMP: small cleanup

commit 7760fe37809ec93e22f836bfced7f3ec979bd99c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 17 21:15:21 2009 +0200

    RTMP: fix a sign warning

commit 25cbae45cda4530fc9968edf067fd0f59ee9d8fe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 17 21:10:54 2009 +0200

    RTMP: factorization

commit 2a960712ff1ecb9074498b5930ecba930ff2d6e0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 17 18:44:44 2009 +0200

    RTMP: fix memory leak and use after free on error paths

commit e05828549134b273abff6a6e483e5dc876b51ef9
Author: Buganini <buganini@gmail.com>
Date:   Tue Nov 17 23:11:20 2009 +0800

    v4l2: use v4l2_open for use of libv4l2
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit df08fdf08101692309ac2bf39fa39cd253d6174c
Author: Kuan-Chung Chiu <buganini@gmail.com>
Date:   Tue Nov 17 18:39:02 2009 +0800

    v4l: support libv4l
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit 9cbe5a0e6e8170ea6fabb3b96d9852e8db85a628
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 17 12:37:31 2009 +0100

    skins2: fix a redefinition of a macro.

commit f99c55b6ca8979cf27ce257d1cfe0556bcf4d6d8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 17 11:33:40 2009 +0100

    access_http: fix cross-compilation for win32.

commit c240b3d3f74b6e542c3d2e3d3f0b7ff52b14842a
Author: JP Dinger <jpd@videolan.org>
Date:   Mon Nov 16 22:53:34 2009 +0100

    Kill a few warnings about unchecked asprintf() return values. I'm
    assuming TAB_APPEND will know what to do with a NULL string ptr
    as opposed to an undefined one.

commit 49d423b347d68396a5abe0faa86993c6069f5c76
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 16 22:12:52 2009 +0100

    lua_libs: release the playlist object.

commit 66e29381662c9edb05e81e65df0c454adcd61466
Author: ogg.k.ogg.k <ogg.k.ogg.k@googlemail.com>
Date:   Sat Nov 14 14:13:51 2009 +0000

    restore libtiger support in kate plugin
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit a5120fbebe4a279684fa1b9bb403d2b0362a42ef
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 16 19:54:37 2009 +0100

    lua_libs: lock the mutex when reading the stats of an item.

commit 240be4940bba265c0128e5dfe3ebc2381bcabb5a
Author: Adrien Maglo <magsoft@videolan.org>
Date:   Fri Aug 28 15:03:09 2009 +0200

    If http-use-IE-proxy is enable, use Internet Explorer entered HTTP proxy server configuration for all URL. Don't take into account bypasses settings and auto configuration scripts.
    
    Signed-off-by: Rémi Duraffort <ivoire@videolan.org>

commit 3f352e35833fa5664f4b17380d933390bc963b86
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Nov 14 11:58:10 2009 +0100

    mux_mpeg_ts: no need to lock inside the destructor.

commit 5cde6e7779c31c79bd89e6a71d88c0f6c3f9afb2
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Sat Nov 14 11:53:31 2009 +0100

    Use var_Get* when applicable.

commit f2da8f85f1dc263a8f040ded811e132973dd2e94
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 16 20:10:53 2009 +0200

    Document block_FifoGet and block_FifoShow

commit d7899cfaa73f2379eb0b54e09e2d2ef82f331497
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 16 20:01:55 2009 +0200

    block_FifoPut: reduce contention scope

commit 211199d83abefc47ff9620c02e1c08ba46581819
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 16 19:56:07 2009 +0200

    block_FifoEmpty: reduce contention scope

commit eb461c0dd3a05741db5a791b14ca0d10439def4e
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 15 23:21:05 2009 +0100

    Fix a uninitialized variable warning in xcb/xvideo.c.

commit dacbb93b54623c1fbabdc4c4ebcb0b0a430f197f
Author: JP Dinger <jpd@videolan.org>
Date:   Sun Nov 15 23:18:01 2009 +0100

    rtmp_amf_flv: Try and refactor a bit by reducing overly long
    indexed accesses and packing up repetetive free() calls. Also
    some cosmetics. Should not add functional changes but should make
    it a bit more readable.

commit 0d96c8d295b0745a44a8bb69db5979d1bf37a5e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 15 17:03:17 2009 +0200

    Ugly hack to prevent qt4-x11 from using alpha channel
    
    This breaks our current Xlib XVideo and plain X11 outputs.
    Qt4 would create an ARGB window for our embedded video. Then, the
    Xlib plugins would raise BadMatch errors and VLC aborts. Starting
    cairo-dock is an easy way to trigger this problem.
    (With XCB plugins, we fail safe to OpenGL/GLX instead of crashing.)
    
    We should instead handle ARGB visuals properly. But that would involve
    more efforts, and would only enable plain X11, not XVideo anyway.
    
    This should work around LP#416294.
    
    This is ugly and not thread-safe. If you have a better idea, go ahead.
    (cherry picked from commit c0ec5be56e71c273eef4faea8d927eeb3cbc7ec5)

commit 2f5e98e22b4b3ffa87c97846ec51d3654839a4cc
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 15 21:39:47 2009 +0200

    XCB-X11: use RGBA so we warranty the alpha channel is 0xff
    
    N.B.: it seems swscale does not follow the RGB masks properly;
    red and blue are swapped.

commit b807e7efe650036777136bda1dd548a7421437e2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 15 20:03:44 2009 +0200

    XCB-X11: handle 32-bits visuals (ARGB)

commit bcd6e8fe78a1800d9ad4ffb8eaaf54e495a67be5
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 15 20:00:15 2009 +0200

    XCB: always match the embedding window color depth
    
    This simplifies XCB-X11 a little bit, and speeds up failure cases of
    XCB-XV. More importantly, it will enable ARGB rendering for XCB-X11.

commit 174ba1481204d4bfffc19fa9e640ccc4fb89cdb0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 15 18:03:40 2009 +0100

    Added an input from memory access.
    
    It allows to inject one ES (raw or compressed) into VLC from a libvlc user.
    If multiples ES are needed, it is sufficient to use slave inputs.

commit 38c54d655449cc717abae808affac55dcb4fbf64
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 15 16:32:06 2009 +0200

    XCB-XV: get visual and depth from XV adaptor rather than root window

commit 1ea1c3f90730a99e8f93a50e6ed2d8510ffa2e30
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 15 16:07:36 2009 +0200

    XCB-XV: cosmetic, kill a few gotos

commit df6af2ed88a5eef071ab92a6d5fba2df461252c0
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Sun Nov 15 14:48:33 2009 +0200

    x264.c: add option to adjust lookahead
    
    Limit range to 0..60 currently, as x264 tunes doesn't seem to use larger
    values than that

commit 8c31eb3bf372dbeb7e61cb5ce442ab0f43eea91d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sun Nov 15 00:53:46 2009 +0100

    contrib: always skip apps when building vorbis
    
    Due to popular request, this patch is now applied to all target systems

commit 350d15ef63edf381ea29dc6bf50c009f15b6903b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 14 04:53:13 2009 +0100

    contrib: add more stuff for WinCE
    
    This is now at least as much as in geal's contrib package

commit 1811b408d2f62fa1bf27544f97679a12f88fc49a
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 14 04:27:23 2009 +0100

    contrib: patches for libiconv on WinCE
    
    Yes, huge hacks inside. Submitted to upstream, we'll see what we can
    clean up after they answer

commit 1e756a835e2fddd883b8475fe3b8f87230781163
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Nov 14 03:42:26 2009 +0100

    contrib: crappy patch to build libmpeg2 on WinCE
    
    Devices running WinCE don't necessarily support the pld ARM instruction,
    which prevents libmpeg2 from building. This patch unconditionally
    removes that instruction on WinCE.

commit 5a88cc85d2d5775148154b8297605896a4fca153
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 13 22:31:01 2009 +0100

    contrib: fix libvorbis compilation for WinCE

commit b3f6fae8399b63caa825f2313c80e2393cfac3eb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 13 21:11:37 2009 +0100

    Use var_CreateGet* when applicable.

commit 5e2ff900839de70606f212328accd22a45b74982
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 13 21:10:24 2009 +0100

    qt4: destroy the variable only if the variable does exist.

commit 3a676aa9e707bf29b5bc28434f75c06243de555c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 13 19:32:59 2009 +0100

    libvlc_test: fix compilation.

commit 4366eeddb034e8ab9cbec0cf0cbafd1e4d289fe3
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 13 19:02:28 2009 +0100

    update doxyfile.

commit 424aad15d41718bb9a4961986494423de73bb2e7
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 13 18:11:19 2009 +0100

    luarc: oups.

commit 323a0b215a858c64e0ef6ce3f9a0c741233bac98
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 13 13:56:04 2009 +0100

    luarc: implement stats command.

commit f108a5efb6a09836334f4f581ddd875398df680c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 12 18:58:58 2009 +0100

    luarc: add frame by frame support.

commit 1e724a9b7f89314a4b668414e125e3490fda234c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 12 18:52:34 2009 +0100

    lua_libs: add a function to trigger callbacks.

commit 7dc473a399b6352f4133e1f4f87ffca0bfa8bacc
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 12 16:08:46 2009 +0100

    rc: simplify and make one test usefull.

commit 837bf32ec86bd696d7422a27fafb103f9d12474f
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 13 10:44:33 2009 +0100

    contrib: fix live555 on WinCE
    
    Remove patch merged upstream

commit 6d0742dce507d41af29eb35a4d7624b166fbdc1d
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 13 10:21:13 2009 +0100

    contrib: package-wince
    
    .PHONY doesn't seem too happy about that...

commit 73c24f3a2d84c8ca9f18f4db9e86823099edd174
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Nov 13 08:50:26 2009 +0100

    contrib: fix win32 packaging
    
    Clean up hack and avoid failing if bin/ doesn't exist

commit a39ed44cacd2e4294b2b794a1fdaa68ef64ff5a1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Nov 12 20:20:37 2009 +0100

    Ignored error when we cannot save our modified tuning space.
    
    It seems to work just fine and fix an error in windows 7 (it was
    refused unless VLC wass run with admin rights).

commit 8d926ee8a6fb15cfb733d9225c411b96702762bf
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 12 15:35:28 2009 +0100

    lua_intf: fix memleaks.

commit cf015393d70b394b2ca2b622e7671d2aa4e1f97d
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Thu Nov 12 13:21:21 2009 +0100

    lua_intf: fix memleak.

commit cc352bcff484d45b27e78c07de3a58cbcbe06d6c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 06:03:56 2009 +0100

    contrib: define _WIN32_WCE on mingw32ce
    
    Because you're supposed to

commit 6ccccdf019234f13884f0bfd49c746016e59d518
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 05:33:18 2009 +0100

    contrib: something working for WinCE
    
    That is adding errno and live555, and disabling what currently
    doesn't build

commit 050b995e8376d21f7e4b194c9ee104e7341a1c4c
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 03:18:58 2009 +0100

    contrib: fix typo with files to clean

commit 181dbe9efe7917b2ba5f75f64bf07d11ca6ca0d2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Nov 12 03:05:56 2009 +0100

    contrib: add minimal errno.h target (for WinCE)
    
    WinCE lacks errno support and thus doesn't have an errno.h header.
    Since it is used like everywhere, contribs and VLC, we add a .errno
    target in the contribs, that fetches a minimal errno.h that allows
    everything to compile smoothly.
    
    This is how it was done before too.

commit 1a881eeb4f5c869d5b894152901c57e867659127
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Wed Nov 11 22:17:48 2009 +0100

    Lua: don't lock playlist before playlist_Play

commit 9c1cb680d5ec3f35624a8d4e238eead0830c5a66
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Tue Nov 10 18:19:01 2009 +0100

    Lua: check variable type before adding a callback

commit e74515cf1bd47b35b654389006e5cbe2bd2832a0
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Wed Nov 11 21:37:26 2009 +0100

    Lua: new input and input_item facilities
    
    New function vlc.input.item(): returns a pointer to the current input_item
    
    The object returned by vlc.input.item has the following members:
     - item:metas(): similar to vlc.input.metas
     - item:set_meta(name, value): change a meta. Eg: set_meta("artist", "ZZ")

commit 0c0756dd88de0f14013d868ea0f622eef0b5d65b
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Wed Nov 11 21:29:43 2009 +0100

    Lua: fix typo in rc.lua

commit b2b191a734ec644510eebf37bc70d16c02b4185d
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Wed Nov 11 20:27:14 2009 +0100

    Lua: new function vlc.input.metas
    
    Returns a table with (max.) 17 meta data about the current input

commit 16d88109d4e93a2ed8739ff2a2d59be2e7fedfc2
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Wed Nov 11 19:57:13 2009 +0100

    Lua: new function vlc.input.add_subtitle
    
    Load a subtitles stream given its URI

commit 72be12b3fe00e0ddb68163955d04e2dedfe0980e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Wed Nov 11 20:15:17 2009 +0100

    Fix avformat mux Seek() : return sout_AccessOutSeek() result
    
    >= 0 means success (could be the new offset)
    -1 = error

commit 8433e306f6f1f0e00a7d0678fbd098cda74eb7b4
Author: Jean-Philippe André <jpeg@endymion.via.ecp.fr>
Date:   Wed Nov 11 19:05:49 2009 +0100

    Lua: release input thread

commit c9e70a5f0be434ae9640cd6df95b7b88e9e2c0d9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 11 19:08:34 2009 +0200

    Unintended change

commit f29b29271a8fca3240117b431be1843265eb7eb7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 11 18:38:02 2009 +0200

    Bump plugin ABI due to gettext/cache changes

commit 13691dd9878fd08b9db68f7837848b80ff4b5304
Author: Nick Briggs <briggs@parc.com>
Date:   Tue Nov 10 14:19:16 2009 -0800

    Export block_FifoPace
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit b3d8c1302f95b27927e5dbb658d22284b5ea29fe
Author: Marian Ďurkovič <md@bts.sk>
Date:   Wed Nov 11 12:08:58 2009 +0100

    Use highres clock with TDT timebase

commit 02cd9bdfccbddfea3e66c4822abd4da4812a1c6e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Wed Nov 11 10:53:18 2009 +0100

    ogg: Fix tiny bugger overflow.

commit 1317456752f47d8ba9a16c5e4880e049c7467892
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 10 23:39:17 2009 +0100

    libxml: return NULL for pointers (not 0).

commit d497debb862eee38367eb08d94cb2d83793c9dee
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 03:45:23 2009 +0100

    contrib: hack to disable codecs for ffmpeg on WinCE

commit 9dcb37114f572ae16f022ed4dcfff47d9b02e198
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 03:10:02 2009 +0100

    contrib: live555 for WinCE

commit c5dd730b742292f8617ba33ef00ed53531e98bbc
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 02:27:34 2009 +0100

    Fix make dist after renaming file

commit 50052f5152de29744d9fbb7a0603f2788eaf8eee
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 10 23:09:29 2009 +0100

    WinCE: fix live555 detection/linkage

commit 33692d21e5811e204c53f84b91ba3b73923d7dbb
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 10 23:23:59 2009 +0200

    Fix compilation of set_text_domain() macro

commit e4a026f1e2ae2e31d4c89e2690e0476771e68fc8
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 10 21:58:47 2009 +0100

    video_output: really fix use of uninitialized value.

commit f4cae1c6485e9f84d2e9c625ec334b96b1937737
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 10 22:45:56 2009 +0200

    ALSA: warn user on current alsa-lib versions if re-open fails
    
    This bug is fixed in alsa-lib git repository. Depending on the
    underlying ALSA driver, re-opening the sound card might fail if VLC
    forked and executed another process. This is especially bad with
    xdg-screensaver, although this could affect other -earlier- usages
    of fork+exec or posix_spawn.

commit 69329f79757c60cf5cef589c98c7dec03cdf221d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 10 22:19:09 2009 +0200

    Unused variable

commit d944e22711dcc66d9eead206d0db62a593f24d31
Author: Srikanth Raju <srikiraju@gmail.com>
Date:   Tue Nov 10 17:56:00 2009 +0530

    Sql: Include interface for prepared statements.
    
    Signed-off-by: Laurent Aimar <fenrir@videolan.org>

commit 6f121876e5fcab04c7203fb259df7d80be98a4b0
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Nov 10 20:35:48 2009 +0100

    Modified our vaapi wrapper in avcodec to be more generic.

commit 4668d0656962d28453ed3feaa95dd1909d91b676
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 9 23:49:11 2009 +0100

    Also probe file:// for bd.

commit c830468dbe7340bfffd0a572e134844c2aa0534f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 8 19:44:19 2009 +0100

    Do not allocate 0x0 region in ffmpeg subtitle decoder.

commit d1474ca68eea4f60f63a851687eedde8e34ffd6c
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 10 16:42:52 2009 +0100

    Remove VLC_Error obsolete function.

commit e58e24c7a8861245d0f84685b82ce12e317b8fde
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 10 13:55:27 2009 +0100

    taglib: simplify.

commit e230861e171c4ea9e2b980effba0b72da4f7ee07
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Nov 10 12:40:08 2009 +0100

    OpenBSD also need VLC_HARD_MIN_SLEEP.

commit b6d44be792493f2ad9364d255d758df5d60d8ce6
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 10 08:35:24 2009 +0100

    Include header only if needed
    
    This fixes compilation on WinCE, where signal.h is missing

commit 772baf99603c0d2bf7e7b500fe6641b24bf1ba29
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 10 07:21:32 2009 +0100

    Remove useless include

commit a79ab1f65d837721fc83236d7aba0808c0c17c05
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Tue Nov 10 06:58:37 2009 +0100

    WinCE: guard against inclusion of missing header file

commit 17786c59b1dc0f2b965b79721e0b4ec49c12612a
Author: Jakob Leben <jleben@videolan.org>
Date:   Mon Nov 9 23:23:15 2009 +0100

    Qt4: fix build with Qt < 4.5

commit 75dcb251c6fb8fcb002c47c6f15a334770c30d15
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 23:40:03 2009 +0200

    Remove language from plugin cache

commit 49d120b29da1640802daf31019f003fa2fede28d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 23:36:17 2009 +0200

    Nice solution to a nasty printf hack (sic)

commit 97c94423c20099d71a48dc6ed737dcd1c43a1eff
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 23:25:09 2009 +0200

    Use gettext when printing help

commit b1c38e819231d377bd1cbb62aaaf10f49c14c0b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 9 22:47:27 2009 +0200

    Don't run gettext while describing a plugin
    
    This will render the plugins cache locale-independent.

commit cbe6005492c744d74cf1ecba377416d28258b70e
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Nov 9 21:13:17 2009 +0100

    contrib: update ffmpeg compilation for WinCE
    
    Remove useless patch and update arch parameters

commit e9c40e538e72711e037d021876396a46a6062b82
Author: Jakob Leben <jleben@videolan.org>
Date:   Mon Nov 9 20:24:41 2009 +0100

    Qt4: replace Podcast add / remove buttons with plain icons

commit 77ed8c31d73fb3a0c8f6076b71eb4c71a7d138fb
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 9 19:40:27 2009 +0100

    Fix access_oss linking.

commit 6041d1db33ee429f113ecddb729c8840a025ec02
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 9 19:21:16 2009 +0100

    taglib: factorize.

commit cedacbefb0235346cf9a3697adabca61b3ed4436
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 2 22:07:00 2009 +0100

    taglib: write to some more files.

commit f820cbfb9a823a283603b275ff34ba1eae15631e
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 9 12:14:59 2009 +0100

    mmstu: fix msg_* format.

commit ba64cddc2b5a45e16af2f996b141d85c2a323c3f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Nov 2 16:34:02 2009 +0100

    taglib: improve the module to read metas from RIFF files.

commit 528c4af046be16a00e0ded692cd33e24ac25fe14
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Fri Nov 6 13:44:38 2009 +0100

    avcodec: add missing variable.

commit 743652de16b2884bbfbe62541cd73524a77ae7af
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Tue Oct 27 16:29:24 2009 +0100

    video_filter_scene: no need to mess up with pointers here.

commit 459af975dd41c15f8c39f46af8fc58eff8041a8f
Author: Rémi Duraffort <ivoire@videolan.org>
Date:   Mon Oct 26 13:24:46 2009 +0100

    dshow: use var_Get* when applicable.

commit 85baa88705c2319c8716114f19cfadc836659c4d
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Mon Nov 9 07:56:45 2009 +0200

    x264: add option to fiddle weighting for P-frames from x264_BUILD >= 79

commit b0b94a1c548b2c216e3d6682d635726ca1cf4b87
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Nov 8 18:58:55 2009 +0100

    Fixed an uninitiliazed value regarding deinterlacing state.
    
    Thanks to ivoire for noticing it.

commit 66440f9faeeb73529dc64d36ff72bd8501cd9033
Author: Kaarlo Raiha <kaarlo.raiha@tut.fi>
Date:   Sat Nov 7 21:05:05 2009 +0200

    bands e.g. should have 10 values, not 9
    
    Signed-off-by: Ilkka Ollakka <ileoo@iki.fi>

commit d6418e15514dae6c1889e3682fa32c1de3072511
Author: Kaarlo Raiha <kaarlo.raiha@tut.fi>
Date:   Sat Nov 7 21:02:11 2009 +0200

    qt4 equalizer load core bands and preamp to extended panel
    
    Signed-off-by: Ilkka Ollakka <ileoo@iki.fi>

commit 4863c909f98a10736b994ca6c06d749e3cbeda44
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Sun Nov 8 15:37:16 2009 +0200

    contrib: add --enable-pthreads/--enable-w32threads to ffmpeg
    
    Should work in linux, no idea on win32 builds, so you're free to reverts
    if it kills your kittens.

commit 0530b1850b04e2cabcdc69bb497fadc46b503dbf
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Sun Nov 8 15:34:35 2009 +0200

    avcodec: drop own threading code and just let ffmpeg handle it own threading
    
    This means that multithread encoding with avcodec now needs
    --enable-pthreads/--enable-w32threads.

commit 3585accf1f4c128f46a9b86da9742c3260a7221a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 8 13:02:43 2009 +0200

    Linux: use accept4 if available (glibc 2.10)

commit 303fbc7c9c9246918eebeb4cbcd04a9b5e50f90f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 8 12:38:41 2009 +0200

    Linux: create sockets with close-on-exec flag in thread-safe manner
    
    There is a window of opportunity to leak file descriptors between
    their creation and the fcntl(FD_CLOEXEC) call. If another thread forks
    during this window, the descriptors will not have a the close-on-exec
    flag, and get leaked after exec(). This is a limitation of POSIX.
    
    While we're using the Linux-specific SOCK_CLOEXEC, we might as well
    use SOCK_NONBLOCK, and spare ourselves the three fcntl() calls.

commit aca7ce705bca23a36afd44091841cbd70b404e02
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 18:50:05 2009 +0100

    Qt4: remove PlaylistEventManager

commit 6a25ed7ce66ee02957e5384ebada6eb39d81f161
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 18:49:07 2009 +0100

    Qt4: let PLModel and PLSelector use MainInputManager instead of PlaylistEventManager

commit 24a911ff2aa88ddda6870f98acdded3f580c52f9
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 18:40:38 2009 +0100

    Qt4: implement PlaylistEventManager functionality in MainInputManager

commit 57f6ddbadccc276fcc37cb603b888f419dc954cb
Author: Jean-Philippe Andre <jpeg@via.ecp.fr>
Date:   Sat Nov 7 18:46:04 2009 +0100

    Lua RC interface: Fix info command
    
    s/input_info/input.info/

commit 5a95ab4f3902da23bc01d0de415840e8986ceea1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 16:56:21 2009 +0200

    Qt4: remove incorrect use of EQ callbacks
    
     * deleting non-existent callback is not allowed (-> abort),
     * adding a callback but not deleting it is a bad idea,
     * deleting a callback while setting the valeu can race against other
       interfaces.

commit fed21848fbbdc5836c5fabe4c50ddb2b94f43ec3
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 12:02:53 2009 +0100

    Qt4: switch PLModel to use PlaylistEventManager

commit 0ab64d44c4d2e5cc0fbc9393d7ad20d8840259d9
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 11:16:15 2009 +0100

    Qt4: missing cleanup and redundant include

commit 323d19aa2710e1dc1d5f2dbdef32d7fa43e7909d
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 7 11:54:53 2009 +0200

    Qt4: fix V4L1 device node specification
    
    --v4l-vdev is obsolete.

commit 4ed4e121d0b3b3dbdecde954889997af8d4e0ee8
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 08:56:02 2009 +0100

    Qt4: more media browser (PL Selector) beautification

commit bc157d8781dd3a456af9e4c72ca4f4f677a7d5a6
Author: Jakob Leben <jleben@videolan.org>
Date:   Sat Nov 7 08:54:17 2009 +0100

    podcast: per item add/remove request

commit 6194b345d263987552a9cfbaeb0b85f12fe03be2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 7 00:27:53 2009 +0100

    Cleanup

commit 8828e4f3b34e3af1d8de612b31e63379164a19c7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Nov 7 00:23:40 2009 +0100

    macos dirs: simplified, implemented completely and fixed warnings

commit 619625aa390b4cb8b2877224a03e12b21dfc6fcf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 6 19:37:26 2009 +0100

    contribs: new binary package for Darwin. In sync with current libraries.
    
    Already available for all 3 platforms.

commit e9080bf0d024c7887eb164ec1ebc66154495d72e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 6 18:36:27 2009 +0100

    contribs/ffmpeg: fixed typo spotted by funman

commit fa2ebc92b8a7047b6aad4e97e065d3df84c7e72e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 6 18:21:06 2009 +0100

    contribs: fixed linking 64bit libraries on 32bit Darwin installations

commit e22a0fc342d12f5a3152003e886150d6a8e4668c
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 6 18:32:16 2009 +0100

    OSX: use correctly git even when building out of srcdir
    
    Note : Info.plist.in doesn't seem to contain "REVISION" string
    Is that git command now useless?

commit b33eb8317d4adb7cfb2cdd932aa5113303658198
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 6 18:14:37 2009 +0100

    contribs/ffmpeg: fixed compilation on PPC-based Macs, removed old patch

commit 936657e707f6289bf74d02eceda0b0fc5cd941bf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 6 18:02:11 2009 +0100

    contribs/schroedinger: fixed source download as original server no longer provides the package

commit 8ff3e725bbb4f984d4bcab2a70370e8c605fc06d
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 6 17:50:34 2009 +0100

    pcre 7.6 isn't available anymore, use last version (8.00)

commit 6b9e964f035500168e15d1c5d695af6e20b32c9f
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 6 17:49:40 2009 +0100

    Fix Sparkle rules:
    
    1/ download
    2/ unzip, move to .., touch .Sparkle

commit 0e9ec12473274d7b9be6d30e6345342d7f6a3f48
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Fri Nov 6 17:04:59 2009 +0100

    contrib: remove mention of outdated patches

commit 97f617b5563aac5b77b6c7b7e255ffb4f6ad313a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Nov 6 17:00:33 2009 +0100

    contribs/theora: fixed compilation on OS X and removed outdated patches

commit 2aa61dc55a77f535c3e70104b6ec2167766f8499
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 23:40:23 2009 +0200

    Rename audio filter2 capability back to audio filter

commit 694b6814bf76f7d68e03bdf94ae3decf8651f727
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 23:35:27 2009 +0200

    Normvol: convert to audio filter2

commit 4073c82195ff4cdf1dccd81cd75ad5766a632b0f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 23:31:28 2009 +0200

    Equalizer: convert to audio filter2

commit a7c6e19e3adbb3ac7c964e944e498dd6e6b48673
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Nov 5 23:23:17 2009 +0200

    spatializer: convert to audio filter2

commit 8d266a98961fb789822e7c8403131b0c6b11ac6e
Author: Ilkka Ollakka <ileoo@iki.fi>
Date:   Thu Nov 5 21:40:44 2009 +0200

    qt4: change QIcon( QPixmap( x ) ) -> QIcon( x )
    
    Seemed to work just fine, and didn't find any reason to keep that form.

commit b664fd63bf28fde97f1c69bfa3dcde55a12ef205
Author: Geoffroy Couprie <geal@videolan.org>
Date:   Wed Nov 4 23:38:13 2009 +0100

    Direct3D is a vout display now

commit af0441e86acf74c3ee3bf15ab3f0e35c3676090a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 4 22:37:49 2009 +0200

    Build fix

commit 6dc14523d72c30a91bd03e69f7e8a4df94584218
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Nov 4 21:45:58 2009 +0200

    open: O_CLOEXEC is ignored by older kernel, fix & simplify

commit 6ec51c9175d20d7ae9e3a525c3fde5330314faaf
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 4 13:15:08 2009 +0100

    WinCE: strip plugin DLLs when creating package
    
    This is quite important on devices where storage space is limited...

commit 1a445678f08f85d712b4593bc826f8814b742e0e
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 3 22:09:17 2009 +0100

    Fix release doc for update file:
    
    It's not named update .xml since 0.9

commit a9fa6ad59afe2fcfc77ebeb24b8ea5c64eb32903
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Nov 3 21:22:08 2009 +0100

    skins2: add a --[no]-skinned-video parameter (enabled by default)
    
    This parameter is intended to give old skins a chance to play back video even
    though no video tag is provided in the theme.xml file.

commit b3b41c2c3b67c7e3aed5ccaba5eeb725e6123821
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 3 21:59:47 2009 +0100

    Update: correctly handle different line endings

commit feac5bc60e51fe0d84ac5b4136fc9cabd3f392d8
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 3 21:22:30 2009 +0100

    Update: make sure 1.1.0 >  1.1.0-git
    
    Also remove unneeded prototypes

commit ed769d221904d20062ec95648e774abd2a43297a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Nov 3 21:28:26 2009 +0200

    XCB global hotkeys: fix X11 connection failure handling

commit 0c3fb79a745ece13f640c28414fabab4631b0501
Author: Jakob Leben <jleben@videolan.org>
Date:   Tue Nov 3 12:15:03 2009 +0100

    Qt4: fix faulty playlist show / hide logic
    
    Fixes #2899, at least on Linux. Can somebody test on Windows, please?

commit 22da0747adfc2a20fb224d93b38f3ad1a1c97e5b
Author: Jakob Leben <jleben@videolan.org>
Date:   Tue Nov 3 11:44:10 2009 +0100

    Qt4: playlist popup menu enhancement

commit 37a2bad7d01c584211e18446f8da64e1f5eacf3b
Author: Konstantin Pavlov <thresh@altlinux.org>
Date:   Tue Nov 3 12:15:36 2009 +0300

    LUA playlist: add support for pinkbike videos.

commit 7500040f37d4a8de44858157f6789b7ec2eb1fee
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 3 05:59:27 2009 +0100

    stream_out_bridge: Fix [7c790ca]
    
    bridge variables need to be attached to global libvlc object to be
    common to all bridge instances

commit d24a652d09e2040ee2251c561ac062bd22df8f6a
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Tue Nov 3 05:03:29 2009 +0100

    vlm object is needed early, store it when it's allocated

commit f86b6565b78692398ff636086bb29ad40e95a999
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 2 22:36:52 2009 +0000

    Cosmetic

commit 2f2a3a5499b4e8f1f2e06b81ca5a868e6b460124
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 2 22:18:33 2009 +0000

    Default enable libass module

commit 08f7aeb5bb92d67273adbec4ac17c1511c9dcb2c
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 2 22:12:25 2009 +0000

    Fix help string

commit bb769a429e23da26a8a673055f55c684a02dbb11
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 2 20:30:12 2009 +0100

    faad: NeAACDecFrameInfo.sbr is not a boolean
    
    from the header:
    SBR: 0: off, 1: on; upsample, 2: on; downsampled, 3: off; upsampled

commit 3cbf06e19fa60eaad87c768795c53b338621aa37
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 2 21:17:47 2009 +0200

    Disable errors by default
    
    This breaks pretty much everybody's build. Thus it's completely
    inadequate as a default setting (think of new devs...).

commit 0c204dcbc2fa27984fba19a749a71c790f5a3af9
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 2 20:05:51 2009 +0100

    Added CommonDisplay for msw.

commit 95c2afcd728a1d7af804253f10189bbf83142706
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 2 20:00:05 2009 +0100

    Prefer direct3d over SDL.

commit 8db1d3e97e3ac1829d25e788b1d74a8d68ac6fc3
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Mon Nov 2 19:48:36 2009 +0100

    Enabled direct3d in "vout display" wrapper.

commit f6d06e1514624d3db992daa5166a6b2afccee97e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 24 01:34:53 2009 +0200

    Converted direct3d to vout display.
    
    It also fixes a few remaining race conditions.

commit 4a1df8f156ae845d3a4f3f3f79ea16ee641c12ae
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 20 16:54:43 2009 +0200

    Cosmetics.

commit caa6b5745c3a3db5bbeb3288a422edc63160c870
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 20 16:11:39 2009 +0200

    Prepare for vout display conversion.

commit a2980a5e70aba3eba3352625e82216301497efb1
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 1 22:42:04 2009 +0200

    Removed useless includes (msw).

commit 87e92fedf674ce9f1cac33df80066630a2dcdecd
Author: Mathew King <making718@gmail.com>
Date:   Mon Nov 2 10:49:30 2009 -0500

    Added alang option to transcode (update)
    
    When using the transcode output filter there is now the option of
    setting the language of the audio stream.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit f2c0462d85ea8a7a69d749e295b902e95dedff00
Author: Jakob Leben <jleben@videolan.org>
Date:   Mon Nov 2 16:37:25 2009 +0100

    podcast: missing initialization

commit c650d933f9fa2fba0030b52d404403142d670f59
Author: Jakob Leben <jleben@videolan.org>
Date:   Sun Nov 1 20:14:25 2009 +0100

    Qt4: don't "leak" playlist items
    
    There was opportunity for playlist items not showing up in Qt playlist due to race between playlist rebuilding and item-added, item-removed callbacks
    Maybe also fixes some aspects of #2297 or completely - to test.

commit 6d5e1e70704816ce84948546bb39f71b45ad2e57
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Mon Nov 2 03:23:08 2009 +0100

    i18n: remove deleted file

commit b63ab148b17269f4bc5f4a587c9e480bc4008f66
Author: Rafaël Carré <rafael.carre@gmail.com>
Date:   Mon Nov 2 02:39:43 2009 +0100

    nokia770 arm_colorconv : save 1 word of the stack
    
    r12 is a scratch register so use it

commit 82a6be7c3f4509dfec327187ad6f10d29c06969b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Nov 1 09:32:55 2009 +0200

    Remove MAINTAINERS.
    
    It's so out-of-date that it's not even funny anymore.
    
    Signed-off-by: Rafaël Carré <rafael.carre@gmail.com>

commit d0735d9c8323c021759ad891bcb5c8054695798a
Author: Jakob Leben <jleben@videolan.org>
Date:   Sun Nov 1 18:30:54 2009 +0100

    podcast: implement "live" podcast item removal

